nenolod     2007/11/20 11:08:23 UTC	(20071120-3584)
  Log:
  Explain invalid username rejections to users when they are rejected.
  

  Changes:	Modified:
  +2 -0		trunk/src/s_user.c (File Modified) 


jilles      2007/11/17 21:55:48 UTC	(20071117-3582)
  Log:
  Update description of oper privileges a bit.
  

  Changes:	Modified:
  +3 -3		trunk/doc/example.conf (File Modified) 
  +3 -3		trunk/doc/reference.conf (File Modified) 


jilles      2007/11/07 23:45:14 UTC	(20071107-3580)
  Log:
  Fix desyncs with very long extbans. Bans can now be upto 195 chars long.
  

  Changes:	Modified:
  +1 -1		trunk/include/channel.h (File Modified) 
  +2 -2		trunk/src/channel.c (File Modified) 
  +6 -3		trunk/src/chmode.c (File Modified) 


jilles      2007/11/07 21:45:14 UTC	(20071107-3578)
  Log:
  allocate_channel(): no need to truncate name, its only caller already does it
  furthermore, truncating here causes an inconsistent channel name
  

  Changes:	Modified:
  +1 -1		trunk/src/channel.c (File Modified) 


jilles      2007/10/27 21:56:53 UTC	(20071027-3574)
  Log:
  Fix a memory leak.
  

  Changes:	Modified:
  +1 -0		trunk/src/channel.c (File Modified) 


jilles      2007/09/09 19:19:23 UTC	(20070909-3570)
  Log:
  Make /knock send to all channel members on +g (anyone may invite) channels.
  

  Changes:	Modified:
  +2 -1		trunk/modules/m_knock.c (File Modified) 


jilles      2007/09/09 18:59:08 UTC	(20070909-3568)
  Log:
  Make EXTBAN 005 token like unreal's (, instead of :).
  

  Changes:	Modified:
  +1 -1		trunk/src/supported.c (File Modified) 


jilles      2007/09/06 20:30:22 UTC	(20070906-3566)
  Log:
  Remove a sentence which gives the impression that TS6 is optional.
  

  Changes:	Modified:
  +1 -2		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2007/08/29 22:18:31 UTC	(20070829-3564)
  Log:
  Clarify format of IPv6 addresses in SGML documentation.
  

  Changes:	Modified:
  +11 -1	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2007/08/29 22:04:45 UTC	(20070829-3562)
  Log:
  Clarify format of IPv6 addresses in auth{} and connect{}.
  

  Changes:	Modified:
  +7 -3		trunk/doc/example.conf (File Modified) 
  +9 -2		trunk/doc/reference.conf (File Modified) 


jilles      2007/08/23 21:02:31 UTC	(20070823-3560)
  Log:
  Add more information about invitations and invexes.
  

  Changes:	Modified:
  +7 -1		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2007/08/23 19:00:10 UTC	(20070823-3558)
  Log:
  Add what /invite actually does (bypass +ijlr).
  

  Changes:	Modified:
  +2 -0		trunk/help/opers/invite (File Modified) 


jilles      2007/08/18 14:45:10 UTC	(20070818-3556)
  Log:
  callerid (+g) documentation:
  - Mention 005 (isupport) token with possibility of different mode letter.
  - Explicitly clarify that /accept can be used while -g, and setting -g
    does not clear the accept list.
  - Mention that some users may be able to bypass +g.
  - Mention that /accept may allow more than just going through +g.
  - Update to 716/717/718 numerics instead of notices.
  - Clarify that the one-minute period applies to messages from all users,
    not just one user.
  - Add a numerics section with more exact syntax.
  

  Changes:	Modified:
  +88 -10	trunk/doc/modeg.txt (File Modified) 


jilles      2007/08/10 22:31:14 UTC	(20070810-3554)
  Log:
  Send TS6 protocol for the actual work of override modules.
  Wallops remain TS5-style for now.
  

  Changes:	Modified:
  +12 -3	trunk/extensions/m_ojoin.c (File Modified) 
  +3 -1		trunk/extensions/m_okick.c (File Modified) 
  +6 -2		trunk/extensions/m_opme.c (File Modified) 


nenolod     2007/08/09 06:50:13 UTC	(20070809-3552)
  Log:
  - update IDEAS as TS6 only is partially done
  

  Changes:	Modified:
  +1 -1		trunk/IDEAS (File Modified) 


nenolod     2007/08/09 06:47:26 UTC	(20070809-3550)
  Log:
  - TS6 is always enabled now.
  There is no reason for it to not be enabled on a proper charybdis network.
  

  Changes:	Modified:
  +0 -1		trunk/doc/example.conf (File Modified) 
  +1 -6		trunk/doc/reference.conf (File Modified) 
  +0 -10	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 
  +0 -1		trunk/include/s_conf.h (File Modified) 
  +1 -1		trunk/modules/m_pass.c (File Modified) 
  +0 -1		trunk/src/newconf.c (File Modified) 
  +0 -1		trunk/src/s_conf.c (File Modified) 
  +4 -15	trunk/src/s_serv.c (File Modified) 


nenolod     2007/08/09 06:40:52 UTC	(20070809-3548)
  Log:
  - better text for RPL_LOAD2HI explaining in a better way what is going on
  

  Changes:	Modified:
  +1 -2		trunk/src/messages.tab (File Modified) 


jilles      2007/08/01 20:52:54 UTC	(20070801-3546)
  Log:
  Also rerun autoheader, for solaris ports changes.
  

  Changes:	Modified:
  +3 -0		trunk/include/setup.h.in (File Modified) 


jilles      2007/08/01 20:50:54 UTC	(20070801-3544)
  Log:
  Rerun autoconf for version bump, at last.
  

  Changes:	Modified:
  +9 -9		trunk/configure (File Modified) 


jilles      2007/08/01 20:18:12 UTC	(20070801-3542)
  Log:
  Make highest connection counts a bit more consistent.
  

  Changes:	Modified:
  +5 -0		trunk/src/s_serv.c (File Modified) 
  +8 -8		trunk/src/s_user.c (File Modified) 


jilles      2007/07/30 17:26:00 UTC	(20070730-3540)
  Log:
  Fix wrong line numbers in ircd.conf parser (some comments).
  from ratbox 2.2 (androsyn).
  

  Changes:	Modified:
  +1 -0		trunk/src/ircd_lexer.l (File Modified) 


jilles      2007/07/26 14:21:57 UTC	(20070726-3538)
  Log:
  Change EmptyString so gcc 4.2 doesn't complain.
  from ratbox (androsyn), slightly changed
  

  Changes:	Modified:
  +1 -1		trunk/include/irc_string.h (File Modified) 


jilles      2007/07/14 21:50:21 UTC	(20070714-3536)
  Log:
  In a two-argument whois, RPL_ENDOFWHOIS should show second arg.
  This already works correctly for successful/notfound case.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_whois.c (File Modified) 


jilles      2007/07/14 13:34:50 UTC	(20070714-3534)
  Log:
  Use mask_match() to check bans from local clients for
  redundancy. This fixes the problem that bans like *!?@*
  prevent any ban starting with *!*@ being set.
  

  Changes:	Modified:
  +1 -1		trunk/src/chmode.c (File Modified) 


jilles      2007/07/14 13:32:18 UTC	(20070714-3532)
  Log:
  Add mask_match(), like ircu mmatch().
  This compares two masks and returns whether the "new" is
  more specific than or equal to the "old". The difference
  with match() is that a '?' in "old" does not match a '*' in
  "new".
  

  Changes:	Modified:
  +2 -0		trunk/include/irc_string.h (File Modified) 
  +73 -0	trunk/src/match.c (File Modified) 


jilles      2007/07/14 12:20:48 UTC	(20070714-3530)
  Log:
  add_id() for local client: do not collapse() the ban mask.
  The code calling this already collapses the mask, and if
  not, doing it here would cause a desync.
  

  Changes:	Modified:
  +0 -2		trunk/src/chmode.c (File Modified) 


nenolod     2007/07/07 08:08:23 UTC	(20070707-3528)
  Log:
  - fix dereference problems with not widely used polling engines
  

  Changes:	Modified:
  +3 -0		trunk/libcharybdis/poll.c (File Modified) 
  +3 -1		trunk/libcharybdis/select.c (File Modified) 


nenolod     2007/07/06 07:56:14 UTC	(20070706-3526)
  Log:
  - forgot to do something
  

  Changes:	Modified:
  +3 -0		trunk/extensions/ip_cloaking.c (File Modified) 


nenolod     2007/07/06 07:54:54 UTC	(20070706-3524)
  Log:
  - fix a possible problem with ipv6
  

  Changes:	Modified:
  +4 -0		trunk/extensions/ip_cloaking.c (File Modified) 


nenolod     2007/07/06 07:48:28 UTC	(20070706-3522)
  Log:
  - new ip cloaking module
  

  Changes:	Modified:
  +1 -0		trunk/extensions/Makefile.in (File Modified) 
  +246 -33	trunk/extensions/ip_cloaking.c (File Modified) 
  + -		trunk/extensions/ip_cloaking_old.c (File Added) 


jilles      2007/06/30 22:15:35 UTC	(20070630-3520)
  Log:
  monitor: send the same message buffer to all users
  monitoring a certain nick; the target field of the
  numeric becomes *, much like server notices
  

  Changes:	Modified:
  +6 -0		trunk/doc/monitor.txt (File Modified) 
  +3 -0		trunk/include/send.h (File Modified) 
  +3 -15	trunk/src/monitor.c (File Modified) 
  +35 -0	trunk/src/send.c (File Modified) 


jilles      2007/06/22 21:59:09 UTC	(20070622-3518)
  Log:
  Call add_to_hostname_hash() with correct (orig) hostname.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_nick.c (File Modified) 


jilles      2007/06/10 16:14:03 UTC	(20070610-3516)
  Log:
  Version bump on trunk to 2.3.
  

  Changes:	Modified:
  +1 -1		trunk/configure.ac (File Modified) 


nenolod     2007/06/06 16:25:21 UTC	(20070606-3514)
  Log:
  - "please report this to the ratbox developers" -> "please report this to the charybdis developers". not sure how we overlooked this for so long.
  

  Changes:	Modified:
  +2 -2		trunk/src/client.c (File Modified) 


nenolod     2007/06/06 16:20:40 UTC	(20070606-3512)
  Log:
  Add IRC_DEPRECATED macro for marking functions and data structures
  as deprecated on compilers that support it.
  

  Changes:	Modified:
  +14 -4	trunk/include/ircd_defs.h (File Modified) 


nenolod     2007/06/06 15:46:12 UTC	(20070606-3510)
  Log:
  - update IDEAS with link failover
  

  Changes:	Modified:
  +1 -0		trunk/IDEAS (File Modified) 


jilles      2007/06/04 16:04:49 UTC	(20070604-3508)
  Log:
  xline/resv wildcard checking:
  - count escaped (\) characters as one nonwild
  - accept strings without wilds no matter how short they are
  

  Changes:	Modified:
  +8 -2		trunk/src/s_newconf.c (File Modified) 


jilles      2007/05/30 10:22:25 UTC	(20070530-3498)
  Log:
  Tweak some comments in sno_whois extension.
  

  Changes:	Modified:
  +2 -2		trunk/extensions/sno_whois.c (File Modified) 


jilles      2007/05/30 10:22:01 UTC	(20070530-3496)
  Log:
  Tweak NEWS a little.
  

  Changes:	Modified:
  +3 -6		trunk/NEWS (File Modified) 


jilles      2007/05/27 13:07:27 UTC	(20070527-3494)
  Log:
  - allow JOIN 0 from remotes
  - allow JOIN 0 from locals, but only if it is exactly one
    zero and is the first channel
  

  Changes:	Modified:
  +65 -0	trunk/modules/core/m_join.c (File Modified) 


nenolod     2007/05/27 06:33:26 UTC	(20070527-3488)
  Log:
  - add some IDEAS, including SASL based opering, internally reworking channel access (custom access 
    levels?), hideops, namespace cleanups, etc
  

  Changes:	Modified:
  + -		trunk/IDEAS (File Added) 


nenolod     2007/05/27 05:44:35 UTC	(20070527-3486)
  Log:
  - disallow JOIN 0
  

  Changes:	Modified:
  +0 -65	trunk/modules/core/m_join.c (File Modified) 


nenolod     2007/05/27 05:35:06 UTC	(20070527-3482)
  Log:
  - blacklist{}: add notes about DroneBL and enable it by default. AHBL is still not enabled by default due 
    to their policies indicating that they wish to be contacted before their services are used.
  

  Changes:	Modified:
  +6 -3		trunk/doc/example.conf (File Modified) 
  +6 -3		trunk/doc/reference.conf (File Modified) 


nenolod     2007/05/27 05:30:41 UTC	(20070527-3480)
  Log:
  - update NEWS in preparation of upcoming 2.2 release this week
  

  Changes:	Modified:
  +3 -0		trunk/NEWS (File Modified) 


jilles      2007/05/24 15:10:06 UTC	(20070524-3478)
  Log:
  Move sno_channeljoin to unsupported, due to the privacy
  issue and the fact that any oper with admin or hidden_admin
  can load extensions.
  

  Changes:	Modified:
  +0 -1		trunk/doc/example.conf (File Modified) 
  +0 -2		trunk/doc/reference.conf (File Modified) 
  +0 -46	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/sno_channeljoin.c (File Deleted) 
  +47 -1	trunk/unsupported/Makefile.in (File Modified) 
  + -		trunk/unsupported/sno_channeljoin.c (File Added) 


nenolod     2007/05/24 04:28:36 UTC	(20070524-3476)
  Log:
  - createoperonly: like createauthonly, but checks opered status instead of authed status
  

  Changes:	Modified:
  +41 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/createoperonly.c (File Added) 


nenolod     2007/05/24 04:16:02 UTC	(20070524-3474)
  Log:
  - sno_channeljoin: implements snomask +j and sends channel join notices there from local users
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +3 -1		trunk/doc/reference.conf (File Modified) 
  +46 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/sno_channeljoin.c (File Added) 


nenolod     2007/05/24 04:02:33 UTC	(20070524-3472)
  Log:
  - update config files
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +2 -0		trunk/doc/reference.conf (File Modified) 


nenolod     2007/05/24 04:01:12 UTC	(20070524-3470)
  Log:
  - fold in whois_notice_global functionality.
  

  Changes:	Modified:
  +0 -1		trunk/extensions/Makefile.in (File Modified) 
  +1 -56	trunk/extensions/sno_whois.c (File Modified) 
  + -		trunk/extensions/spy_whois_notice_global.c (File Deleted) 


nenolod     2007/05/24 03:58:27 UTC	(20070524-3468)
  Log:
  - rework spy_whois_notice as a snomask-implementing module, snomask +W.
  

  Changes:	Modified:
  +64 -57	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/sno_whois.c (File Added) 
  + -		trunk/extensions/spy_whois_notice.c (File Deleted) 


jilles      2007/05/19 23:36:51 UTC	(20070519-3466)
  Log:
  Prevent too wide klines with CIDR masks.
  

  Changes:	Modified:
  +17 -5	trunk/modules/m_kline.c (File Modified) 


jilles      2007/05/19 22:21:10 UTC	(20070519-3464)
  Log:
  Exempt klines with a fixed user@ (no */?) from min_nonwildcard checks.
  

  Changes:	Modified:
  +4 -0		trunk/modules/m_kline.c (File Modified) 


jilles      2007/05/18 20:31:33 UTC	(20070518-3460)
  Log:
  - fold conf_connect_allowed() into accept_connection()
  - extend add_connection() so that exempt{}s apply to max unregistered
    connections per ip
  from ratbox
  

  Changes:	Modified:
  +1 -1		trunk/doc/example.conf (File Modified) 
  +1 -1		trunk/doc/reference.conf (File Modified) 
  +2 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 
  +0 -2		trunk/include/s_conf.h (File Modified) 
  +14 -7	trunk/src/listener.c (File Modified) 


jilles      2007/05/18 19:51:22 UTC	(20070518-3458)
  Log:
  m_webirc: call del_unknown_ip() otherwise the unknown will
  never be subtracted from the cgiirc ip
  

  Changes:	Modified:
  +2 -0		trunk/extensions/m_webirc.c (File Modified) 


jilles      2007/05/18 19:14:18 UTC	(20070518-3456)
  Log:
  Remove s_assert in del_unknown_ip() supposedly if the ip
  cannot be found, it is not feasible to avoid that case
  entirely with m_webirc.c.
  

  Changes:	Modified:
  +1 -2		trunk/src/reject.c (File Modified) 


jilles      2007/05/14 22:21:16 UTC	(20070514-3446)
  Log:
  Apply ratbox flood fix.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +5 -0		trunk/doc/reference.conf (File Modified) 
  +3 -0		trunk/include/client.h (File Modified) 
  +4 -0		trunk/include/reject.h (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +2 -0		trunk/src/client.c (File Modified) 
  +3 -0		trunk/src/listener.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +8 -5		trunk/src/packet.c (File Modified) 
  +59 -2	trunk/src/reject.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 
  +2 -0		trunk/src/s_serv.c (File Modified) 
  +1 -0		trunk/src/s_user.c (File Modified) 


nenolod     2007/05/09 00:32:08 UTC	(20070509-3444)
  Log:
  - fix a bug here
  

  Changes:	Modified:
  +5 -1		trunk/libcharybdis/epoll.c (File Modified) 


nenolod     2007/05/07 02:57:50 UTC	(20070507-3442)
  Log:
  - regen configure
  

  Changes:	Modified:
  +114 -1	trunk/configure (File Modified) 


nenolod     2007/05/07 02:53:54 UTC	(20070507-3440)
  Log:
  - remove "ASM hashing code" from the configure overview
  

  Changes:	Modified:
  +0 -1		trunk/configure.ac (File Modified) 


jilles      2007/05/06 14:46:45 UTC	(20070506-3438)
  Log:
  Target left IRC (more friendly error message if a UID
  cannot be found) for /invite.
  

  Changes:	Modified:
  +8 -3		trunk/modules/m_invite.c (File Modified) 


jilles      2007/05/02 19:56:40 UTC	(20070502-3436)
  Log:
  Remove emptyline craq because it leaks memory on /rehash motd etc.
  from ratbox 2.2 (anfl/Androsyn)
  

  Changes:	Modified:
  +6 -14	trunk/src/cache.c (File Modified) 


jilles      2007/04/28 23:47:25 UTC	(20070428-3434)
  Log:
  Merge old trunk r2767:
  Copy channel name from command on lowerTS JOIN/SJOIN,
  this makes the capitalization of the channel name
  timestamped like modes are.
  

  Changes:	Modified:
  +3 -0		trunk/modules/core/m_join.c (File Modified) 
  +3 -0		trunk/modules/core/m_sjoin.c (File Modified) 


jilles      2007/04/26 23:01:16 UTC	(20070426-3432)
  Log:
  Merge old trunk r2065,r2067:
  channel_modes(): get rid of the trailing space
  also make the *pbuf check work like it should
  (don't call IsMember another time if we already
  gave one parameter)
  simplify a bit more, update comments
  

  Changes:	Modified:
  +13 -13	trunk/src/channel.c (File Modified) 


jilles      2007/04/25 15:22:28 UTC	(20070425-3426)
  Log:
  webirc bugfix
  

  Changes:	Modified:
  +1 -1		trunk/extensions/m_webirc.c (File Modified) 


jilles      2007/04/25 15:21:34 UTC	(20070425-3424)
  Log:
  chghost: refuse spoofs which are empty or start with a colon
  (would break the protocol)
  

  Changes:	Modified:
  +3 -0		trunk/modules/m_chghost.c (File Modified) 


jilles      2007/04/22 14:35:28 UTC	(20070422-3422)
  Log:
  Fix description of 043 numeric.
  

  Changes:	Modified:
  +2 -1		trunk/doc/collision_fnc.txt (File Modified) 


jilles      2007/04/22 14:02:54 UTC	(20070422-3420)
  Log:
  SAVE: make the nickTS of the UID nick equal to 100, so it
  is always in sync on the network.
  

  Changes:	Modified:
  +5 -0		trunk/doc/collision_fnc.txt (File Modified) 
  +15 -11	trunk/modules/core/m_nick.c (File Modified) 


jilles      2007/04/22 11:22:10 UTC	(20070422-3418)
  Log:
  Force nickTS to increase when a local user changes their nick.
  

  Changes:	Modified:
  +5 -1		trunk/modules/core/m_nick.c (File Modified) 


jilles      2007/04/15 20:18:54 UTC	(20070415-3416)
  Log:
  Remove #define UFLAGS. We haven't allowed this
  undocumented extension to the IRC protocol for
  years (allowing an initial umode in USER).
  

  Changes:	Modified:
  +0 -2		trunk/modules/m_user.c (File Modified) 


jilles      2007/04/15 16:54:50 UTC	(20070415-3414)
  Log:
  Move new_local_user hook, so it is possible to call
  exit_client() from it, refusing the connection.
  

  Changes:	Modified:
  +3 -1		trunk/doc/hooks.txt (File Modified) 
  +10 -9	trunk/src/s_user.c (File Modified) 


jilles      2007/04/15 16:49:56 UTC	(20070415-3412)
  Log:
  Only free PreClient struct when the rest of the Client
  is freed, not immediately upon exit_client(). Doing this
  would cause problems with sasl's new_local_user hook
  vs hooks that exit the client there.
  

  Changes:	Modified:
  +0 -1		trunk/src/client.c (File Modified) 


jilles      2007/04/14 21:53:28 UTC	(20070414-3410)
  Log:
  Use TS6 prefix for server-server JOIN 0.
  

  Changes:	Modified:
  +2 -1		trunk/modules/core/m_join.c (File Modified) 


jilles      2007/04/14 20:58:56 UTC	(20070414-3408)
  Log:
  Use orighost in kill server notices.
  

  Changes:	Modified:
  +3 -3		trunk/modules/core/m_kill.c (File Modified) 


jilles      2007/04/13 19:06:53 UTC	(20070413-3406)
  Log:
  set: Use sendto_one_notice() for MAXCLIENTS too high notice.
  

  Changes:	Modified:
  +3 -3		trunk/modules/m_set.c (File Modified) 


nenolod     2007/04/06 21:25:37 UTC	(20070406-3404)
  Log:
  - 2.2 operline
  

  Changes:	Modified:
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2007/04/05 00:38:52 UTC	(20070405-3396)
  Log:
  Show max_clients in /info.
  

  Changes:	Modified:
  +6 -0		trunk/modules/m_info.c (File Modified) 


jilles      2007/04/05 00:33:52 UTC	(20070405-3394)
  Log:
  Don't allow /quote set max higher than the
  serverinfo::max_clients ircd.conf value.
  

  Changes:	Modified:
  +8 -0		trunk/modules/m_set.c (File Modified) 


jilles      2007/04/05 00:24:47 UTC	(20070405-3392)
  Log:
  Change code that checks maxclients limit: allow exactly
  the configured amount of non-exceed_limit clients.
  Code that appeared to limit exceed_limit clients too
  but less heavily removed (it was not effective because
  the parentheses were wrong).
  

  Changes:	Modified:
  +2 -4		trunk/src/s_user.c (File Modified) 


jilles      2007/04/05 00:12:55 UTC	(20070405-3390)
  Log:
  By default, leave MAX_BUFFER fds free for log files,
  server connections, ident lookups, exceed_limit clients,
  etc. Mention this in example.conf and reference.conf.
  

  Changes:	Modified:
  +4 -2		trunk/doc/example.conf (File Modified) 
  +3 -1		trunk/doc/reference.conf (File Modified) 
  +1 -1		trunk/src/s_conf.c (File Modified) 


jilles      2007/04/03 22:45:04 UTC	(20070403-3384)
  Log:
  --with-maxclients configure option is gone
  

  Changes:	Modified:
  +0 -11	trunk/INSTALL (File Modified) 


jilles      2007/04/03 22:25:11 UTC	(20070403-3380)
  Log:
  Make the code that raises fd rlimit to hard limit work.
  

  Changes:	Modified:
  +5 -5		trunk/src/ircd.c (File Modified) 


nenolod     2007/04/03 11:45:22 UTC	(20070403-3378)
  Log:
  - note the I/O reworking
  

  Changes:	Modified:
  +2 -0		trunk/NEWS (File Modified) 


nenolod     2007/04/03 11:37:39 UTC	(20070403-3376)
  Log:
  - use mkdir -p
  

  Changes:	Modified:
  +4 -4		trunk/doc/Makefile.in (File Modified) 


nenolod     2007/04/03 10:49:11 UTC	(20070403-3374)
  Log:
  - enforce proper conditions for EPOLL_CTL_DEL.
  - remove possibly problematic "performance" check
  

  Changes:	Modified:
  +1 -5		trunk/libcharybdis/epoll.c (File Modified) 


nenolod     2007/04/03 10:18:07 UTC	(20070403-3372)
  Log:
  - rename m_list_safelist to m_list and remove ratbox implementation
  

  Changes:	Modified:
  +393 -664	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/m_list.c (File Added) 
  + -		trunk/modules/m_list_ratbox.c (File Deleted) 
  + -		trunk/modules/m_list_safelist.c (File Deleted) 


nenolod     2007/04/03 10:15:39 UTC	(20070403-3370)
  Log:
  - some more transit to sendto_one_numeric().
  

  Changes:	Modified:
  +2 -3		trunk/modules/m_away.c (File Modified) 
  +3 -3		trunk/src/messages.tab (File Modified) 
  +1 -1		trunk/src/s_user.c (File Modified) 


nenolod     2007/04/03 10:11:06 UTC	(20070403-3368)
  Log:
  - change some sendto_one() to sendto_one_numeric().
  

  Changes:	Modified:
  +4 -10	trunk/modules/m_admin.c (File Modified) 
  +3 -3		trunk/modules/m_map.c (File Modified) 
  +12 -12	trunk/src/messages.tab (File Modified) 
  +1 -2		trunk/src/s_conf.c (File Modified) 
  +9 -10	trunk/src/s_user.c (File Modified) 


nenolod     2007/04/03 09:57:53 UTC	(20070403-3366)
  Log:
  - river's ports.c from old charybdis trunk
  

  Changes:	Modified:
  +195 -0	trunk/configure.ac (File Modified) 
  + -		trunk/libcharybdis/ports.c (File Added) 


nenolod     2007/04/03 09:50:56 UTC	(20070403-3364)
  Log:
  - remove broken ports stuff and devpoll stuff.
  

  Changes:	Modified:
  +0 -307	trunk/configure (File Modified) 
  +0 -21	trunk/configure.ac (File Modified) 
  +0 -474	trunk/include/setup.h.in (File Modified) 
  + -		trunk/libcharybdis/devpoll.c (File Deleted) 
  + -		trunk/libcharybdis/ports.c (File Deleted) 


nenolod     2007/04/03 09:49:11 UTC	(20070403-3362)
  Log:
  - regenerate files
  

  Changes:	Modified:
  +1 -25	trunk/configure (File Modified) 
  +0 -3		trunk/include/setup.h.in (File Modified) 


nenolod     2007/04/03 09:37:03 UTC	(20070403-3360)
  Log:
  - remove x86-optimized hash code.
  

  Changes:	Modified:
  +0 -13	trunk/configure.ac (File Modified) 
  +2 -187	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/fnvhash.s (File Deleted) 


nenolod     2007/04/03 09:34:38 UTC	(20070403-3358)
  Log:
  - apparently setting KE_LENGTH to 128 is fine.
  

  Changes:	Modified:
  +3 -5		trunk/libcharybdis/kqueue.c (File Modified) 


nenolod     2007/04/03 09:31:11 UTC	(20070403-3356)
  Log:
  - remove the rest of the MAX_CLIENTS stuff. change kqueue implementation accordingly. (needs testing)
  

  Changes:	Modified:
  +5627 -5747	trunk/configure (File Modified) 
  +0 -15	trunk/configure.ac (File Modified) 
  +0 -2		trunk/include/m_info.h (File Modified) 
  +6 -9		trunk/include/setup.h.in (File Modified) 
  +5 -3		trunk/libcharybdis/kqueue.c (File Modified) 


nenolod     2007/04/03 09:21:31 UTC	(20070403-3354)
  Log:
  - remove ALL braindead 2.8 I/O artifacts: MASTER_MAX, HARD_FDLIMIT, HARD_FDLIMIT_, MAXCONNECTIONS, MAX_CLIENTS, etc.
    they are ALL gone. all of this stuff is now determined at runtime via getrlimit(2).
  - due to this, devpoll is broken. i'm not motivated to fix it at the moment.
  

  Changes:	Modified:
  +0 -5		trunk/include/config.h (File Modified) 
  +0 -5		trunk/include/config.h.dist (File Modified) 
  +0 -6		trunk/include/defaults.h (File Modified) 
  +0 -3		trunk/include/m_info.h (File Modified) 
  +21 -7	trunk/libcharybdis/commio.c (File Modified) 
  +2 -0		trunk/libcharybdis/commio.h (File Modified) 
  +1 -2		trunk/libcharybdis/devpoll.c (File Modified) 
  +4 -3		trunk/libcharybdis/poll.c (File Modified) 
  +0 -3		trunk/libcharybdis/select.c (File Modified) 
  +0 -9		trunk/src/ircd.c (File Modified) 
  +23 -26	trunk/src/listener.c (File Modified) 
  +2 -1		trunk/src/restart.c (File Modified) 
  +5 -1		trunk/src/s_auth.c (File Modified) 
  +1 -1		trunk/src/s_conf.c (File Modified) 
  +3 -1		trunk/src/s_serv.c (File Modified) 


jilles      2007/04/02 22:03:08 UTC	(20070402-3350)
  Log:
  Repair operspy who !#channel, broken by me in r3283.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_who.c (File Modified) 


jilles      2007/04/01 22:20:00 UTC	(20070401-3344)
  Log:
  Update bug report and IRC channel information.
  

  Changes:	Modified:
  +2 -1		trunk/BUGS (File Modified) 
  +2 -1		trunk/NEWS (File Modified) 


jilles      2007/04/01 22:10:05 UTC	(20070401-3342)
  Log:
  Change copyright years in version.c.SH as in release-2.1 r3339.
  

  Changes:	Modified:
  +2 -2		trunk/src/version.c.SH (File Modified) 


jilles      2007/03/30 23:34:11 UTC	(20070330-3325)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +104 -0	trunk/configure (File Modified) 


jilles      2007/03/30 23:33:43 UTC	(20070330-3323)
  Log:
  Need to check for various flavours of epoll,
  even if --enable-epoll is forced.
  

  Changes:	Modified:
  +1 -0		trunk/configure.ac (File Modified) 


jilles      2007/03/30 23:32:43 UTC	(20070330-3321)
  Log:
  Hack to allow some more warnings, already present in configure (?).
  

  Changes:	Modified:
  +1 -1		trunk/aclocal.m4 (File Modified) 


jilles      2007/03/29 20:03:06 UTC	(20070329-3319)
  Log:
  Merge old trunk r2077,r2079:
  - Move closing of servlink control fd to close_connection()
    instead of doing it in exit_local_server(), and make sure
    we first close the data fd and then the control fd.
  - Have servlink process ready fds in order net, data, ctrl
    instead of ctrl, data, net.  This seems to fix the problem
    that squit reasons do not show up on the other side of a
    ziplink (by making it send any final SQUIT and/or ERROR
    before noticing the closed control fd).
  

  Changes:	Modified:
  +1 -1		trunk/servlink/io.c (File Modified) 
  +3 -12	trunk/src/client.c (File Modified) 


jilles      2007/03/28 23:17:06 UTC	(20070328-3317)
  Log:
  Don't show the UID if a TS6 server sends a kick with
  an empty or no comment. Note that charybdis never sends
  such kicks.
  

  Changes:	Modified:
  +4 -4		trunk/modules/core/m_kick.c (File Modified) 


jilles      2007/03/28 15:40:24 UTC	(20070328-3307)
  Log:
  Merge old trunk r2081:
  Don't say that services cannot be killed in
  ERR_ISCHANSERVICE message (given when trying
  to kick or deop them), as that's not the case.
  

  Changes:	Modified:
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2007/03/28 15:30:56 UTC	(20070328-3305)
  Log:
  Merge old trunk r2059
  Clarifications to the descriptions of umode +Q and cmode +F,
  suggested by Ariadne@SorceryNet.
  

  Changes:	Modified:
  +6 -0		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +4 -3		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2007/03/28 15:22:49 UTC	(20070328-3303)
  Log:
  Merge old trunk r2907,r2991:
  Allow TESTLINE on channel names.
  

  Changes:	Modified:
  +4 -0		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 
  +4 -0		trunk/help/opers/testline (File Modified) 
  +22 -0	trunk/modules/m_testline.c (File Modified) 


jilles      2007/03/28 15:04:06 UTC	(20070328-3301)
  Log:
  Merge old trunk r2835:
  resolver: if sendto(2) fails, try sending to the next nameserver
  

  Changes:	Modified:
  +1 -1		trunk/src/res.c (File Modified) 


jilles      2007/03/28 14:54:10 UTC	(20070328-3299)
  Log:
  Merge old trunk r2817:
  WHOIS: Show the given nick in ERR_NOSUCHNICK even if it
  starts with a digit. This is safe because the last
  parameter is a nick and never a UID. (The first parameter
  in a server-server two-param whois is a UID/SID.)
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_whois.c (File Modified) 


jilles      2007/03/28 14:49:48 UTC	(20070328-3297)
  Log:
  Merge old trunk r2779,r2785:
  Show correct privilege name in a few ERR_NOPRIVS numerics.
  

  Changes:	Modified:
  +1 -1		trunk/extensions/m_ojoin.c (File Modified) 
  +1 -1		trunk/extensions/m_opme.c (File Modified) 
  +2 -2		trunk/unsupported/m_force.c (File Modified) 


jilles      2007/03/28 14:45:46 UTC	(20070328-3295)
  Log:
  Merge old trunk r2695:
  Send an SQUIT instead of an ERROR to announce /die to connected servers.
  This will generate better server notices.
  

  Changes:	Modified:
  +3 -2		trunk/modules/core/m_die.c (File Modified) 


jilles      2007/03/28 14:33:50 UTC	(20070328-3293)
  Log:
  Merge old trunk r2294:
  Zero out the varlist passed to substitution_* when rejecting DNSBL clients.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2007/03/28 14:30:10 UTC	(20070328-3291)
  Log:
  Merge old trunk r2226:
  If we are connecting outward to a server, check if the
  server name they sent is the same as what we tried to
  connect to. Previously such a connection could succeed
  if there existed connect blocks with the same IP and
  passwords for the other server name.
  

  Changes:	Modified:
  +11 -0	trunk/modules/core/m_server.c (File Modified) 


jilles      2007/03/28 14:21:37 UTC	(20070328-3289)
  Log:
  Merge old trunk r2212:
  Another handling of SJOINs without nicks:
  Propagate them if the channel is +P or the channel
  already existed, otherwise remove the channel again
  and do not propagate the SJOIN.
  

  Changes:	Modified:
  +2 -3		trunk/modules/core/m_sjoin.c (File Modified) 


jilles      2007/03/28 13:49:57 UTC	(20070328-3287)
  Log:
  Remove channels entirely from /whois on services.
  This cannot be overridden with operspy.
  

  Changes:	Modified:
  +20 -17	trunk/modules/m_whois.c (File Modified) 


jilles      2007/03/28 13:11:30 UTC	(20070328-3283)
  Log:
  Fix /who on channels with ** in their name.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_who.c (File Modified) 


jilles      2007/03/25 17:59:50 UTC	(20070325-3281)
  Log:
  NEWS: As in 2.1.3, mention that the TS6 revision will
  interoperate with older versions
  

  Changes:	Modified:
  +2 -1		trunk/NEWS (File Modified) 


jilles      2007/03/18 16:29:31 UTC	(20070318-3275)
  Log:
  Fix documentation of HIDE_SERVERS_IPS define.
  

  Changes:	Modified:
  +2 -2		trunk/include/config.h.dist (File Modified) 


jilles      2007/03/18 14:44:24 UTC	(20070318-3271)
  Log:
  Don't leak auth{} spoofed ip for I-line is full notice either.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_conf.c (File Modified) 


jilles      2007/03/17 23:50:25 UTC	(20070317-3265)
  Log:
  Update NEWS.
  

  Changes:	Modified:
  +37 -0	trunk/NEWS (File Modified) 


jilles      2007/03/15 18:09:08 UTC	(20070315-3259)
  Log:
  Allow /invite (but not invex) to override +r, +l, +j in
  addition to +i. As before, a restrictive mode must be in
  place at /invite time for the invite to have an effect;
  +r does not count as a restrictive mode if the user is
  logged in; +l and +j always count as restrictive modes to
  allow for cases where they would allow join at /invite
  time but not when the user tries to join.
  

  Changes:	Modified:
  +6 -2		trunk/modules/m_invite.c (File Modified) 
  +21 -10	trunk/src/channel.c (File Modified) 


jilles      2007/03/13 16:09:28 UTC	(20070313-3257)
  Log:
  Remove invite_ops_only, forcing it to YES.
  

  Changes:	Modified:
  +0 -1		trunk/doc/example.conf (File Modified) 
  +0 -5		trunk/doc/reference.conf (File Modified) 
  +1 -3		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +0 -1		trunk/include/s_conf.h (File Modified) 
  +0 -6		trunk/modules/m_info.c (File Modified) 
  +10 -14	trunk/modules/m_invite.c (File Modified) 
  +0 -1		trunk/src/newconf.c (File Modified) 
  +0 -1		trunk/src/s_conf.c (File Modified) 


jilles      2007/03/06 14:07:11 UTC	(20070306-3255)
  Log:
  Move username check after xline and dnsbl checks, so it
  will not complain to opers about clients who are xlined
  or blacklisted anyway (both of which silently reject).
  

  Changes:	Modified:
  +15 -15	trunk/src/s_user.c (File Modified) 


nenolod     2007/03/05 19:01:05 UTC	(20070305-3253)
  Log:
  - MASTER_MAX is no longer relevant
  

  Changes:	Modified:
  +0 -7		trunk/modules/m_set.c (File Modified) 


nenolod     2007/03/05 18:58:38 UTC	(20070305-3251)
  Log:
  - add config option for setting max_clients.
  

  Changes:	Modified:
  +5 -0		trunk/doc/example.conf (File Modified) 
  +5 -0		trunk/doc/reference.conf (File Modified) 
  +2 -0		trunk/include/s_conf.h (File Modified) 
  +1 -1		trunk/src/ircd.c (File Modified) 
  +2 -0		trunk/src/newconf.c (File Modified) 
  +2 -1		trunk/src/s_conf.c (File Modified) 


nenolod     2007/03/05 18:51:17 UTC	(20070305-3249)
  Log:
  - remove get_maxrss() and all of that insecure and unsafe nonsense
  

  Changes:	Modified:
  +3 -38	trunk/src/ircd.c (File Modified) 
  +1 -1		trunk/src/restart.c (File Modified) 
  +0 -4		trunk/src/s_stats.c (File Modified) 


nenolod     2007/03/05 18:42:24 UTC	(20070305-3247)
  Log:
  - avoid some potential NULL dereferencing
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/commio.c (File Modified) 


nenolod     2007/03/05 18:41:14 UTC	(20070305-3245)
  Log:
  - fix a typo
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/poll.c (File Modified) 


nenolod     2007/03/05 18:40:39 UTC	(20070305-3243)
  Log:
  - rework poll a bit for the MAXCONNECTIONS changes.
  

  Changes:	Modified:
  +46 -23	trunk/libcharybdis/poll.c (File Modified) 


jilles      2007/03/05 17:52:28 UTC	(20070305-3241)
  Log:
  Our way of using kqueue may cause it to report fds we
  don't know about anymore, cope.
  

  Changes:	Modified:
  +7 -0		trunk/libcharybdis/kqueue.c (File Modified) 


jilles      2007/03/05 17:41:40 UTC	(20070305-3239)
  Log:
  Don't reference freed memory (fde_t) in comm_close().
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/commio.c (File Modified) 


nenolod     2007/03/05 17:35:17 UTC	(20070305-3237)
  Log:
  - fix for 100% cpu use
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/commio.c (File Modified) 


nenolod     2007/03/05 17:31:35 UTC	(20070305-3235)
  Log:
  - rework comm_checktimeouts() to use the hashtable in an efficient manner.
  

  Changes:	Modified:
  +37 -25	trunk/libcharybdis/commio.c (File Modified) 


nenolod     2007/03/05 17:28:27 UTC	(20070305-3233)
  Log:
  - clear up use of fd_table in ircd.
  

  Changes:	Modified:
  +3 -2		trunk/src/s_serv.c (File Modified) 


nenolod     2007/03/05 17:23:07 UTC	(20070305-3229)
  Log:
  - use a hashtable for fdlist storage. first step to making the amount of allowed clients dynamic and removing MAXCONNECTIONS.
  

  Changes:	Modified:
  +97 -26	trunk/libcharybdis/commio.c (File Modified) 
  +3 -2		trunk/libcharybdis/commio.h (File Modified) 
  +8 -6		trunk/libcharybdis/devpoll.c (File Modified) 
  +1 -1		trunk/libcharybdis/epoll.c (File Modified) 
  +2 -2		trunk/libcharybdis/kqueue.c (File Modified) 
  +3 -3		trunk/libcharybdis/poll.c (File Modified) 
  +2 -2		trunk/libcharybdis/ports.c (File Modified) 
  +2 -2		trunk/libcharybdis/select.c (File Modified) 


jilles      2007/03/05 01:14:46 UTC	(20070305-3227)
  Log:
  Fix some cases where the size argument to strlcpy()
  for usernames and hostnames is 1 too small.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_chghost.c (File Modified) 
  +2 -2		trunk/src/res.c (File Modified) 
  +2 -2		trunk/src/s_user.c (File Modified) 


jilles      2007/03/04 23:42:55 UTC	(20070304-3225)
  Log:
  Cut down quit/part/kick reasons to avoid quit reasons
  overflowing the client exiting server notice (from
  TOPICLEN to 260). kill reasons become shorter accordingly.
  kline/dline/gline reasons become 390.
  away messages stay at TOPICLEN for now.
  

  Changes:	Modified:
  +8 -3		trunk/include/ircd_defs.h (File Modified) 
  +2 -2		trunk/modules/m_dline.c (File Modified) 
  +4 -4		trunk/modules/m_gline.c (File Modified) 
  +2 -2		trunk/modules/m_kline.c (File Modified) 


jilles      2007/03/02 17:45:47 UTC	(20070302-3223)
  Log:
  Don't leak auth{} spoofed IP addresses in +f notices.
  from ratbox (androsyn)
  

  Changes:	Modified:
  +10 -3	trunk/src/s_conf.c (File Modified) 


jilles      2007/02/24 19:34:28 UTC	(20070224-3219)
  Log:
  Make oper_up() take +i/-i during opering up into account
  (e.g. no_oper_invis extension, +i in operator::umodes).
  Remove the hack from no_oper_invis.
  

  Changes:	Modified:
  +0 -2		trunk/extensions/no_oper_invis.c (File Modified) 
  +4 -0		trunk/src/s_user.c (File Modified) 


jilles      2007/02/24 18:35:58 UTC	(20070224-3215)
  Log:
  no_oper_invis: decrement invisible count when clearing
  invisible on a local client who has just opered up
  oper_up() should really do this
  

  Changes:	Modified:
  +2 -0		trunk/extensions/no_oper_invis.c (File Modified) 


jilles      2007/02/21 19:52:51 UTC	(20070221-3213)
  Log:
  Put "End of Channel Quiet List" instead of
  "End of Channel Ban List" for a +q list.
  Due to client restrictions the numerics for
  quiet lists must be the same as for ban lists.
  

  Changes:	Modified:
  +4 -1		trunk/src/chmode.c (File Modified) 


jilles      2007/02/20 00:34:28 UTC	(20070220-3211)
  Log:
  Port over ratbox 2.2 r23507, r23624, r23626 (jilles/anfl):
  Change TS6 JOIN processing
  - don't send out simple modes in TS6 JOIN and TS5 SJOIN when
    a local user joins an existing channel
  - don't send out simple modes in TS6 JOIN and TS5 SJOIN when
    propagating a TS6 JOIN
  - don't interpret simple modes in an incoming TS6 JOIN
  
  This is to avoid desyncs when certain mode changes (e.g. -im)
  cross with joins. A downside is that simple modes will be
  more desynched when a JOIN creates a channel or lowers TS,
  but that's less important.
  
  Update the TS6 specification to include this, and clarify
  that TMODE can come from a server and that MODE must be
  translated into TMODE from other servers too.
  

  Changes:	Modified:
  +69 -39	trunk/doc/technical/ts6.txt (File Modified) 
  +19 -127	trunk/modules/core/m_join.c (File Modified) 


jilles      2007/02/11 16:54:43 UTC	(20070211-3209)
  Log:
  Make -logfile work again.
  

  Changes:	Modified:
  +2 -2		trunk/src/s_log.c (File Modified) 


nenolod     2007/02/09 22:18:23 UTC	(20070209-3205)
  Log:
  - fix off-by-one memory overflow error.
  

  Changes:	Modified:
  +1 -5		trunk/libcharybdis/kqueue.c (File Modified) 


jilles      2007/02/04 15:08:04 UTC	(20070204-3203)
  Log:
  Change handling of modularized umodes:
  - keep the bitmask reserved forever to the letter, fixing
    the problems when loading multiple umode modules,
    unloading them and then loading them in a different order
  - don't allow local users to change umodes which have
    been unloaded and don't set them on new users via
    default_umodes
  

  Changes:	Modified:
  +24 -3	trunk/src/s_user.c (File Modified) 


jilles      2007/02/04 01:59:38 UTC	(20070204-3201)
  Log:
  Move find_umode_slot() from libcharybdis/tools.c to src/s_user.c.
  

  Changes:	Modified:
  +1 -0		trunk/include/s_user.h (File Modified) 
  +0 -22	trunk/libcharybdis/tools.c (File Modified) 
  +0 -1		trunk/libcharybdis/tools.h (File Modified) 
  +22 -0	trunk/src/s_user.c (File Modified) 


jilles      2007/02/01 01:44:31 UTC	(20070201-3195)
  Log:
  DNSBL keyword substitution is available as of 2.1.3.
  

  Changes:	Modified:
  +1 -1		trunk/doc/example.conf (File Modified) 


jilles      2007/02/01 01:07:42 UTC	(20070201-3183)
  Log:
  Change two occurances like match(userinput, target_p->name) ||
  match(target_p->name, userinput) to just match(userinput,
  target_p->name). No client name can contain * or ? now.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_trace.c (File Modified) 
  +1 -2		trunk/src/s_serv.c (File Modified) 


jilles      2007/02/01 00:49:07 UTC	(20070201-3181)
  Log:
  Do not try find_server() on a name find_client() has
  returned NULL for, as this will always return NULL
  since the removal of hostmasking.
  

  Changes:	Modified:
  +1 -2		trunk/modules/m_pong.c (File Modified) 
  +0 -4		trunk/src/s_serv.c (File Modified) 


jilles      2007/02/01 00:34:33 UTC	(20070201-3179)
  Log:
  Remove server_exists() which checked whether the
  server name existed taking hostmasking into account
  and just check with find_server(); admittedly
  this checks if the name is a SID but that's not
  a real problem.
  

  Changes:	Modified:
  +3 -27	trunk/modules/core/m_server.c (File Modified) 


jilles      2007/02/01 00:19:14 UTC	(20070201-3177)
  Log:
  Remove hash_find_masked_server(), which made it possible
  to specify the full (unmasked) name of a server behind
  a hostmask. As a result find_any_client() (for prefixes)
  becomes equal to find_client(), so remove that too.
  

  Changes:	Modified:
  +0 -1		trunk/include/hash.h (File Modified) 
  +1 -75	trunk/src/hash.c (File Modified) 
  +1 -1		trunk/src/parse.c (File Modified) 


jilles      2007/02/01 00:02:35 UTC	(20070201-3175)
  Log:
  Remove '*' from valid server name characters.
  This makes it impossible to connect hostmasked servers.
  (This support didn't work well anyway, was incompatible
  with TS6 and we never masked ourselves.)
  

  Changes:	Modified:
  +1 -1		trunk/src/match.c (File Modified) 


jilles      2007/01/31 23:57:18 UTC	(20070131-3173)
  Log:
  Change spambot, flooder and jupe joiner notices from host to orighost.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_join.c (File Modified) 
  +2 -2		trunk/modules/core/m_message.c (File Modified) 
  +2 -2		trunk/src/channel.c (File Modified) 


jilles      2007/01/28 22:13:18 UTC	(20070128-3169)
  Log:
  Add documentation for SASL client protocol, same as atheme doc/SASL.
  

  Changes:	Modified:
  + -		trunk/doc/sasl.txt (File Added) 


jilles      2007/01/26 18:52:11 UTC	(20070126-3167)
  Log:
  Include real hostname in Closing Link message for unknown
  connections that have sent USER. This is helpful for
  k-lined users while not breaking server IP hiding.
  

  Changes:	Modified:
  +3 -1		trunk/src/client.c (File Modified) 


jilles      2007/01/26 16:52:29 UTC	(20070126-3165)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +29 -29	trunk/configure (File Modified) 


nenolod     2007/01/25 07:36:23 UTC	(20070125-3163)
  Log:
  - nick[user@host] -> nick!user@host in kill messages. based on jilles' change in 3.0
  

  Changes:	Modified:
  +3 -3		trunk/modules/core/m_kill.c (File Modified) 


nenolod     2007/01/25 07:23:01 UTC	(20070125-3161)
  Log:
  Backport from early 3.x: 
  
  --
  nenolod     2006/09/27 16:39:14 UTC	(20060927-2178)
    Log:
    - remove "Processing connection to foobar.net" message
    
  
    Changes:	Modified:
    +0 -3		trunk/src/s_auth.c (File Modified) 
  
  
  nenolod     2006/09/27 16:34:26 UTC	(20060927-2176)
    Log:
    - missed the processing connection one (actually, we can probably nuke this one)
    
  
    Changes:	Modified:
    +1 -2		trunk/src/s_auth.c (File Modified) 
  
  
  river       2006/09/27 16:33:05 UTC	(20060927-2174)
    Log:
    get_client_name = stupid
    
    
  
    Changes:	Modified:
    +10 -7	trunk/modules/core/m_kill.c (File Modified) 
  
  
  nenolod     2006/09/27 16:32:37 UTC	(20060927-2172)
    Log:
    - remove excessive arguments
    
  
    Changes:	Modified:
    +1 -2		trunk/src/s_conf.c (File Modified) 
    +1 -1		trunk/src/s_user.c (File Modified) 
  
  
  nenolod     2006/09/27 16:30:59 UTC	(20060927-2170)
    Log:
    - use sendto_one_notice() for on-connect notices too.
    
  
    Changes:	Modified:
    +10 -10	trunk/src/s_auth.c (File Modified) 
  
  
  nenolod     2006/09/27 16:27:01 UTC	(20060927-2168)
    Log:
    - use sendto_one_notice() in the core, too.
    
  
    Changes:	Modified:
    +2 -2		trunk/src/chmode.c (File Modified) 
    +8 -15	trunk/src/modules.c (File Modified) 
    +3 -5		trunk/src/s_conf.c (File Modified) 
    +1 -2		trunk/src/s_newconf.c (File Modified) 
    +20 -57	trunk/src/s_user.c (File Modified) 
  
  
  river       2006/09/27 16:19:25 UTC	(20060927-2166)
    Log:
    the KILL command will use get_client_name(, SHOW_IP) instead of
    target->name, and will show a more useful error for local opers
    
    
  
    Changes:	Modified:
    +6 -4		trunk/modules/core/m_kill.c (File Modified) 
  
  
  nenolod     2006/09/27 16:09:48 UTC	(20060927-2164)
    Log:
    - fix bugs in sendto_one_notice()/sendto_one_numeric() where a client identifier won't be sent to unregistered clients
    
  
    Changes:	Modified:
    +4 -2		trunk/src/send.c (File Modified) 
  
  
  nenolod     2006/09/27 16:05:46 UTC	(20060927-2161)
    Log:
    - back out r2159
    
  
    Changes:	Modified:
    +1 -1		trunk/include/client.h (File Modified) 
  
  
  nenolod     2006/09/27 16:04:05 UTC	(20060927-2159)
    Log:
    - get_id(): fall back to "*" if client has no known name
    
  
    Changes:	Modified:
    +1 -1		trunk/include/client.h (File Modified) 
  
  
  nenolod     2006/09/27 16:01:29 UTC	(20060927-2157)
    Log:
    - convert to sendto_one_notice().
    
  
    Changes:	Modified:
    +2 -3		trunk/unsupported/m_clearchan.c (File Modified) 
    +4 -6		trunk/unsupported/m_force.c (File Modified) 
  
  
  nenolod     2006/09/27 15:57:11 UTC	(20060927-2155)
    Log:
    - use sendto_one_notice() in many places instead of 
  sendto_one(source_p, ":%s NOTICE %s :", ...);
    
  
    Changes:	Modified:
    +10 -25	trunk/extensions/example_module.c (File Modified) 
    +5 -14	trunk/extensions/hurt.c (File Modified) 
    +1 -2		trunk/extensions/m_42.c (File Modified) 
    +7 -12	trunk/extensions/m_mkpasswd.c (File Modified) 
    +1 -2		trunk/extensions/m_ojoin.c (File Modified) 
    +1 -2		trunk/extensions/m_opme.c (File Modified) 
    +3 -3		trunk/extensions/spy_whois_notice.c (File Modified) 
    +3 -3		trunk/extensions/spy_whois_notice_global.c (File Modified) 
    +3 -7		trunk/modules/core/m_die.c (File Modified) 
    +2 -4		trunk/modules/core/m_kill.c (File Modified) 
    +2 -2		trunk/modules/core/m_squit.c (File Modified) 
    +1 -2		trunk/modules/m_challenge.c (File Modified) 
    +11 -15	trunk/modules/m_connect.c (File Modified) 
    +20 -28	trunk/modules/m_dline.c (File Modified) 
    +2 -2		trunk/modules/m_etrace.c (File Modified) 
    +11 -21	trunk/modules/m_gline.c (File Modified) 
    +2 -4		trunk/modules/m_kline.c (File Modified) 
    +1 -2		trunk/modules/m_rehash.c (File Modified) 
    +3 -7		trunk/modules/m_restart.c (File Modified) 
    +31 -45	trunk/modules/m_set.c (File Modified) 
    +2 -4		trunk/modules/m_testmask.c (File Modified) 
    +5 -8		trunk/modules/m_unreject.c (File Modified) 
    +2 -5		trunk/modules/m_xline.c (File Modified) 
  --
  

  Changes:	Modified:
  +2 -0		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 
  +10 -25	trunk/extensions/example_module.c (File Modified) 
  +5 -14	trunk/extensions/hurt.c (File Modified) 
  +1 -2		trunk/extensions/m_42.c (File Modified) 
  +7 -12	trunk/extensions/m_mkpasswd.c (File Modified) 
  +1 -2		trunk/extensions/m_ojoin.c (File Modified) 
  +1 -2		trunk/extensions/m_opme.c (File Modified) 
  +3 -3		trunk/extensions/spy_whois_notice.c (File Modified) 
  +3 -3		trunk/extensions/spy_whois_notice_global.c (File Modified) 
  +3 -7		trunk/modules/core/m_die.c (File Modified) 
  +14 -11	trunk/modules/core/m_kill.c (File Modified) 
  +2 -2		trunk/modules/core/m_squit.c (File Modified) 
  +1 -2		trunk/modules/m_challenge.c (File Modified) 
  +11 -15	trunk/modules/m_connect.c (File Modified) 
  +2 -4		trunk/modules/m_dline.c (File Modified) 
  +2 -2		trunk/modules/m_etrace.c (File Modified) 
  +11 -21	trunk/modules/m_gline.c (File Modified) 
  +2 -4		trunk/modules/m_kline.c (File Modified) 
  +1 -2		trunk/modules/m_rehash.c (File Modified) 
  +3 -7		trunk/modules/m_restart.c (File Modified) 
  +31 -45	trunk/modules/m_set.c (File Modified) 
  +2 -4		trunk/modules/m_testmask.c (File Modified) 
  +5 -8		trunk/modules/m_unreject.c (File Modified) 
  +1 -3		trunk/modules/m_xline.c (File Modified) 
  +2 -2		trunk/src/chmode.c (File Modified) 
  +8 -15	trunk/src/modules.c (File Modified) 
  +10 -14	trunk/src/s_auth.c (File Modified) 
  +3 -6		trunk/src/s_conf.c (File Modified) 
  +1 -2		trunk/src/s_newconf.c (File Modified) 
  +20 -57	trunk/src/s_user.c (File Modified) 
  +4 -2		trunk/src/send.c (File Modified) 
  +2 -3		trunk/unsupported/m_clearchan.c (File Modified) 
  +4 -6		trunk/unsupported/m_force.c (File Modified) 


nenolod     2007/01/25 07:08:21 UTC	(20070125-3159)
  Log:
  - keyword-subst from charybdis 2.2.
  

  Changes:	Modified:
  +12 -3	trunk/doc/example.conf (File Modified) 
  +58 -3	trunk/doc/reference.conf (File Modified) 
  + -		trunk/include/substitution.h (File Added) 
  +1 -0		trunk/src/Makefile.in (File Modified) 
  +2 -2		trunk/src/s_conf.c (File Modified) 
  +164 -1	trunk/src/s_user.c (File Modified) 
  + -		trunk/src/substitution.c (File Added) 


nenolod     2007/01/25 07:00:49 UTC	(20070125-3157)
  Log:
  Removed merge tracking for "svnmerge" for 
  http://svn.atheme.org/charybdis/branches/release-2.2
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:59:58 UTC	(20070125-3155)
  Log:
  Initialized merge tracking via "svnmerge" with revisions "1-1919" from 
  http://svn.atheme.org/charybdis/branches/release-2.2
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:59:30 UTC	(20070125-3153)
  Log:
  Removed merge tracking for "svnmerge" for 
  http://svn.atheme.org/charybdis/branches/release-2.2
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:58:41 UTC	(20070125-3151)
  Log:
  Initialized merge tracking via "svnmerge" with revisions "1-2190" from 
  http://svn.atheme.org/charybdis/branches/release-2.2
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:57:47 UTC	(20070125-3149)
  Log:
  - bleah
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:50:46 UTC	(20070125-3147)
  Log:
  Initialized merge tracking via "svnmerge" with revisions "1-3146" from 
  http://svn.atheme.org/charybdis/branches/release-2.2
  

  Changes:	Modified:
  + -		trunk/  (Property Modified)


nenolod     2007/01/25 06:45:04 UTC	(20070125-3145)
  Log:
  - version bump to 2.2.0
  

  Changes:	Modified:
  +3 -1		trunk/NEWS (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


nenolod     2007/01/25 06:40:21 UTC	(20070125-3143)
  Log:
  - the new plan:
    + branches/release-2.1 -> 2.2 base
    + 3.0 -> branches/cxxconversion
    + backport some immediate 3.0 functionality for 2.2
    + other stuff
  

  Changes:	Modified:
  + -		trunk/ (File Added) 


jilles      2007/01/23 23:48:50 UTC	(20070123-3139)
  Log:
  Merged revisions 3135,3137 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r3135 | jilles | 2007-01-23 22:19:14 +0100 (Tue, 23 Jan 2007) | 3 lines
    
    - Expand TRACE description
    - Mention expiry time in TESTLINE
  ........
    r3137 | jilles | 2007-01-23 22:20:30 +0100 (Tue, 23 Jan 2007) | 2 lines
    
    Update copyright year for sgml docs to 2007.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -1		branches/release-2.1/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  +77 -3	branches/release-2.1/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2007/01/21 15:38:16 UTC	(20070121-3133)
  Log:
  Merged revisions 1999 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  Add river to CREDITS
  
  ........
    r1999 | river | 2006-09-02 05:15:18 +0200 (Sat, 02 Sep 2006) | 2 lines
    
    vanity
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -0		branches/release-2.1/CREDITS (File Modified) 


jilles      2007/01/21 15:36:31 UTC	(20070121-3131)
  Log:
  Merged revisions 1995,1997,2019-2020,2023-2028,2031-2032,2055-2058,2061,2063 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r1995 | river | 2006-09-02 05:06:52 +0200 (Sat, 02 Sep 2006) | 3 lines
    
    add "use_forward" option from +malfunc, lets admins disable chanmode +QFf
  ........
    r1997 | river | 2006-09-02 05:09:57 +0200 (Sat, 02 Sep 2006) | 3 lines
    
    - add use_forward to /info
  ........
    r2061 | jilles | 2006-09-23 13:51:11 +0200 (Sat, 23 Sep 2006) | 5 lines
    
    Call channel_modes() with &me instead of source_p when
    sending out a JOIN and SJOIN for a local user. This
    saves checking whether they are on the channel they
    have just joined.
  ........
    r2063 | jilles | 2006-09-23 14:17:00 +0200 (Sat, 23 Sep 2006) | 6 lines
    
    If use_forward is disabled:
    - hide +fFQ in 005
    - hide +f in /mode #channel (/mode #channel f still shows it)
    - do not send any mode changes adding +f to local clients
      (-f ones are still sent)
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -0		branches/release-2.1/doc/example.conf (File Modified) 
  +5 -0		branches/release-2.1/doc/reference.conf (File Modified) 
  +1 -0		branches/release-2.1/include/s_conf.h (File Modified) 
  +4 -3		branches/release-2.1/modules/core/m_join.c (File Modified) 
  +1 -1		branches/release-2.1/modules/core/m_sjoin.c (File Modified) 
  +6 -0		branches/release-2.1/modules/m_info.c (File Modified) 
  +1 -1		branches/release-2.1/src/channel.c (File Modified) 
  +11 -1	branches/release-2.1/src/chmode.c (File Modified) 
  +1 -0		branches/release-2.1/src/newconf.c (File Modified) 
  +1 -0		branches/release-2.1/src/s_conf.c (File Modified) 
  +5 -0		branches/release-2.1/src/s_user.c (File Modified) 
  +4 -2		branches/release-2.1/src/supported.c (File Modified) 


jilles      2007/01/02 13:23:04 UTC	(20070102-3121)
  Log:
  OPME/OMODE/OJOIN: Use get_oper_name() in log message.
  

  Changes:	Modified:
  +3 -2		branches/release-2.1/extensions/m_ojoin.c (File Modified) 
  +2 -2		branches/release-2.1/extensions/m_omode.c (File Modified) 
  +3 -2		branches/release-2.1/extensions/m_opme.c (File Modified) 


jilles      2007/01/02 13:11:04 UTC	(20070102-3117)
  Log:
  Add accountability (wallops, log) to OKICK.
  

  Changes:	Modified:
  +14 -0	branches/release-2.1/extensions/m_okick.c (File Modified) 


jilles      2006/12/27 00:47:45 UTC	(20061227-3063)
  Log:
  Allow kline ipv6:address, unkline some.host and unkline ipv6:address without *@.
  Similar to branches/release-2.2 r3061.
  

  Changes:	Modified:
  +2 -2		branches/release-2.1/modules/m_kline.c (File Modified) 


jilles      2006/12/27 00:36:54 UTC	(20061227-3059)
  Log:
  - Write xline to file after instead of before notifying opers and source
  - Also notify source of failure to add xline
  Similar to branches/release-2.2 r3057.
  

  Changes:	Modified:
  +4 -2		branches/release-2.1/modules/m_xline.c (File Modified) 


jilles      2006/12/27 00:25:50 UTC	(20061227-3055)
  Log:
  If a dline/kline/resv cannot be added to the file, send
  the regular notices to local opers and source anyway,
  and also warn the source (local opers were already warned).
  Similar to branches/release-2.2 r3053.
  

  Changes:	Modified:
  +44 -42	branches/release-2.1/src/s_conf.c (File Modified) 


jilles      2006/12/27 00:02:32 UTC	(20061227-3051)
  Log:
  Port over fixes from unkline/unxline/unresv to undline.
  Similar to branches/release-2.2 r3049.
  

  Changes:	Modified:
  +7 -2		branches/release-2.1/modules/m_dline.c (File Modified) 


jilles      2006/12/26 23:18:05 UTC	(20061226-3047)
  Log:
  Merged revisions 2915 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2915 | jilles | 2006-12-17 01:40:54 +0100 (Sun, 17 Dec 2006) | 3 lines
    
    In usage message, show kline.conf and xline.conf instead
    of klines.conf and xlines.conf.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -2		branches/release-2.1/src/ircd.c (File Modified) 


jilles      2006/12/26 23:16:57 UTC	(20061226-3045)
  Log:
  Merged revisions 2831,2833,2853 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2831 | jilles | 2006-12-14 00:19:51 +0100 (Thu, 14 Dec 2006) | 5 lines
    
    unkline/unxline/unresv:
    - if fclose on the output returns an error, treat this as a
      write error too
    - check if the rename from the temp file to the ban conf failed
  ........
    r2833 | jilles | 2006-12-14 00:39:25 +0100 (Thu, 14 Dec 2006) | 3 lines
    
    When adding a permanent dline/kline/xline/resv, check
    the return value of fclose().
  ........
    r2853 | jilles | 2006-12-16 00:24:32 +0100 (Sat, 16 Dec 2006) | 3 lines
    
    Do not free xline aconf if it could not be written out.
    It will be added to the list in memory anyway.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +7 -2		branches/release-2.1/modules/m_kline.c (File Modified) 
  +7 -2		branches/release-2.1/modules/m_resv.c (File Modified) 
  +12 -5	branches/release-2.1/modules/m_xline.c (File Modified) 
  +5 -1		branches/release-2.1/src/s_conf.c (File Modified) 


jilles      2006/12/05 13:24:19 UTC	(20061205-2813)
  Log:
  NEWS: Clarify effects of ip_cloaking changes a little.
  

  Changes:	Modified:
  +2 -0		branches/release-2.1/NEWS (File Modified) 


jilles      2006/12/05 13:18:39 UTC	(20061205-2811)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +9 -9		branches/release-2.1/configure (File Modified) 


jilles      2006/12/05 13:18:19 UTC	(20061205-2809)
  Log:
  Version bump on 2.1 branch to 2.1.2.
  

  Changes:	Modified:
  +1 -1		branches/release-2.1/configure.ac (File Modified) 


jilles      2006/12/05 12:47:23 UTC	(20061205-2807)
  Log:
  Mention r2801/r2805.
  

  Changes:	Modified:
  +1 -0		branches/release-2.1/NEWS (File Modified) 


jilles      2006/12/05 12:45:43 UTC	(20061205-2805)
  Log:
  Merged revisions 2801 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2801 | jilles | 2006-12-03 20:18:59 +0100 (Sun, 03 Dec 2006) | 3 lines
    
    ip_cloaking: try to avoid truncation by removing more
    components of the hostname (except the TLD).
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +14 -2	branches/release-2.1/extensions/ip_cloaking.c (File Modified) 


jilles      2006/12/02 20:40:54 UTC	(20061202-2793)
  Log:
  Update NEWS.
  

  Changes:	Modified:
  +8 -1		branches/release-2.1/NEWS (File Modified) 


jilles      2006/12/02 20:32:39 UTC	(20061202-2791)
  Log:
  Merged revisions 2781 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2781 | jilles | 2006-12-02 01:50:29 +0100 (Sat, 02 Dec 2006) | 5 lines
    
    Fix stupid bug: checked a hostmask against the found
    ban instead of all exceptions, causing all host mangled
    clients to be exempted if there was a single ban
    exception in many cases.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -2		branches/release-2.1/src/channel.c (File Modified) 


jilles      2006/12/02 20:00:18 UTC	(20061202-2789)
  Log:
  Merged revisions 2773 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2773 | jilles | 2006-11-24 20:45:29 +0100 (Fri, 24 Nov 2006) | 3 lines
    
    user@host must be *@* for a shared{} block with flags=locops
    (server should not be *).
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +3 -1		branches/release-2.1/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/11/27 11:45:31 UTC	(20061127-2775)
  Log:
  Tweak \s code a little.
  

  Changes:	Modified:
  +1 -1		branches/release-2.1/modules/m_etrace.c (File Modified) 
  +1 -1		branches/release-2.1/modules/m_testmask.c (File Modified) 
  +1 -1		branches/release-2.1/modules/m_xline.c (File Modified) 


jilles      2006/11/12 14:21:16 UTC	(20061112-2765)
  Log:
  Merged revisions 2761 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2761 | jilles | 2006-11-12 15:02:47 +0100 (Sun, 12 Nov 2006) | 2 lines
    
    The testline/no_tilde fixes are in 2.1.1.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -1		branches/release-2.1/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/11/10 23:02:43 UTC	(20061110-2759)
  Log:
  Update NEWS.
  

  Changes:	Modified:
  +4 -1		branches/release-2.1/NEWS (File Modified) 


jilles      2006/11/10 22:58:15 UTC	(20061110-2757)
  Log:
  Merged revisions 2125,2182-2183,2190-2195,2204-2205,2208-2209,2238-2239,2286-2287,2296-2297,2440-2441,2542-2547,2681-2682,2687-2690,2697,2703,2705,2707-2711 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  no_tilde fixes
  
  ........
    r2125 | jilles | 2006-09-26 00:59:18 +0200 (Tue, 26 Sep 2006) | 5 lines
    
    If the auth{} block has no_tilde and is not kline exempt,
    check the username without tilde against klines too.
    This is consistent with the way klines work on spoofs
    (klines checked on both raw and appearing-on-IRC version).
  ........
    r2697 | jilles | 2006-11-06 11:37:00 +0100 (Mon, 06 Nov 2006) | 4 lines
    
    Rework the fix for klines with no_tilde.
    Add an extra argument to find_address_conf() for the
    username without tilde, as that may contain one character more.
  ........
    r2703 | jilles | 2006-11-06 16:49:44 +0100 (Mon, 06 Nov 2006) | 3 lines
    
    Unbreak compile (because of r2697).
    testline with ~ could be improved some more perhaps, but this should work.
  ........
    r2705 | jilles | 2006-11-06 17:42:21 +0100 (Mon, 06 Nov 2006) | 2 lines
    
    testline: take no_tilde and username truncation into account
  ........
    r2711 | jilles | 2006-11-08 14:05:14 +0100 (Wed, 08 Nov 2006) | 2 lines
    
    Add some information on /testline with no_tilde and username truncation.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +5 -0		branches/release-2.1/doc/sgml/oper-guide/commands.sgml (File Modified) 
  +1 -0		branches/release-2.1/extensions/m_webirc.c (File Modified) 
  +2 -1		branches/release-2.1/include/hostmask.h (File Modified) 
  +12 -1	branches/release-2.1/modules/m_testline.c (File Modified) 
  +16 -2	branches/release-2.1/src/hostmask.c (File Modified) 
  +2 -2		branches/release-2.1/src/s_conf.c (File Modified) 


jilles      2006/11/10 19:08:03 UTC	(20061110-2755)
  Log:
  Merged revisions 2149,2151 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2149 | jilles | 2006-09-27 17:32:42 +0200 (Wed, 27 Sep 2006) | 3 lines
    
    Move kills from services from +s to +k snomask.
    Kills from non-service opers remain on +s.
  ........
    r2151 | jilles | 2006-09-27 17:41:39 +0200 (Wed, 27 Sep 2006) | 2 lines
    
    Update description of +s and +k snomasks.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -1		branches/release-2.1/doc/sgml/oper-guide/umodes.sgml (File Modified) 
  +1 -1		branches/release-2.1/help/opers/snomask (File Modified) 
  +1 -1		branches/release-2.1/modules/core/m_kill.c (File Modified) 


jilles      2006/11/10 19:05:25 UTC	(20061110-2753)
  Log:
  Merged revisions 2685 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2685 | jilles | 2006-11-01 18:44:01 +0100 (Wed, 01 Nov 2006) | 2 lines
    
    Mention that exempt{} blocks do not exempt from DNSBL (for completeness).
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -1		branches/release-2.1/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/11/10 15:15:00 UTC	(20061110-2743)
  Log:
  Merged revisions 2693 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2693 | jilles | 2006-11-06 02:35:21 +0100 (Mon, 06 Nov 2006) | 6 lines
    
    Fix truncation (by one) of unidented usernames
    if user registration is done because of DNSBL
    completion (which is the usual case if a valid
    NICK and USER are sent quickly and any DNSBLs
    are enabled).
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -2		branches/release-2.1/src/blacklist.c (File Modified) 


jilles      2006/11/10 01:26:27 UTC	(20061110-2739)
  Log:
  Update NEWS.
  

  Changes:	Modified:
  +10 -0	branches/release-2.1/NEWS (File Modified) 


jilles      2006/11/10 00:21:56 UTC	(20061110-2737)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +9 -9		branches/release-2.1/configure (File Modified) 


jilles      2006/11/10 00:15:54 UTC	(20061110-2735)
  Log:
  Version bump to 2.1.1.
  

  Changes:	Modified:
  +1 -1		branches/release-2.1/configure.ac (File Modified) 


jilles      2006/11/10 00:04:08 UTC	(20061110-2733)
  Log:
  Merged revisions 2186,2188,2190-2196,2204-2205,2208-2209,2224,2238-2239,2286-2287,2296-2297,2440-2441,2542-2547,2681-2682,2687-2690,2699,2701 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2186 | nenolod | 2006-09-28 04:24:41 +0200 (Thu, 28 Sep 2006) | 2 lines
    
    - fix a server notice on SID collision where the server name is mentioned twice
  ........
    r2188 | nenolod | 2006-09-28 04:30:37 +0200 (Thu, 28 Sep 2006) | 2 lines
    
    - get_server_name() is stupid
  ........
    r2196 | nenolod | 2006-09-28 05:03:07 +0200 (Thu, 28 Sep 2006) | 2 lines
    
    - fix an oops
  ........
    r2224 | jilles | 2006-09-28 18:23:53 +0200 (Thu, 28 Sep 2006) | 4 lines
    
    Do the Attempt to re-introduce SID server notice somewhat
    differently, showing a real host again if !HIDE_SERVERS_IPS
    and still showing the server name exactly once.
  ........
    r2699 | jilles | 2006-11-06 11:54:35 +0100 (Mon, 06 Nov 2006) | 2 lines
    
    Fix log message for Attempt to re-introduce SID (server notice was ok).
  ........
    r2701 | jilles | 2006-11-06 12:05:23 +0100 (Mon, 06 Nov 2006) | 4 lines
    
    - replace "No N line" with "no connect block" in a
      serverlog message
    - show attempted server name in a few serverlog messages
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +13 -6	branches/release-2.1/modules/core/m_server.c (File Modified) 


jilles      2006/11/09 23:53:43 UTC	(20061109-2731)
  Log:
  Merged revisions 2218 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2218 | jilles | 2006-09-28 16:06:06 +0200 (Thu, 28 Sep 2006) | 2 lines
    
    Fix garbage in /stats y output on 64-bit archs.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -1		branches/release-2.1/src/messages.tab (File Modified) 


jilles      2006/11/09 23:52:06 UTC	(20061109-2729)
  Log:
  Merged revisions 2438 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2438 | jilles | 2006-10-06 23:51:04 +0200 (Fri, 06 Oct 2006) | 2 lines
    
    Enable Revision keyword in addition to Id.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  + -		branches/release-2.1/extensions/m_identify.c  (Property Modified)


jilles      2006/11/09 23:48:45 UTC	(20061109-2727)
  Log:
  Merged revisions 2679 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2679 | jilles | 2006-10-29 14:24:28 +0100 (Sun, 29 Oct 2006) | 4 lines
    
    Port over ratbox 2.2 r23253 (anfl):
    - remove the cached storage of how many +beI there are, thereby fixing a        
      case where it can get desynced from reality
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +0 -1		branches/release-2.1/include/channel.h (File Modified) 
  +1 -8		branches/release-2.1/src/chmode.c (File Modified) 


jilles      2006/11/09 23:43:35 UTC	(20061109-2725)
  Log:
  Merged revisions 2093,2095 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2093 | nenolod | 2006-09-25 08:01:01 +0200 (Mon, 25 Sep 2006) | 2 lines
    
    - change DNSBL licensing to BSD.
  ........
    r2095 | nenolod | 2006-09-25 08:04:37 +0200 (Mon, 25 Sep 2006) | 2 lines
    
    - change x86-assembly FNV implementation to BSD license
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +27 -16	branches/release-2.1/src/blacklist.c (File Modified) 
  +27 -16	branches/release-2.1/src/fnvhash.s (File Modified) 


jilles      2006/11/09 23:35:48 UTC	(20061109-2723)
  Log:
  Merged revisions 2073,2075 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2073 | jilles | 2006-09-24 20:23:35 +0200 (Sun, 24 Sep 2006) | 3 lines
    
    Put full information in the squit reason when exiting
    a server due to a servlink (ziplinks) error.
  ........
    r2075 | jilles | 2006-09-24 20:33:12 +0200 (Sun, 24 Sep 2006) | 3 lines
    
    Put full information in the squit reason when exiting
    a server due to not enough arguments for a command.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +7 -5		branches/release-2.1/src/parse.c (File Modified) 
  +4 -1		branches/release-2.1/src/s_serv.c (File Modified) 


jilles      2006/11/09 23:30:38 UTC	(20061109-2721)
  Log:
  Merged revisions 2071 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2071 | jilles | 2006-09-24 20:21:57 +0200 (Sun, 24 Sep 2006) | 4 lines
    
    Don't redirect users from an existing domain to an
    existing server in reference.conf.
    Idea from ratbox.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +2 -2		branches/release-2.1/doc/reference.conf (File Modified) 


jilles      2006/09/27 17:19:03 UTC	(20060927-2182)
  Log:
  Merged revisions 2053 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2053 | jilles | 2006-09-09 17:30:38 +0200 (Sat, 09 Sep 2006) | 5 lines
    
    Make find_channel_membership() choose the shortest list
    (channel's list or user's list) to search, avoiding excessive
    CPU usage with services which are in lots of channels.
    From ratbox 2.2 (anfl/jilles)
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +21 -4	branches/release-2.1/src/channel.c (File Modified) 


jilles      2006/09/14 22:01:16 UTC	(20060914-2057)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +9 -9		branches/release-2.1/configure (File Modified) 


jilles      2006/09/14 22:00:30 UTC	(20060914-2055)
  Log:
  Version change 2.1.0rc1 -> 2.1.0 (release).
  

  Changes:	Modified:
  +1 -1		branches/release-2.1/configure.ac (File Modified) 


jilles      2006/09/02 23:57:18 UTC	(20060902-2031)
  Log:
  Merged revisions 2029 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2029 | jilles | 2006-09-03 01:56:06 +0200 (Sun, 03 Sep 2006) | 2 lines
    
    NEWS: mention m_webirc.c module
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +1 -0		branches/release-2.1/NEWS (File Modified) 


jilles      2006/09/02 23:50:03 UTC	(20060902-2027)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +9 -9		branches/release-2.1/configure (File Modified) 


jilles      2006/09/02 23:49:29 UTC	(20060902-2025)
  Log:
  Change version to 2.1.0rc1.
  

  Changes:	Modified:
  +1 -1		branches/release-2.1/configure.ac (File Modified) 


jilles      2006/09/02 23:47:27 UTC	(20060902-2023)
  Log:
  Merged revisions 2021 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2021 | jilles | 2006-09-03 01:24:17 +0200 (Sun, 03 Sep 2006) | 4 lines
    
    Get rid of delete_resolver_queries_f(), dnsbl_hits and
    related flaky looking things, and instead keep a list
    of BlacklistClients in PreClient.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +4 -1		branches/release-2.1/include/blacklist.h (File Modified) 
  +1 -1		branches/release-2.1/include/client.h (File Modified) 
  +0 -1		branches/release-2.1/include/res.h (File Modified) 
  +17 -32	branches/release-2.1/src/blacklist.c (File Modified) 
  +0 -24	branches/release-2.1/src/res.c (File Modified) 
  +1 -1		branches/release-2.1/src/s_user.c (File Modified) 


jilles      2006/09/02 19:25:05 UTC	(20060902-2019)
  Log:
  Merged revisions 2015,2017 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r2015 | jilles | 2006-09-02 20:11:23 +0200 (Sat, 02 Sep 2006) | 4 lines
    
    Check if the name in the question section of the
    DNS reply matches what we queried, to guard against
    late replies to a previous query with the same id.
  ........
    r2017 | jilles | 2006-09-02 20:24:34 +0200 (Sat, 02 Sep 2006) | 2 lines
    
    res.c: add a comment summarizing our changes
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +53 -18	branches/release-2.1/src/res.c (File Modified) 


jilles      2006/09/01 19:43:30 UTC	(20060901-1985)
  Log:
  Merged revisions 1981 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r1981 | jilles | 2006-09-01 03:21:02 +0200 (Fri, 01 Sep 2006) | 2 lines
    
    Alphabetize extensions and tweak the descriptions a little.
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +5 -5		branches/release-2.1/doc/example.conf (File Modified) 
  +13 -13	branches/release-2.1/doc/reference.conf (File Modified) 


jilles      2006/09/01 19:42:07 UTC	(20060901-1983)
  Log:
  Merged revisions 1975 via svnmerge from 
  http://svn.atheme.org/charybdis/trunk
  
  ........
    r1975 | jilles | 2006-09-01 01:56:25 +0200 (Fri, 01 Sep 2006) | 4 lines
    
    Fix bug in WEBIRC to deal with hosts being longer than HOSTLEN.
    We should use the IP and not truncate the hostname.
    From ratbox 2.2 (androsyn)
  ........
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)
  +7 -1		branches/release-2.1/extensions/m_webirc.c (File Modified) 


jilles      2006/09/01 00:01:23 UTC	(20060901-1977)
  Log:
  Initialized merge tracking via "svnmerge" with revisions "1-1918" from 
  http://svn.atheme.org/charybdis/trunk
  

  Changes:	Modified:
  + -		branches/release-2.1/  (Property Modified)


nenolod     2006/08/31 10:32:46 UTC	(20060831-1919)
  Log:
  - branch 2.1 release family
  

  Changes:	Modified:
  + -		branches/release-2.1/ (File Added) 


jilles      2006/08/30 16:20:52 UTC	(20060830-1917)
  Log:
  Describe new handling of host mangling in channel bans in SGML.
  

  Changes:	Modified:
  +7 -1		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


nenolod     2006/08/29 20:24:08 UTC	(20060829-1915)
  Log:
  - ok, 2.1 operline brought to you by marvin the melancholy robot
  

  Changes:	Modified:
  +1 -1		trunk/src/messages.tab (File Modified) 


nenolod     2006/08/29 19:48:43 UTC	(20060829-1913)
  Log:
  - change RPL_YOUREOPER to "Be sure to duck the rotten tomatoes."
  If anybody comes up with anything better, then please let us know
  and we will change this before 2.1 is branched.
  

  Changes:	Modified:
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2006/08/29 19:34:39 UTC	(20060829-1911)
  Log:
  Add EUID to capab.txt.
  

  Changes:	Modified:
  +1 -0		trunk/doc/technical/capab.txt (File Modified) 


jilles      2006/08/29 19:32:44 UTC	(20060829-1909)
  Log:
  Update NEWS file.
  

  Changes:	Modified:
  +3 -0		trunk/NEWS (File Modified) 


jilles      2006/08/29 19:18:15 UTC	(20060829-1907)
  Log:
  Allow service{} servers to manipulate the nick delay table
  (for "nickserv enforcement").
  Syntax: :<server> ENCAP * NICKDELAY <duration> <nick>
  If duration is 0, the nickdelay entry is removed, otherwise
  it is added with the duration in seconds (maximum 24 hours).
  It is suggested that this is used if the EUID capab is present.
  

  Changes:	Modified:
  +42 -1	trunk/modules/m_services.c (File Modified) 


jilles      2006/08/29 14:51:31 UTC	(20060829-1905)
  Log:
  HURT: strip off *@ from the start of the mask
  reject anything else containing '@' or '!'
  

  Changes:	Modified:
  +11 -0	trunk/extensions/hurt.c (File Modified) 


jilles      2006/08/29 14:46:33 UTC	(20060829-1903)
  Log:
  ircd.c: need supported.h here
  

  Changes:	Modified:
  +1 -0		trunk/src/ircd.c (File Modified) 


jilles      2006/08/29 14:45:53 UTC	(20060829-1901)
  Log:
  HURT: less ambiguity here
  ips/hosts to be hurt must contain a '.' or ':' otherwise
  they are interpreted as nicks
  

  Changes:	Modified:
  +14 -9	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/08/29 14:40:11 UTC	(20060829-1899)
  Log:
  - we're now ircd-charybdis.org.
  - properly alphabetize credits
  

  Changes:	Modified:
  +4 -5		trunk/CREDITS (File Modified) (Property Modified)


nenolod     2006/08/29 14:35:53 UTC	(20060829-1897)
  Log:
  - add additional modules to the configs
  

  Changes:	Modified:
  +6 -0		trunk/doc/example.conf (File Modified) 
  +12 -0	trunk/doc/reference.conf (File Modified) 


nenolod     2006/08/29 14:26:40 UTC	(20060829-1895)
  Log:
  - remove hurt.h, it is pointless and confusing
  

  Changes:	Modified:
  +27 -62	trunk/extensions/hurt.c (File Modified) 
  + -		trunk/extensions/hurt.h (File Deleted) 


nenolod     2006/08/29 14:24:37 UTC	(20060829-1893)
  Log:
  - add code to suggest a local HURT by nickname.
  - clean up this code (use libcharybdis runtime for memory management, not system libc)
  

  Changes:	Modified:
  +40 -10	trunk/extensions/hurt.c (File Modified) 
  +1 -0		trunk/extensions/hurt.h (File Modified) 


nenolod     2006/08/29 14:13:06 UTC	(20060829-1891)
  Log:
  - update NEWS file
  

  Changes:	Modified:
  +2 -1		trunk/NEWS (File Modified) 


jilles      2006/08/29 13:49:29 UTC	(20060829-1889)
  Log:
  MASKTRACE/TESTMASK: check orighost as well
  

  Changes:	Modified:
  +4 -2		trunk/modules/m_etrace.c (File Modified) 
  +3 -1		trunk/modules/m_testmask.c (File Modified) 


jilles      2006/08/29 13:42:56 UTC	(20060829-1887)
  Log:
  Make RPL_ISUPPORT (005) numeric modularizable.
  Currently it will reassemble the numeric every time
  it needs to be sent, using a few dozen callbacks;
  if this is too slow some caching scheme should be
  implemented.
  

  Changes:	Modified:
  +0 -1		trunk/include/s_user.h (File Modified) 
  +36 -114	trunk/include/supported.h (File Modified) 
  +1 -1		trunk/modules/m_version.c (File Modified) 
  +1 -0		trunk/src/Makefile.in (File Modified) 
  +1 -0		trunk/src/ircd.c (File Modified) 
  +300 -25	trunk/src/s_user.c (File Modified) 
  + -		trunk/src/supported.c (File Added) 


jilles      2006/08/28 10:09:50 UTC	(20060828-1885)
  Log:
  EUID orighost could differ from host only in case,
  do not mark as dynamic spoof then
  

  Changes:	Modified:
  +2 -1		trunk/modules/core/m_nick.c (File Modified) 


jilles      2006/08/28 09:52:57 UTC	(20060828-1883)
  Log:
  kline help file: clarify a bit and remove some obsolete stuff
  partly suggested by Olin
  

  Changes:	Modified:
  +8 -8		trunk/help/opers/kline (File Modified) 


jilles      2006/08/28 09:51:56 UTC	(20060828-1881)
  Log:
  Update NEWS file.
  

  Changes:	Modified:
  +20 -0	trunk/NEWS (File Modified) 


jilles      2006/08/27 21:18:43 UTC	(20060827-1879)
  Log:
  Show real host/IP to nonopers whoising themselves.
  The IP is not shown for auth{} spoofs, otherwise it is,
  as it looked rather weird to me to show an auth{} spoofed
  IP like this. (/userhost on self still shows the IP.)
  

  Changes:	Modified:
  +13 -2	trunk/modules/m_whois.c (File Modified) 


jilles      2006/08/27 18:30:04 UTC	(20060827-1877)
  Log:
  Document nick_delay stuff and move it around a bit.
  

  Changes:	Modified:
  +1 -2		trunk/doc/example.conf (File Modified) 
  +8 -2		trunk/doc/reference.conf (File Modified) 


nenolod     2006/08/27 18:22:55 UTC	(20060827-1875)
  Log:
  - disable nickdelay by default. Needs to be documented in reference.conf.
  

  Changes:	Modified:
  +2 -0		trunk/doc/example.conf (File Modified) 
  +2 -0		trunk/doc/reference.conf (File Modified) 


jilles      2006/08/27 18:05:50 UTC	(20060827-1873)
  Log:
  Fix RPL_WHOISLOGGEDIN (330) not being sent in TS6 form.
  

  Changes:	Modified:
  +2 -1		trunk/modules/m_services.c (File Modified) 


jilles      2006/08/27 15:36:00 UTC	(20060827-1871)
  Log:
  ip_cloaking: somewhat hackish but we need to send the
  396 (RPL_HOSTHIDDEN) on connect if +h is in default
  umodes
  

  Changes:	Modified:
  +3 -0		trunk/extensions/ip_cloaking.c (File Modified) 


jilles      2006/08/27 14:24:25 UTC	(20060827-1869)
  Log:
  If EUID is used, show realhost in far connect notice
  (but not in far disconnect notice).
  

  Changes:	Modified:
  +1 -1		trunk/extensions/sno_farconnect.c (File Modified) 


jilles      2006/08/27 14:21:45 UTC	(20060827-1867)
  Log:
  ip_cloaking:
  - use non-ENCAP CHGHOST if possible
  - really introduce new users with their mangled and real
    host if +h is in default umodes
  

  Changes:	Modified:
  +15 -3	trunk/extensions/ip_cloaking.c (File Modified) 


jilles      2006/08/27 14:02:57 UTC	(20060827-1865)
  Log:
  Add non-ENCAP CHGHOST.
  

  Changes:	Modified:
  +49 -11	trunk/modules/m_chghost.c (File Modified) 


jilles      2006/08/27 13:40:37 UTC	(20060827-1863)
  Log:
  Initial addition of EUID (puts realhost/account in same
  command as user introduction).
  See doc/technical/euid.txt for more information.
  At this time, EUID requires TS6, and new CHGHOST is not done yet.
  

  Changes:	Modified:
  + -		trunk/doc/technical/euid.txt (File Added) 
  +2 -1		trunk/include/s_serv.h (File Modified) 
  +1 -1		trunk/include/s_user.h (File Modified) 
  +127 -4	trunk/modules/core/m_nick.c (File Modified) 
  +1 -34	trunk/modules/m_chghost.c (File Modified) 
  +0 -28	trunk/modules/m_services.c (File Modified) 
  +30 -1	trunk/src/s_serv.c (File Modified) 
  +30 -3	trunk/src/s_user.c (File Modified) 


jilles      2006/08/26 23:21:42 UTC	(20060826-1861)
  Log:
  Store the mangled host in localClient and use it for
  ban matching (also match real host for mangled users,
  also match mangled host for uncloaked users).
  Improve interaction of +h with auth{} and services
  spoofs.
  Note that all of this only applies to clients who
  connect after the mangling module is loaded
  (other clients cannot even set +h).
  The sorcerynet cloaking module has not been updated
  for these changes.
  

  Changes:	Modified:
  +31 -13	trunk/extensions/ip_cloaking.c (File Modified) 
  +3 -0		trunk/include/client.h (File Modified) 
  +64 -5	trunk/src/channel.c (File Modified) 
  +1 -0		trunk/src/client.c (File Modified) 
  +2 -2		trunk/src/s_user.c (File Modified) 


jilles      2006/08/25 20:20:42 UTC	(20060825-1859)
  Log:
  Document /stats U letters in sgml.
  

  Changes:	Modified:
  +27 -21	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/08/25 14:33:51 UTC	(20060825-1857)
  Log:
  Better description of hub_mask and leaf_mask.
  

  Changes:	Modified:
  +13 -2	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/08/25 14:24:14 UTC	(20060825-1855)
  Log:
  Add operspy_dont_care_user_info to sgml docs.
  

  Changes:	Modified:
  +6 -0		trunk/doc/sgml/oper-guide/oprivs.sgml (File Modified) 


jilles      2006/08/24 18:30:52 UTC	(20060824-1853)
  Log:
  Add general::operspy_dont_care_user_info.
  This makes /who mask equivalent to /who !mask for opers
  with the operspy flag, and removes the operspy log/notice
  on /who mask, /masktrace and /scan.
  The necessary privilege (operspy flag) is unchanged.
  Behaviour for the other operspy commands (channel
  related ones) is also unchanged.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +6 -0		trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +10 -8	trunk/modules/m_etrace.c (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +8 -5		trunk/modules/m_scan.c (File Modified) 
  +1 -1		trunk/modules/m_version.c (File Modified) 
  +6 -1		trunk/modules/m_who.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 


jilles      2006/08/24 17:16:53 UTC	(20060824-1851)
  Log:
  Show 'S' in /version if sno_farconnect.so has ever been loaded.
  This letter will also be used for showing operspy with
  limited accountability (show non channel related info
  without '!' or notice).
  

  Changes:	Modified:
  +2 -0		trunk/doc/server-version-info (File Modified) 
  +3 -0		trunk/extensions/sno_farconnect.c (File Modified) 
  +2 -0		trunk/include/ircd.h (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +2 -0		trunk/modules/m_version.c (File Modified) 
  +1 -0		trunk/src/ircd_state.c (File Modified) 


jilles      2006/08/23 12:40:21 UTC	(20060823-1849)
  Log:
  Add m_webirc module, allows showing real host of CGI:IRC users.
  Differences to the version available on my web page for a while:
  instructions on how to set it up.
  

  Changes:	Modified:
  +137 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/m_webirc.c (File Added) 


nenolod     2006/08/23 10:21:57 UTC	(20060823-1847)
  Log:
  - make I/O ports code compile on solaris 10 (tested on SunOS 5.10 sun4u sparc64)
  

  Changes:	Modified:
  +5 -50	trunk/libcharybdis/ports.c (File Modified) 


nenolod     2006/08/22 23:57:10 UTC	(20060822-1845)
  Log:
  - move beu from core to contributors
  - adjust captialisation on gxti's nickname (he uses gxti now instead of GXTi).
  

  Changes:	Modified:
  +2 -2		trunk/CREDITS (File Modified) 


jilles      2006/08/22 17:57:25 UTC	(20060822-1843)
  Log:
  Mention that class blocks must be defined before the
  auth or connect blocks referencing them.
  

  Changes:	Modified:
  +4 -2		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/08/22 17:30:03 UTC	(20060822-1841)
  Log:
  extb_canjoin:
  - change from "can join" to "is banned", this reverses sense
    and removes "weird" checks like for +i, +l, +j
  - don't allow $j to same channel
  - +s/+p restriction removed, anyone can /mode b anyway
  - +k check removed
  

  Changes:	Modified:
  +12 -8	trunk/extensions/extb_canjoin.c (File Modified) 


jilles      2006/08/22 15:25:37 UTC	(20060822-1839)
  Log:
  Add a few important lines from reference.conf to example.conf.
  

  Changes:	Modified:
  +8 -1		trunk/doc/example.conf (File Modified) 


nenolod     2006/08/22 14:05:58 UTC	(20060822-1837)
  Log:
  - we don't support rtsigio anymore
  - we definately don't support VMS nor Cygwin either.
  

  Changes:	Modified:
  +2 -2		trunk/INSTALL (File Modified) 
  +0 -2		trunk/README.FIRST (File Modified) 


nenolod     2006/08/22 12:59:38 UTC	(20060822-1835)
  Log:
  - if the channel is +k, pass the source channel's key to can_join() for the target channel.
  

  Changes:	Modified:
  +1 -1		trunk/extensions/extb_canjoin.c (File Modified) 


jilles      2006/08/22 12:55:22 UTC	(20060822-1833)
  Log:
  extb_canjoin:
  - return EXTBAN_NOMATCH for a valid ban that does not match
  - consider a $j ban invalid if we were already processing a
    can_join for a $j ban
  

  Changes:	Modified:
  +7 -2		trunk/extensions/extb_canjoin.c (File Modified) 


jilles      2006/08/22 12:44:04 UTC	(20060822-1831)
  Log:
  extb_extgecos: realhost -> orighost
  

  Changes:	Modified:
  +1 -1		trunk/extensions/extb_extgecos.c (File Modified) 


nenolod     2006/08/22 07:05:17 UTC	(20060822-1829)
  Log:
  - add $j extban type, allows entry or non-entry to a channel based on whether or not you can join another channel.
  

  Changes:	Modified:
  +59 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/extb_canjoin.c (File Added) 


nenolod     2006/08/22 05:06:34 UTC	(20060822-1827)
  Log:
  - oh right, charybdis calls that 'orighost'.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_who.c (File Modified) 


nenolod     2006/08/22 05:05:20 UTC	(20060822-1825)
  Log:
  - allow *opers* to do a /who based on realhost. Perhaps this should require operspy? TBD.
  

  Changes:	Modified:
  +2 -0		trunk/modules/m_who.c (File Modified) 


nenolod     2006/08/22 00:16:38 UTC	(20060822-1823)
  Log:
  - also check $x against realhost
  

  Changes:	Modified:
  +12 -1	trunk/extensions/extb_extgecos.c (File Modified) 


jilles      2006/08/20 17:16:37 UTC	(20060820-1811)
  Log:
  Sorcerynet people want a debugging notice moved from +s to +d.
  

  Changes:	Modified:
  +1 -1		trunk/src/blacklist.c (File Modified) 


jilles      2006/08/20 16:59:27 UTC	(20060820-1805)
  Log:
  Use source_p instead of client_p for free_pre_client().
  client_p could be NULL or another client.
  

  Changes:	Modified:
  +1 -1		trunk/src/client.c (File Modified) 


nenolod     2006/08/20 16:58:04 UTC	(20060820-1803)
  Log:
  - revert this, I know how to fix it now
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_nick.c (File Modified) 


nenolod     2006/08/20 16:55:31 UTC	(20060820-1801)
  Log:
  - pass an actual valid client_p to exit_client() when dealing with Overriden condition.
  This fix is probably suboptimal, but it does indeed fix the problem.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_nick.c (File Modified) 


nenolod     2006/08/20 10:27:33 UTC	(20060820-1799)
  Log:
  - add extb_extgecos extban option ($x:nick!user@host#gecos), from sorcery modules
  

  Changes:	Modified:
  +49 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/extb_extgecos.c (File Added) 


jilles      2006/08/10 00:00:44 UTC	(20060810-1797)
  Log:
  Remove undocumented and unused general::fallback_to_ip6_int config option.
  

  Changes:	Modified:
  +0 -3		trunk/include/s_conf.h (File Modified) 
  +0 -3		trunk/src/newconf.c (File Modified) 


jilles      2006/08/04 20:12:47 UTC	(20060804-1795)
  Log:
  SGML docs:
  - document new TESTMASK
  - mention that TESTMASK matching is the same as MASKTRACE matching
  - mention that gecos in TESTMASK/MASKTRACE is optional (has always
    been that way)
  

  Changes:	Modified:
  +23 -6	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/08/04 19:56:03 UTC	(20060804-1793)
  Log:
  New testmask from ratbox 2.2.
  Allows matches on nick, ip and gecos in addition to user
  and host, and is fully analogous to masktrace.
  The numeric has changed from 724 to 727 and fields in it
  have changed.
  

  Changes:	Modified:
  +4 -3		trunk/help/opers/testmask (File Modified) 
  +1 -0		trunk/include/numeric.h (File Modified) 
  +82 -9	trunk/modules/m_testmask.c (File Modified) 
  +2 -2		trunk/src/messages.tab (File Modified) 


jilles      2006/08/04 19:33:27 UTC	(20060804-1791)
  Log:
  contrib -> extensions
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/08/03 22:12:00 UTC	(20060803-1789)
  Log:
  CHGHOST: Check validity of new hostname.
  If the command came from a local client (disabled by
  default), send an error message and drop the command.
  If the command came from a remote client or server,
  send a notice to opers and the target user (if local).
  

  Changes:	Modified:
  +42 -1	trunk/modules/m_chghost.c (File Modified) 


jilles      2006/07/31 15:54:57 UTC	(20060731-1787)
  Log:
  Update NEWS file.
  

  Changes:	Modified:
  +23 -1	trunk/NEWS (File Modified) 


jilles      2006/07/31 15:24:06 UTC	(20060731-1785)
  Log:
  When an outgoing server connection succeeds, set
  localClient->ip by simply copying the whole sockaddr
  struct instead of copying certain parts only.
  

  Changes:	Modified:
  +1 -19	trunk/src/s_serv.c (File Modified) 


jilles      2006/07/31 15:17:19 UTC	(20060731-1783)
  Log:
  Give a special error message and ignore the connect block
  if trying to add a connect block for the server's own name.
  

  Changes:	Modified:
  +7 -0		trunk/src/newconf.c (File Modified) 


jilles      2006/07/30 18:07:38 UTC	(20060730-1781)
  Log:
  Provide stubs for BlockHeapUsage(), struct MemBlock and MemBlock
  when --disable-balloc is used, so that it compiles.
  Obviously the BlockHeapUsage() stub returns just zeroes so
  /stats z will be less informative.
  

  Changes:	Modified:
  +5 -0		trunk/libcharybdis/balloc.h (File Modified) 


jilles      2006/07/30 16:36:39 UTC	(20060730-1779)
  Log:
  Free and zero dns_query in DNS callback for outgoing connect.
  This avoids double free of reslist.
  

  Changes:	Modified:
  +4 -0		trunk/libcharybdis/commio.c (File Modified) 


jilles      2006/07/30 16:10:50 UTC	(20060730-1777)
  Log:
  From ratbox, log failed outgoing connections to serverlog.
  Added: IP address.
  

  Changes:	Modified:
  +13 -1	trunk/src/s_serv.c (File Modified) 


jilles      2006/07/30 15:44:50 UTC	(20060730-1775)
  Log:
  Change serverlog message when connecting to be more clear and show the port number.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_serv.c (File Modified) 


jilles      2006/07/30 15:03:52 UTC	(20060730-1773)
  Log:
  Remove gethost_byname(), this is meaningless
  since the removal of AAAA -> A fallback (r1763).
  

  Changes:	Modified:
  +0 -1		trunk/include/res.h (File Modified) 
  +0 -12	trunk/src/res.c (File Modified) 


jilles      2006/07/30 14:47:53 UTC	(20060730-1771)
  Log:
  Remove ip6.int support and use only ip6.arpa.
  The global ip6.int zone has disappeared on June 1
  and a lot of other software has been removing ip6.int
  support also.
  This removes the second and last case where IPv6
  support in charybdis causes extra lookups and slows
  DNS down.
  

  Changes:	Modified:
  +5 -27	trunk/src/res.c (File Modified) 


jilles      2006/07/30 14:30:48 UTC	(20060730-1769)
  Log:
  Mention new default (r1767) for connect::aftype in sgml docs.
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/07/30 13:59:15 UTC	(20060730-1767)
  Log:
  Use IPv6 if connect::host looks like an IPv6 address
  (contains a colon). No need to aftype=ipv6 anymore.
  

  Changes:	Modified:
  +2 -0		trunk/src/newconf.c (File Modified) 


jilles      2006/07/30 13:42:26 UTC	(20060730-1765)
  Log:
  More information about connect::host.
  

  Changes:	Modified:
  +7 -2		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/07/30 12:59:39 UTC	(20060730-1763)
  Log:
  Remove fallback to A if AAAA cannot be found.
  In case of a forward check of a reverse lookup, we
  already know if it's ipv4 or ipv6, so it is not
  useful and in case of a forward lookup of a hostname
  in connect::host, connect::aftype already specifies
  if it's ipv4 or ipv6.
  

  Changes:	Modified:
  +4 -27	trunk/src/res.c (File Modified) 


jilles      2006/07/27 19:27:49 UTC	(20060727-1761)
  Log:
  msg_channel():
  - check if +c made the message text empty and refuse
    to send it if so
  - don't copy message text if it is not necessary
    (channel is -c)
  

  Changes:	Modified:
  +14 -4	trunk/modules/core/m_message.c (File Modified) 


jilles      2006/07/25 23:46:50 UTC	(20060725-1759)
  Log:
  remove_conf_item(): do not free cf_name, this is generally a string constant
  

  Changes:	Modified:
  +0 -1		trunk/src/newconf.c (File Modified) 


jilles      2006/07/25 23:34:45 UTC	(20060725-1757)
  Log:
  Remove the old unused FDL_ constants.
  

  Changes:	Modified:
  +0 -9		trunk/libcharybdis/commio.h (File Modified) 


jilles      2006/07/25 23:17:59 UTC	(20060725-1755)
  Log:
  Remove an unused struct irc_sockaddr_storage from fde_t
  (allocated for every possible file descriptor).
  

  Changes:	Modified:
  +0 -2		trunk/libcharybdis/commio.h (File Modified) 


jilles      2006/07/25 22:48:38 UTC	(20060725-1753)
  Log:
  If the DNS lookup for an outgoing connection is still
  pending when it is closed, clean it up.
  

  Changes:	Modified:
  +1 -0		trunk/libcharybdis/commio.c (File Modified) 


jilles      2006/07/25 22:40:33 UTC	(20060725-1751)
  Log:
  If proc_answer() fails (for example if a lookup for an
  A record returns a CNAME), fail the query immediately.
  Previously the packet was just ignored, leaving the
  query to time out.
  

  Changes:	Modified:
  +4 -8		trunk/src/res.c (File Modified) 


jilles      2006/07/25 22:16:20 UTC	(20060725-1749)
  Log:
  Correct sockhost field in an outgoing server connection.
  First copy the host field from the server_conf, then
  take the IP from to where the connection was attempted
  when the connection callback is called.
  (Before r1747 this used the IP from the server_conf.)
  

  Changes:	Modified:
  +8 -2		trunk/src/s_serv.c (File Modified) 


jilles      2006/07/25 21:22:45 UTC	(20060725-1747)
  Log:
  Remove ipnum (keep aftype) and dns_query from server_conf.
  We don't keep track of binary form address in connect{}
  blocks anymore, DNS lookups of names in host= gone.
  As before the DNS lookup is done on connect.
  This should unbreak hostnames in host= somewhat.
  

  Changes:	Modified:
  +1 -2		trunk/include/s_newconf.h (File Modified) 
  +2 -2		trunk/src/newconf.c (File Modified) 
  +1 -42	trunk/src/s_newconf.c (File Modified) 
  +12 -31	trunk/src/s_serv.c (File Modified) 


jilles      2006/07/25 16:25:56 UTC	(20060725-1745)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +1 -1		trunk/configure (File Modified) 


jilles      2006/07/25 16:25:12 UTC	(20060725-1743)
  Log:
  Fix --disable-balloc help text (said --disable-small-net).
  

  Changes:	Modified:
  +1 -1		trunk/configure.ac (File Modified) 


jilles      2006/07/23 18:58:52 UTC	(20060723-1741)
  Log:
  Add general::servicestring, shown on RPL_WHOISOPERATOR for
  services (+S). Unlike operstring and adminstring, this
  is not changeable with /quote set but is updated on rehash.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +10 -2	trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +3 -2		trunk/modules/m_whois.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 


jilles      2006/07/22 16:27:02 UTC	(20060722-1739)
  Log:
  Fix handling of comma in whois: ignore the comma and
  everything after it but do output the entire parameter
  in RPL_ENDOFWHOIS.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_whois.c (File Modified) 


beu         2006/07/21 22:36:46 UTC	(20060721-1737)
  Log:
  New /stats letter 's' to list HURTs:
  - opers get the full listing.
  - users get any HURTs that match their sockhost/orighost if
    "stats_k_oper_only" is set to 1.
  

  Changes:	Modified:
  +50 -0	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/07/19 02:35:40 UTC	(20060719-1735)
  Log:
  - make the newconf system available to modules.
  

  Changes:	Modified:
  +4 -1		trunk/include/newconf.h (File Modified) 
  +4 -8		trunk/src/newconf.c (File Modified) 


beu         2006/07/18 22:39:16 UTC	(20060718-1733)
  Log:
  Undo silly commit (tor.dnsbl.sectoor.de requirs record checking).

  Changes:	Modified:
  +0 -3		trunk/doc/example.conf (File Modified) 
  +0 -3		trunk/doc/reference.conf (File Modified) 


beu         2006/07/18 22:34:36 UTC	(20060718-1731)
  Log:
  Add more effective Tor DNSBL (more up-to-date, more NATed nodes, etc).
  

  Changes:	Modified:
  +3 -0		trunk/doc/example.conf (File Modified) 
  +3 -0		trunk/doc/reference.conf (File Modified) 


jilles      2006/07/17 16:48:13 UTC	(20060717-1729)
  Log:
  Fix too early truncation of JOIN channel list.
  

  Changes:	Modified:
  +2 -3		trunk/modules/core/m_join.c (File Modified) 


jilles      2006/07/07 21:59:52 UTC	(20060707-1727)
  Log:
  - From ratbox 2.2 (anfl), send server notices about read
    errors from handshakes and servers to +s instead of +d.
  - Send various server notices about failed server
    connections which did not reach registered state network
    wide if the connection was initiated by a remote oper.
    This avoids annoying the whole net if there is a
    broken autoconnect, but allows all opers to see why a
    remote connect failed. Failed connections which did reach
    server state already generate server notices everywhere.
  
  Note: this is an exception to our general policy to not send
  server notices about unregistered connections remotely.
  

  Changes:	Modified:
  +1 -0		trunk/include/client.h (File Modified) 
  +20 -6	trunk/src/client.c (File Modified) 
  +6 -6		trunk/src/s_serv.c (File Modified) 


nenolod     2006/07/07 14:41:39 UTC	(20060707-1725)
  Log:
  - fix typoes
  

  Changes:	Modified:
  +1 -1		trunk/doc/example.conf (File Modified) 
  +1 -1		trunk/doc/reference.conf (File Modified) 


jilles      2006/07/06 15:23:58 UTC	(20060706-1723)
  Log:
  Don't allow #channel +b $c:&channel (inconsistent target).
  

  Changes:	Modified:
  +3 -0		trunk/extensions/extb_channel.c (File Modified) 


jilles      2006/07/05 14:37:18 UTC	(20060705-1721)
  Log:
  Remove dns_query pointer from LocalClient, we store this in AuthQuery.
  

  Changes:	Modified:
  +0 -2		trunk/include/client.h (File Modified) 


jilles      2006/07/05 13:28:40 UTC	(20060705-1719)
  Log:
  Invalidate can_send ban cache when a TS6 SJOIN clears the ban list.
  

  Changes:	Modified:
  +2 -0		trunk/modules/core/m_sjoin.c (File Modified) 


jilles      2006/07/04 14:41:11 UTC	(20060704-1717)
  Log:
  Store IP addresses in whowas. These are shown to opers.
  Obtained from Eurus patches.
  orighost tracking removed (not worth the memory IMHO),
  numeric changed to RPL_WHOISACTUALLY, fixed to deal
  with unknown IPs and to not violate auth{} spoof policy.
  

  Changes:	Modified:
  +2 -0		trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/numeric.h (File Modified) 
  +1 -0		trunk/include/whowas.h (File Modified) 
  +10 -1	trunk/modules/m_whowas.c (File Modified) 
  +1 -1		trunk/src/messages.tab (File Modified) 
  +4 -0		trunk/src/whowas.c (File Modified) 


jilles      2006/07/03 15:18:47 UTC	(20060703-1715)
  Log:
  Describe hostmask parameter of masktrace better in sgml docs.
  

  Changes:	Modified:
  +5 -0		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/07/03 14:03:05 UTC	(20060703-1713)
  Log:
  masktrace help file: mention CIDR IP masks
  From ratbox 2.2
  

  Changes:	Modified:
  +2 -0		trunk/help/opers/masktrace (File Modified) 


jilles      2006/07/03 13:56:38 UTC	(20060703-1711)
  Log:
  MASKTRACE: allow normal match() on IP address also
  From ratbox 2.2
  

  Changes:	Modified:
  +2 -3		trunk/modules/m_etrace.c (File Modified) 


jilles      2006/06/29 22:36:45 UTC	(20060629-1709)
  Log:
  Allow +S clients (services) to send to channels and @/+ channels always.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_message.c (File Modified) 
  +1 -1		trunk/src/channel.c (File Modified) 


jilles      2006/06/29 22:25:46 UTC	(20060629-1707)
  Log:
  Allow servers to send to @#chan and +#chan.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_message.c (File Modified) 


jilles      2006/06/29 21:51:59 UTC	(20060629-1705)
  Log:
  Don't count opers on service{} servers in /lusers.
  

  Changes:	Modified:
  +2 -2		trunk/src/s_user.c (File Modified) 


jilles      2006/06/29 21:19:38 UTC	(20060629-1703)
  Log:
  Show opers the real host behind a dynamic spoof in WHOIS.
  If the user is auth{} spoofed, this shows the auth{} spoof
  otherwise it shows the DNS hostname and IP address.
  The numeric used is 378 (RPL_WHOISHOST) taken from Unreal.
  

  Changes:	Modified:
  +1 -0		trunk/include/numeric.h (File Modified) 
  +12 -2	trunk/modules/m_whois.c (File Modified) 
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2006/06/27 16:25:52 UTC	(20060627-1701)
  Log:
  Remove #define HIDE_SPOOF_IPS from config.h, should
  have been done earlier.
  

  Changes:	Modified:
  +0 -7		trunk/include/config.h (File Modified) 


jilles      2006/06/27 15:29:10 UTC	(20060627-1699)
  Log:
  Bring back ERR_CANTKILLSERVER.
  

  Changes:	Modified:
  +5 -7		trunk/modules/core/m_kill.c (File Modified) 


jilles      2006/06/27 15:18:57 UTC	(20060627-1697)
  Log:
  ip_cloaking module:
  - also send RPL_HOSTHIDDEN on -h
  - don't allow +h for auth{} spoofed clients
  

  Changes:	Modified:
  +8 -2		trunk/extensions/ip_cloaking.c (File Modified) 


jilles      2006/06/27 15:11:23 UTC	(20060627-1695)
  Log:
  /etc/resolv.conf parsing:
  - don't crash (sometimes) if there is a line without an argument
    (e.g. 'search' by itself)
  - fix handling of lines with leading whitespace
  

  Changes:	Modified:
  +9 -8		trunk/src/reslib.c (File Modified) 


jilles      2006/06/20 14:26:16 UTC	(20060620-1683)
  Log:
  Put back code that terminates DNS queries, which was
  removed during the resolver changes.
  

  Changes:	Modified:
  +4 -0		trunk/src/s_auth.c (File Modified) 


nenolod     2006/06/20 09:20:58 UTC	(20060620-1681)
  Log:
  - oh hey, that was in the wrong place
  

  Changes:	Modified:
  +13 -13	trunk/src/s_auth.c (File Modified) 


nenolod     2006/06/20 08:33:20 UTC	(20060620-1679)
  Log:
  - handle a situation where a user can go away before DNS completes
  

  Changes:	Modified:
  +13 -0	trunk/src/s_auth.c (File Modified) 


jilles      2006/06/16 14:43:33 UTC	(20060616-1677)
  Log:
  More dnsbl stuff
  

  Changes:	Modified:
  +1 -0		trunk/include/blacklist.h (File Modified) 
  +1 -0		trunk/include/res.h (File Modified) 
  +33 -2	trunk/src/blacklist.c (File Modified) 
  +2 -0		trunk/src/client.c (File Modified) 
  +24 -0	trunk/src/res.c (File Modified) 


jilles      2006/06/15 22:32:23 UTC	(20060615-1675)
  Log:
  Don't touch the returned sockaddr (mangle_mapped_sockaddr())
  if comm_accept() failed.
  
  Found with valgrind.
  

  Changes:	Modified:
  +4 -4		trunk/src/listener.c (File Modified) 


nenolod     2006/06/15 18:13:04 UTC	(20060615-1673)
  Log:
  - handle unavailable Client/preClient structs
  

  Changes:	Modified:
  +9 -0		trunk/src/blacklist.c (File Modified) 


jilles      2006/06/14 17:52:20 UTC	(20060614-1671)
  Log:
  Add +lf to SGML docs.
  

  Changes:	Modified:
  +3 -2		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2006/06/14 17:48:41 UTC	(20060614-1669)
  Log:
  Also do forwarding if the channel limit (+l) is exceeded.
  

  Changes:	Modified:
  +1 -1		trunk/help/opers/cmode (File Modified) 
  +2 -2		trunk/modules/core/m_join.c (File Modified) 


beu         2006/06/07 11:53:21 UTC	(20060607-1663)
  Log:
  Post-release lovin':
  - Update version to 2.1.0.
  - Regenerate configure.
  

  Changes:	Modified:
  +9 -9		trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


beu         2006/06/07 11:42:54 UTC	(20060607-1659)
  Log:
  Comment out example blacklist{} block.
  

  Changes:	Modified:
  +7 -7		trunk/doc/example.conf (File Modified) 
  +7 -7		trunk/doc/reference.conf (File Modified) 


beu         2006/06/07 10:59:48 UTC	(20060607-1653)
  Log:
  Add note regarding use of AHBL BLs.
  

  Changes:	Modified:
  +4 -0		trunk/doc/example.conf (File Modified) 
  +4 -0		trunk/doc/reference.conf (File Modified) 


jilles      2006/06/05 15:43:45 UTC	(20060605-1646)
  Log:
  Fix typos.
  

  Changes:	Modified:
  +2 -2		trunk/CREDITS (File Modified) 


jilles      2006/06/05 15:28:22 UTC	(20060605-1644)
  Log:
  Add beu to CREDITS.
  

  Changes:	Modified:
  +1 -0		trunk/CREDITS (File Modified) 


jilles      2006/06/05 00:02:19 UTC	(20060605-1640)
  Log:
  Put more recent ratbox CREDITS here.
  

  Changes:	Modified:
  +3 -2		trunk/doc/Ratbox-team (File Modified) 


jilles      2006/06/04 19:19:02 UTC	(20060604-1636)
  Log:
  Clarify a bit.
  

  Changes:	Modified:
  +5 -4		trunk/NEWS (File Modified) 


jilles      2006/06/04 13:26:04 UTC	(20060604-1634)
  Log:
  Mention that install or make install also avoids modunload crashes.
  

  Changes:	Modified:
  +2 -1		trunk/BUGS (File Modified) 


nenolod     2006/06/04 07:01:42 UTC	(20060604-1632)
  Log:
  - update NEWS a bit
  

  Changes:	Modified:
  +3 -8		trunk/NEWS (File Modified) 


nenolod     2006/06/04 03:06:33 UTC	(20060604-1630)
  Log:
  - further updates
  

  Changes:	Modified:
  +3 -2		trunk/BUGS (File Modified) 


nenolod     2006/06/04 03:05:20 UTC	(20060604-1628)
  Log:
  - add orighost check to hurt.c
  - update BUGS info
  

  Changes:	Modified:
  +1 -6		trunk/BUGS (File Modified) 
  +1 -1		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/04 03:03:46 UTC	(20060604-1626)
  Log:
  Make kline_exempt exempt from HURT also.
  

  Changes:	Modified:
  +2 -1		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/04 03:02:27 UTC	(20060604-1624)
  Log:
  Fix mask HEAL propagation.
  

  Changes:	Modified:
  +6 -3		trunk/extensions/hurt.c (File Modified) 


beu         2006/06/04 03:01:05 UTC	(20060604-1622)
  Log:
  - Remove old cruft.
  - Update.
  

  Changes:	Modified:
  +18 -31	trunk/extensions/README (File Modified) 


jilles      2006/06/04 02:46:31 UTC	(20060604-1620)
  Log:
  More target change hax.
  Ick.
  

  Changes:	Modified:
  +5 -0		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/04 02:44:47 UTC	(20060604-1618)
  Log:
  Improvements to HURT propagation.
  

  Changes:	Modified:
  +8 -6		trunk/extensions/hurt.c (File Modified) 


nenolod     2006/06/04 02:33:31 UTC	(20060604-1616)
  Log:
  - further simplification
  

  Changes:	Modified:
  +25 -76	trunk/extensions/hurt.c (File Modified) 
  +0 -9		trunk/extensions/hurt.h (File Modified) 


nenolod     2006/06/04 02:22:52 UTC	(20060604-1614)
  Log:
  - client_exit hook
  

  Changes:	Modified:
  +13 -0	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/06/04 02:17:01 UTC	(20060604-1612)
  Log:
  - cut off at 15 messages instead of 30
  

  Changes:	Modified:
  +1 -1		trunk/extensions/hurt.h (File Modified) 


jilles      2006/06/04 02:16:18 UTC	(20060604-1610)
  Log:
  Squash a warning here.
  

  Changes:	Modified:
  +1 -3		trunk/src/ircd.c (File Modified) 


jilles      2006/06/04 02:11:40 UTC	(20060604-1608)
  Log:
  Don't show servers in /stats l to nonopers if flatten links is enabled.
  

  Changes:	Modified:
  +3 -1		trunk/modules/m_stats.c (File Modified) 


nenolod     2006/06/04 02:05:50 UTC	(20060604-1606)
  Log:
  - hurt expiry
  

  Changes:	Modified:
  +20 -7	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/06/04 01:59:06 UTC	(20060604-1603)
  Log:
  - remove inline stuff (yuck)
  - sockaddr should have been sockhost
  

  Changes:	Modified:
  +22 -31	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/06/04 01:56:14 UTC	(20060604-1601)
  Log:
  - make hurt checking actually work
  

  Changes:	Modified:
  +2 -7		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/04 01:55:34 UTC	(20060604-1599)
  Log:
  Slight tweak to alias{}.
  

  Changes:	Modified:
  +4 -0		trunk/src/parse.c (File Modified) 


nenolod     2006/06/04 01:54:42 UTC	(20060604-1597)
  Log:
  - further simplification
  

  Changes:	Modified:
  +59 -71	trunk/extensions/hurt.c (File Modified) 
  +0 -1		trunk/extensions/hurt.h (File Modified) 


nenolod     2006/06/04 01:40:14 UTC	(20060604-1595)
  Log:
  - further cleanup (but, it does not compile right now because i've removed the patricia code (well, most of it)
  

  Changes:	Modified:
  +10 -20	trunk/extensions/hurt.c (File Modified) 
  +0 -4		trunk/extensions/hurt.h (File Modified) 


nenolod     2006/06/04 01:25:26 UTC	(20060604-1593)
  Log:
  - remove some unnecessary code here (hurt_initial_check_event()).
  

  Changes:	Modified:
  +0 -23	trunk/extensions/hurt.c (File Modified) 


nenolod     2006/06/04 01:21:30 UTC	(20060604-1591)
  Log:
  - if PRIVMSG has been crippled (localClient.target_last > CurrentTime), and the PM target is an operator, then allow it through
  

  Changes:	Modified:
  +8 -0		trunk/modules/core/m_message.c (File Modified) 


nenolod     2006/06/04 01:09:52 UTC	(20060604-1589)
  Log:
  - more sane tgchange hax
  

  Changes:	Modified:
  +2 -1		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 23:28:39 UTC	(20060603-1587)
  Log:
  Make HEAL <nick> work.
  

  Changes:	Modified:
  +40 -43	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 23:04:33 UTC	(20060603-1585)
  Log:
  Destroy hurt_clients list on unload.
  

  Changes:	Modified:
  +7 -0		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 22:55:21 UTC	(20060603-1583)
  Log:
  Coding style: no space between a function name and parenthesis.
  

  Changes:	Modified:
  +43 -43	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 22:48:40 UTC	(20060603-1581)
  Log:
  Now works and throws out hurt clients after 30 protocol messages
  unless they identify.
  

  Changes:	Modified:
  +28 -36	trunk/extensions/hurt.c (File Modified) 
  +1 -7		trunk/extensions/hurt.h (File Modified) 


jilles      2006/06/03 22:19:39 UTC	(20060603-1579)
  Log:
  Working addition/lookup.
  

  Changes:	Modified:
  +8 -0		trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 22:00:31 UTC	(20060603-1577)
  Log:
  Get rid of hyb6 style propagation (:server COMMAND source).
  

  Changes:	Modified:
  +18 -22	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 21:53:47 UTC	(20060603-1575)
  Log:
  add not-working hurt_add and hurt_find
  

  Changes:	Modified:
  +13 -5	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 21:34:56 UTC	(20060603-1573)
  Log:
  Comment out a lot of stuff so I can load and unload this without crashing.
  

  Changes:	Modified:
  +17 -6	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 21:24:02 UTC	(20060603-1571)
  Log:
  Fix svn:keywords and add a short comment at the top.
  

  Changes:	Modified:
  +8 -0		trunk/extensions/hurt.c (File Modified) (Property Modified)


jilles      2006/06/03 21:21:44 UTC	(20060603-1569)
  Log:
  - Make hurt module compile
  - Link it to the build
  - Initial tweaks, use struct Message's min params, ERR_NOPRIVS shows
    correct flag name, no CAP_TS6 use etc
  

  Changes:	Modified:
  +1 -0		trunk/extensions/Makefile.in (File Modified) 
  +30 -32	trunk/extensions/hurt.c (File Modified) 


jilles      2006/06/03 21:06:46 UTC	(20060603-1567)
  Log:
  Put beu's hurt module in trunk.
  

  Changes:	Modified:
  + -		trunk/extensions/hurt.c (File Added) 
  + -		trunk/extensions/hurt.h (File Added) 


nenolod     2006/06/02 00:43:35 UTC	(20060602-1563)
  Log:
  - _iprint(): use stderr instead of stdout
  

  Changes:	Modified:
  +1 -1		trunk/src/s_log.c (File Modified) 


jilles      2006/06/01 23:50:54 UTC	(20060601-1561)
  Log:
  - Open fd 0, 1, 2 to /dev/null so we don't get kqueue there
    and subsequently destroy our kqueue when we close 0, 1, 2
    (broke /restart).
  - After closing fd 0, 1, 2 reopen them to /dev/null again
    so we don't send messages from malloc etc to a random
    user's connection.
  - Remove an obsolete comment.
  

  Changes:	Modified:
  +13 -2	trunk/src/ircd.c (File Modified) 


jilles      2006/06/01 22:17:16 UTC	(20060601-1559)
  Log:
  Update NEWS file.
  

  Changes:	Modified:
  +29 -1	trunk/NEWS (File Modified) 


jilles      2006/06/01 20:18:31 UTC	(20060601-1551)
  Log:
  Rerun autoconf.
  

  Changes:	Modified:
  +1 -1		trunk/configure (File Modified) 


jilles      2006/06/01 20:17:21 UTC	(20060601-1549)
  Log:
  Fix openssl version check to also accept versions newer than 0.9.6.
  

  Changes:	Modified:
  +1 -1		trunk/configure.ac (File Modified) 


jilles      2006/06/01 18:18:28 UTC	(20060601-1543)
  Log:
  Oops, need packet.h here.
  

  Changes:	Modified:
  +1 -0		trunk/modules/m_cmessage.c (File Modified) 


jilles      2006/06/01 18:17:00 UTC	(20060601-1541)
  Log:
  End the flood grace period in CPRIVMSG/CNOTICE.
  

  Changes:	Modified:
  +3 -0		trunk/modules/m_cmessage.c (File Modified) 


nenolod     2006/06/01 17:51:07 UTC	(20060601-1539)
  Log:
  - update class::connectfreq documentation
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/06/01 17:41:10 UTC	(20060601-1537)
  Log:
  - get rid of the "minimum connection frequency delay" concept, as it is quite silly and does no good anyway
  

  Changes:	Modified:
  +3 -6		trunk/src/s_serv.c (File Modified) 


jilles      2006/06/01 15:27:18 UTC	(20060601-1535)
  Log:
  New RPL_YOUREOPER, from ircd.digi.pl3d.5.2.1.jp3 (1995-1996).
  

  Changes:	Modified:
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2006/06/01 13:06:23 UTC	(20060601-1533)
  Log:
  Don't mention that /stats p shows idle times, as it doesn't.
  

  Changes:	Modified:
  +1 -1		trunk/help/opers/stats (File Modified) 
  +1 -1		trunk/help/users/stats (File Modified) 


jilles      2006/06/01 12:59:03 UTC	(20060601-1531)
  Log:
  /stats A shows DNS servers, it doesn't matter whether ircd
  uses ADNS or something else.
  

  Changes:	Modified:
  +1 -1		trunk/help/opers/stats (File Modified) 


jilles      2006/05/30 21:34:57 UTC	(20060530-1529)
  Log:
  get_client_name() fix
  

  Changes:	Modified:
  +4 -0		trunk/src/client.c (File Modified) 


jilles      2006/05/28 13:58:14 UTC	(20060528-1527)
  Log:
  Add some comments.
  

  Changes:	Modified:
  +6 -0		trunk/src/ircd.c (File Modified) 


beu         2006/05/28 09:22:09 UTC	(20060528-1521)
  Log:
  Fix argument order for AC_SEARCH_LIBS (yeah, I fail...)

  Changes:	Modified:
  +16 -17	trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


beu         2006/05/28 09:10:43 UTC	(20060528-1517)
  Log:
  Fix build for SunOS/Solaris [libnsl is required for inet_ntoa()].

  Changes:	Modified:
  +135 -0	trunk/configure (File Modified) 
  +6 -0		trunk/configure.ac (File Modified) 


jilles      2006/05/28 03:28:53 UTC	(20060528-1515)
  Log:
  Exit 0 on successful -conftest.
  

  Changes:	Modified:
  +1 -1		trunk/src/ircd.c (File Modified) 


jilles      2006/05/28 03:19:47 UTC	(20060528-1513)
  Log:
  Make the "keep the parent process around" thing work, by opening
  a pipe to the child process. This pipe is on fd 0 in the child
  process. After successful initialization, the child will write
  a byte to this pipe, on fatal errors it will close it without
  writing anything.
  
  Somewhat hackish still but should work.
  

  Changes:	Modified:
  +27 -30	trunk/src/ircd.c (File Modified) 


nenolod     2006/05/28 02:37:26 UTC	(20060528-1511)
  Log:
  - convert some error messages to ierror() over fprintf/ilog combination
  

  Changes:	Modified:
  +3 -6		trunk/src/ircd.c (File Modified) 


nenolod     2006/05/28 02:35:58 UTC	(20060528-1509)
  Log:
  - inotice() for loadmodule when in foreground mode
  

  Changes:	Modified:
  +3 -0		trunk/src/modules.c (File Modified) 


nenolod     2006/05/28 02:34:43 UTC	(20060528-1507)
  Log:
  - remove inotice() on loading modules from the config
  

  Changes:	Modified:
  +0 -3		trunk/src/modules.c (File Modified) 


nenolod     2006/05/28 00:11:14 UTC	(20060528-1505)
  Log:
  - usleep for 50000usec in the parent process to allow for startup messages
    to be cleanly printed before detaching to shell, this should be more than 
    enough time really
  

  Changes:	Modified:
  +3 -0		trunk/src/ircd.c (File Modified) 


nenolod     2006/05/28 00:07:11 UTC	(20060528-1503)
  Log:
  - display more errors during normal startup as to try to help people find common problems
  

  Changes:	Modified:
  +27 -10	trunk/src/ircd.c (File Modified) 


nenolod     2006/05/27 23:36:23 UTC	(20060527-1501)
  Log:
  - version bump in preparation of 2.0.0 release
  

  Changes:	Modified:
  +9 -9		trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


jilles      2006/05/27 20:39:47 UTC	(20060527-1495)
  Log:
  Change example.conf operator block from "admin" to "god",
  so as to show we encourage per-person operator blocks.
  

  Changes:	Modified:
  +4 -2		trunk/doc/example.conf (File Modified) 


jilles      2006/05/27 20:33:58 UTC	(20060527-1493)
  Log:
  Document alias{} block.
  

  Changes:	Modified:
  +28 -0	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/05/27 20:28:00 UTC	(20060527-1491)
  Log:
  Document DNS blacklist stuff in sgml.
  

  Changes:	Modified:
  +6 -0		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 
  +39 -1	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/05/27 20:13:30 UTC	(20060527-1489)
  Log:
  Misc /stats clarifications.
  

  Changes:	Modified:
  +9 -4		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/05/27 19:54:37 UTC	(20060527-1487)
  Log:
  Move snomasks into umodes chapter.
  Move oprivs chapter down.
  

  Changes:	Modified:
  +1 -160	trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  + -		trunk/doc/sgml/oper-guide/snomasks.sgml (File Deleted) 
  +137 -0	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/05/27 19:09:19 UTC	(20060527-1485)
  Log:
  Mention operator{} user@host change.
  

  Changes:	Modified:
  +9 -3		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/05/27 18:58:12 UTC	(20060527-1483)
  Log:
  operator{} block user@host matches against orighost now, not host.
  This means that services/+h spoofs do not work in operator{} blocks;
  auth{} spoofs still work.
  

  Changes:	Modified:
  +4 -0		trunk/doc/example.conf (File Modified) 
  +1 -1		trunk/doc/reference.conf (File Modified) 
  +2 -2		trunk/modules/m_challenge.c (File Modified) 
  +1 -1		trunk/modules/m_oper.c (File Modified) 


nenolod     2006/05/27 17:24:05 UTC	(20060527-1481)
  Log:
  - inotice/iwarn/ierror() stuff I was working on
  

  Changes:	Modified:
  +3 -0		trunk/include/s_log.h (File Modified) 
  +15 -11	trunk/src/ircd.c (File Modified) 
  +3 -1		trunk/src/modules.c (File Modified) 
  +1 -1		trunk/src/newconf.c (File Modified) 
  +54 -0	trunk/src/s_log.c (File Modified) 


jilles      2006/05/26 22:54:29 UTC	(20060526-1473)
  Log:
  Oops, don't add blacklists to the list twice on rehash.
  

  Changes:	Modified:
  +3 -2		trunk/src/blacklist.c (File Modified) 


jilles      2006/05/26 22:27:21 UTC	(20060526-1471)
  Log:
  Remove notices to the client about progress of dnsbl lookups.
  

  Changes:	Modified:
  +0 -4		trunk/src/blacklist.c (File Modified) 


jilles      2006/05/26 22:18:23 UTC	(20060526-1469)
  Log:
  Add auth{} flag dnsbl_exempt.
  

  Changes:	Modified:
  +2 -1		trunk/doc/example.conf (File Modified) 
  +2 -1		trunk/doc/reference.conf (File Modified) 
  +2 -0		trunk/include/s_conf.h (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +8 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/05/26 22:07:49 UTC	(20060526-1467)
  Log:
  Switch alias{} and blacklist{} around, for consistency with example.conf.
  

  Changes:	Modified:
  +18 -18	trunk/doc/reference.conf (File Modified) 


jilles      2006/05/26 21:58:29 UTC	(20060526-1465)
  Log:
  Send a warning to the user if they are dnsbl listed but exempted.
  

  Changes:	Modified:
  +17 -12	trunk/src/s_user.c (File Modified) 


jilles      2006/05/26 21:25:28 UTC	(20060526-1463)
  Log:
  Move throwing out dnsbl listed clients to registration,
  and make kline_exempt exempt from it.
  

  Changes:	Modified:
  +1 -0		trunk/include/blacklist.h (File Modified) 
  +4 -0		trunk/include/client.h (File Modified) 
  +15 -16	trunk/src/blacklist.c (File Modified) 
  +6 -0		trunk/src/client.c (File Modified) 
  +17 -0	trunk/src/s_user.c (File Modified) 


jilles      2006/05/26 21:20:56 UTC	(20060526-1461)
  Log:
  Show refcount in /stats n.
  

  Changes:	Modified:
  +3 -2		trunk/modules/m_stats.c (File Modified) 


jilles      2006/05/26 20:50:41 UTC	(20060526-1459)
  Log:
  Don't look up dnsbls twice if they send USER twice.
  

  Changes:	Modified:
  +5 -3		trunk/modules/m_user.c (File Modified) 


jilles      2006/05/26 20:42:48 UTC	(20060526-1457)
  Log:
  Add /stats n to help files.
  

  Changes:	Modified:
  +1 -0		trunk/help/opers/stats (File Modified) 
  +1 -0		trunk/help/users/stats (File Modified) 


jilles      2006/05/26 20:36:54 UTC	(20060526-1455)
  Log:
  Only check dnsbls for A records, not AAAA.
  

  Changes:	Modified:
  +1 -1		trunk/src/blacklist.c (File Modified) 


jilles      2006/05/26 20:09:55 UTC	(20060526-1453)
  Log:
  Don't remove non-illegal blacklists on completion of check.
  Add debugging notices (not working).
  

  Changes:	Modified:
  +5 -1		trunk/src/blacklist.c (File Modified) 


jilles      2006/05/26 19:58:05 UTC	(20060526-1451)
  Log:
  Don't call register_local_user() if they haven't sent a nick yet.
  

  Changes:	Modified:
  +1 -1		trunk/src/blacklist.c (File Modified) 


jilles      2006/05/26 19:45:28 UTC	(20060526-1449)
  Log:
  Add /stats n, shows dnsbls with counts (counts reset on rehash).
  

  Changes:	Modified:
  +21 -0	trunk/modules/m_stats.c (File Modified) 


jilles      2006/05/26 18:57:36 UTC	(20060526-1447)
  Log:
  More dnsbl rehash fixes, it was adding bogus entries.
  

  Changes:	Modified:
  +2 -7		trunk/src/newconf.c (File Modified) 


jilles      2006/05/26 17:38:52 UTC	(20060526-1445)
  Log:
  Need blacklist.h here.
  

  Changes:	Modified:
  +1 -0		trunk/src/s_conf.c (File Modified) 


nenolod     2006/05/26 17:33:33 UTC	(20060526-1443)
  Log:
  - nuke iauth
  

  Changes:	Modified:
  +1 -2		trunk/configure (File Modified) 
  +0 -48	trunk/configure.ac (File Modified) 
  + -		trunk/doc/example-iauth.conf (File Deleted) 
  + -		trunk/iauth/ (File Deleted) 


jilles      2006/05/26 17:20:01 UTC	(20060526-1441)
  Log:
  Improve handling of rehashing with blacklists.
  Also some coding style tweaks.
  

  Changes:	Modified:
  +3 -2		trunk/include/blacklist.h (File Modified) 
  +35 -16	trunk/src/blacklist.c (File Modified) 
  +2 -0		trunk/src/s_conf.c (File Modified) 


jilles      2006/05/25 15:20:48 UTC	(20060525-1439)
  Log:
  Clear can_send cache if a user logs in or out from services.
  

  Changes:	Modified:
  +2 -0		trunk/modules/m_services.c (File Modified) 


jilles      2006/05/23 16:41:33 UTC	(20060523-1425)
  Log:
  Add unsupported/ directory and move m_force.c and m_clearchan.c into it.
  This directory is not entered by default.
  More stuff needs to be moved into here.
  

  Changes:	Modified:
  +2 -1		trunk/configure (File Modified) 
  +1 -0		trunk/configure.ac (File Modified) 
  +69 -458	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/m_clearchan.c (File Deleted) 
  + -		trunk/extensions/m_force.c (File Deleted) 
  + -		trunk/unsupported/ (File Added) 
  + -		trunk/unsupported/Makefile.in (File Added) 
  + -		trunk/unsupported/m_clearchan.c (File Added) 
  + -		trunk/unsupported/m_force.c (File Added) 


jilles      2006/05/23 16:32:11 UTC	(20060523-1423)
  Log:
  Logging/wallops for forcejoin/forcepart, numeric fix.
  This needs to be moved to the toys section.
  

  Changes:	Modified:
  +22 -2	trunk/extensions/m_force.c (File Modified) 


jilles      2006/05/23 16:06:01 UTC	(20060523-1421)
  Log:
  Fix comments at the top (including copyright).
  

  Changes:	Modified:
  +3 -2		trunk/extensions/m_omode.c (File Modified) 


jilles      2006/05/23 16:01:22 UTC	(20060523-1419)
  Log:
  Add OMODE command to extensions/ for oper mode hacking:
  - requires admin privs
  - does not work for opped opers
  - sends wallops
  - sends a ServerMode for opping the oper themselves,
    otherwise a mode coming from the oper (not only
    does this provide full accountability, it is also
    easiest to implement while avoiding channels
    messed up with bogus bans etc).
  

  Changes:	Modified:
  +171 -0	trunk/extensions/Makefile.in (File Modified) 
  + -		trunk/extensions/m_omode.c (File Added) 


gxti        2006/05/22 23:02:06 UTC	(20060522-1417)
  Log:
  Metadata fix
  

  Changes:	Modified:
  + -		trunk/include/blacklist.h  (Property Modified)
  + -		trunk/src/blacklist.c  (Property Modified)


nenolod     2006/05/22 19:25:09 UTC	(20060522-1415)
  Log:
  - avoid loosing the username forever when calling register_local_user after the blacklist checking lock has been released
  

  Changes:	Modified:
  +5 -1		trunk/src/blacklist.c (File Modified) 


nenolod     2006/05/22 17:13:15 UTC	(20060522-1413)
  Log:
  Initial DNS blacklist support:
  - see example.conf for how to use.
  - because opm.blitzed.org is currently offline, we recommend ircbl.ahbl.org as a replacement
  - tor.ahbl.org is also included because most networks will not want to allow tor
    (and we're considering going KoS on tor users here anyway due to abuse)
  

  Changes:	Modified:
  +18 -0	trunk/doc/example.conf (File Modified) 
  +66 -0	trunk/doc/reference.conf (File Modified) 
  + -		trunk/include/blacklist.h (File Added) 
  +2 -0		trunk/include/client.h (File Modified) 
  +3 -0		trunk/modules/m_user.c (File Modified) 
  +152 -0	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/blacklist.c (File Added) 
  +34 -0	trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_auth.c (File Modified) 
  +4 -0		trunk/src/s_user.c (File Modified) 


jilles      2006/05/21 17:38:31 UTC	(20060521-1411)
  Log:
  Remove last bit of lzo stuff (comment in example.conf connect{}).
  

  Changes:	Modified:
  +0 -4		trunk/doc/example.conf (File Modified) 


jilles      2006/05/21 14:46:17 UTC	(20060521-1409)
  Log:
  Show sasl successes and failures in /stats t (like other
  things in /stats t, about local clients only).
  

  Changes:	Modified:
  +2 -0		trunk/include/s_stats.h (File Modified) 
  +3 -0		trunk/modules/m_sasl.c (File Modified) 
  +3 -0		trunk/src/s_stats.c (File Modified) 


jilles      2006/05/20 20:13:56 UTC	(20060520-1405)
  Log:
  Allow messaging services by nickname without using
  target change slots (this was already possible with
  user@server notation or services shortcuts).
  

  Changes:	Modified:
  +2 -2		trunk/modules/core/m_message.c (File Modified) 


jilles      2006/05/20 19:28:16 UTC	(20060520-1393)
  Log:
  Abort a safelist if a new /list comes in while one is already in progress.
  

  Changes:	Modified:
  +16 -0	trunk/modules/m_list_safelist.c (File Modified) 


jilles      2006/05/20 19:24:11 UTC	(20060520-1391)
  Log:
  Change $![letter]:[mask] to $~[letter]:[mask]
  so both ! and ~ invert an extban.
  

  Changes:	Modified:
  +2 -0		trunk/src/chmode.c (File Modified) 


nenolod     2006/05/20 19:19:00 UTC	(20060520-1389)
  Log:
  - revert due to technical issues
  

  Changes:	Modified:
  +1 -1		trunk/src/extban.c (File Modified) 


nenolod     2006/05/20 19:17:42 UTC	(20060520-1387)
  Log:
  - allow $![letter]:[mask] to also invert an extban, like $~[letter]:[mask], since some people will likely believe that is the correct way of doing it
  

  Changes:	Modified:
  +1 -1		trunk/src/extban.c (File Modified) 


jilles      2006/05/20 18:32:45 UTC	(20060520-1385)
  Log:
  Don't pace /list on a single channel.
  

  Changes:	Modified:
  +10 -7	trunk/modules/m_list_safelist.c (File Modified) 


jilles      2006/05/20 18:15:46 UTC	(20060520-1383)
  Log:
  Add EXTBAN=$:<letters> to 005 if any extban modules are loaded.
  

  Changes:	Modified:
  +4 -2		trunk/include/supported.h (File Modified) 


jilles      2006/05/20 17:21:19 UTC	(20060520-1381)
  Log:
  Extban types are case insensitive; force them to lowercase when added.
  

  Changes:	Modified:
  +5 -5		trunk/doc/extban.txt (File Modified) 
  +4 -0		trunk/src/chmode.c (File Modified) 
  +3 -3		trunk/src/extban.c (File Modified) 


jilles      2006/05/20 14:11:07 UTC	(20060520-1379)
  Log:
  sendto_wallops_flags():
  - instead of checking IsOper on each client, walk the appropriate list
  - instead of sending non-+z wallops from persons to nonopers, send only
    +w wallops from persons
  

  Changes:	Modified:
  +1 -5		trunk/src/send.c (File Modified) 


jilles      2006/05/20 13:48:37 UTC	(20060520-1377)
  Log:
  Prefix oper wallops with "WALLOPS - " if they would
  otherwise look like operwalls or locops, when sending
  them to local users.
  

  Changes:	Modified:
  +11 -1	trunk/modules/m_wallops.c (File Modified) 


jilles      2006/05/20 13:47:22 UTC	(20060520-1375)
  Log:
  Make sure destination field in some sasl numerics
  is the user's nick, not the sasl agent or server
  name.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_sasl.c (File Modified) 


beu         2006/05/19 19:24:44 UTC	(20060519-1373)
  Log:
  Add `-I.' to INCLUDES (hurt module has it's own header file...)
  

  Changes:	Modified:
  +1 -1		trunk/extensions/Makefile.in (File Modified) 


jilles      2006/05/19 18:10:55 UTC	(20060519-1369)
  Log:
  Invalidate can_send cache on CHGHOST/SIGNON (change_nick_user_host()).
  

  Changes:	Modified:
  +1 -0		trunk/src/s_user.c (File Modified) 


beu         2006/05/19 18:10:13 UTC	(20060519-1367)
  Log:
  Fix build for when IPv6 is disabled.
  

  Changes:	Modified:
  +12 -10	trunk/src/s_auth.c (File Modified) 


jilles      2006/05/18 18:38:04 UTC	(20060518-1365)
  Log:
  Add information about adding extban types.
  

  Changes:	Modified:
  +25 -0	trunk/doc/extban.txt (File Modified) 


jilles      2006/05/18 17:59:35 UTC	(20060518-1363)
  Log:
  Better extban validation: try to match a new extban from
  a local user against its setter to see if it is valid.
  Unknown extban types from remotes are no longer hidden.
  

  Changes:	Modified:
  +4 -3		trunk/doc/extban.txt (File Modified) 
  +1 -0		trunk/include/channel.h (File Modified) 
  +2 -6		trunk/src/chmode.c (File Modified) 
  +32 -0	trunk/src/extban.c (File Modified) 


jilles      2006/05/17 20:55:55 UTC	(20060517-1359)
  Log:
  Make sure both .c.o: and .s.o: are followed by the necessary command.
  

  Changes:	Modified:
  +1 -0		trunk/src/Makefile.in (File Modified) 


jilles      2006/05/17 18:07:20 UTC	(20060517-1357)
  Log:
  Add need_sasl auth{} flag to sgml documentation.
  

  Changes:	Modified:
  +7 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/05/17 17:50:10 UTC	(20060517-1353)
  Log:
  Document need_sasl auth{} flag in example confs.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +1 -0		trunk/doc/reference.conf (File Modified) 


jilles      2006/05/17 17:37:46 UTC	(20060517-1349)
  Log:
  Don't allow TB to set an empty topic.
  This would be possible if a server sent bad protocol
  and could cause a crash.
  

  Changes:	Modified:
  +4 -0		trunk/modules/m_tb.c (File Modified) 


nenolod     2006/05/17 14:49:13 UTC	(20060517-1347)
  Log:
  - oops
  

  Changes:	Modified:
  +1 -1		trunk/Makefile.in (File Modified) 


nenolod     2006/05/17 14:46:58 UTC	(20060517-1345)
  Log:
  - typo fix
  

  Changes:	Modified:
  +2 -2		trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


nenolod     2006/05/17 14:45:52 UTC	(20060517-1343)
  Log:
  - rebuild configure
  

  Changes:	Modified:
  +2 -2		trunk/configure (File Modified) 


nenolod     2006/05/17 00:52:51 UTC	(20060517-1341)
  Log:
  - makefile fix
  

  Changes:	Modified:
  +1 -1		trunk/extensions/Makefile.in (File Modified) 


nenolod     2006/05/17 00:45:40 UTC	(20060517-1339)
  Log:
  - rename contrib to extensions to bring some clarity to things
  

  Changes:	Modified:
  +1 -1		trunk/Makefile.in (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 
  +10 -10	trunk/doc/example.conf (File Modified) 
  +10 -10	trunk/doc/reference.conf (File Modified) 
  + -		trunk/extensions/ (File Added) 
  + -		trunk/extras/ (File Deleted) 


nenolod     2006/05/17 00:43:32 UTC	(20060517-1337)
  Log:
  - temporary rename
  

  Changes:	Modified:
  +1 -1		trunk/Makefile.in (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 
  + -		trunk/contrib/ (File Deleted) 
  + -		trunk/extras/ (File Added) 


jilles      2006/05/14 13:47:33 UTC	(20060514-1333)
  Log:
  Don't allow servers to QUIT (they should use SQUIT).
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_quit.c (File Modified) 


nenolod     2006/05/14 02:09:30 UTC	(20060514-1329)
  Log:
  - keywords
  

  Changes:	Modified:
  + -		trunk/src/fnvhash.s  (Property Modified)


nenolod     2006/05/14 01:47:33 UTC	(20060514-1327)
  Log:
  - reduced version of code
  

  Changes:	Modified:
  +9 -61	trunk/src/fnvhash.s (File Modified) 


nenolod     2006/05/14 01:20:24 UTC	(20060514-1325)
  Log:
  - ok, this only works on x86, because amd64 wants pushq/%rbp for stack manipulation
  

  Changes:	Modified:
  +1 -1		trunk/src/fnvhash.s (File Modified) 


jilles      2006/05/14 01:19:25 UTC	(20060514-1323)
  Log:
  Fix orighost matching for klines, etc. Was hashing the visible
  host, oops.
  

  Changes:	Modified:
  +1 -1		trunk/src/hostmask.c (File Modified) 


nenolod     2006/05/13 23:49:14 UTC	(20060513-1321)
  Log:
  - integrate fnvhash.s into buildsystem (--enable-ricer-hashing).
  

  Changes:	Modified:
  +7 -1		trunk/configure (File Modified) 
  +5 -0		trunk/configure.ac (File Modified) 
  +5 -6		trunk/src/Makefile.in (File Modified) 
  +0 -4		trunk/src/fnvhash.s (File Modified) 
  +0 -2		trunk/src/hash.c (File Modified) 


nenolod     2006/05/13 23:35:31 UTC	(20060513-1319)
  Log:
  - regenerate configure
  

  Changes:	Modified:
  +18 -0	trunk/configure (File Modified) 


nenolod     2006/05/13 23:35:15 UTC	(20060513-1317)
  Log:
  - --enable-ricer-hashing option.
  

  Changes:	Modified:
  +9 -0		trunk/configure.ac (File Modified) 
  +3 -0		trunk/include/setup.h.in (File Modified) 


nenolod     2006/05/13 23:22:47 UTC	(20060513-1315)
  Log:
  - Add assembly versions of the hashing code. They live in src/fnvhash.s, and require an x86 or x64 CPU.
  

  Changes:	Modified:
  + -		trunk/src/fnvhash.s (File Added) 
  +3 -0		trunk/src/hash.c (File Modified) 


jilles      2006/05/12 15:57:25 UTC	(20060512-1309)
  Log:
  Fix syntax error in reference.conf.
  

  Changes:	Modified:
  +0 -1		trunk/doc/reference.conf (File Modified) 


jilles      2006/05/11 16:28:16 UTC	(20060511-1307)
  Log:
  Expand blah.blah and blah:blah to *!*@... instead of ...!*@* for bans
  (&& instead of ||...)
  Allows stuff like /mode +b 127.0.0.1 to ban that IP.
  

  Changes:	Modified:
  +1 -1		trunk/src/chmode.c (File Modified) 


jilles      2006/05/11 16:16:36 UTC	(20060511-1303)
  Log:
  Documentation for extban.
  

  Changes:	Modified:
  + -		trunk/doc/extban.txt (File Added) 


jilles      2006/05/11 15:50:33 UTC	(20060511-1301)
  Log:
  Add extban modules to example confs.
  

  Changes:	Modified:
  +5 -0		trunk/doc/example.conf (File Modified) 
  +10 -0	trunk/doc/reference.conf (File Modified) 


jilles      2006/05/11 15:43:03 UTC	(20060511-1299)
  Log:
  Initial addition of extended ban types (conditionals).
  Allows custom +bqeI checks via modules.
  Initial extra types are account (a[:mask]), oper (o),
  channel (c:name), realname (r:mask), server (s:mask).
  

  Changes:	Modified:
  +229 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/extb_account.c (File Added) 
  + -		trunk/contrib/extb_channel.c (File Added) 
  + -		trunk/contrib/extb_oper.c (File Added) 
  + -		trunk/contrib/extb_realname.c (File Added) 
  + -		trunk/contrib/extb_server.c (File Added) 
  +13 -0	trunk/include/channel.h (File Modified) 
  +1 -0		trunk/src/Makefile.in (File Modified) 
  +14 -5	trunk/src/channel.c (File Modified) 
  +91 -0	trunk/src/chmode.c (File Modified) 
  + -		trunk/src/extban.c (File Added) 


jilles      2006/05/09 19:28:19 UTC	(20060509-1297)
  Log:
  Do not force +bqeI modes starting with '$' in nick!user@host format.
  * and ? characters in them are still assumed to be wildcards.
  

  Changes:	Modified:
  +6 -0		trunk/src/chmode.c (File Modified) 


nenolod     2006/05/08 13:05:25 UTC	(20060508-1295)
  Log:
  - memory leak fix, reported by Lee Hardy <lee@leeh.co.uk>
  

  Changes:	Modified:
  +4 -0		trunk/modules/m_capab.c (File Modified) 


jilles      2006/05/05 19:00:19 UTC	(20060505-1291)
  Log:
  Stop some mixing of client and server protocol.
  

  Changes:	Modified:
  +6 -0		trunk/modules/core/m_nick.c (File Modified) 
  +4 -2		trunk/modules/m_pass.c (File Modified) 
  +6 -0		trunk/modules/m_sasl.c (File Modified) 
  +6 -0		trunk/modules/m_user.c (File Modified) 


nenolod     2006/05/05 15:06:00 UTC	(20060505-1287)
  Log:
  - additional revert
  

  Changes:	Modified:
  +0 -2		trunk/include/s_newconf.h (File Modified) 
  +0 -4		trunk/include/s_serv.h (File Modified) 
  +0 -1		trunk/src/newconf.c (File Modified) 
  +1 -13	trunk/src/s_serv.c (File Modified) 


nenolod     2006/05/05 15:03:53 UTC	(20060505-1285)
  Log:
  - revert LZOLink patch for now
  

  Changes:	Modified:
  +0 -1		trunk/servlink/Makefile.in (File Modified) 
  +0 -16	trunk/servlink/README (File Modified) 
  +2 -36	trunk/servlink/control.c (File Modified) 
  +0 -3		trunk/servlink/control.h (File Modified) 
  +7 -5955	trunk/servlink/io.c (File Modified) 
  + -		trunk/servlink/lzoconf.h (File Deleted) 
  + -		trunk/servlink/lzodefs.h (File Deleted) 
  + -		trunk/servlink/minilzo.c (File Deleted) 
  + -		trunk/servlink/minilzo.h (File Deleted) 
  +0 -1		trunk/servlink/servlink.h (File Modified) 


nenolod     2006/05/05 13:37:26 UTC	(20060505-1283)
  Log:
  - more stuff here
  

  Changes:	Modified:
  +4 -2		trunk/servlink/control.c (File Modified) 
  +2 -1		trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 04:21:59 UTC	(20060505-1281)
  Log:
  - oops
  

  Changes:	Modified:
  +2 -2		trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 04:15:09 UTC	(20060505-1279)
  Log:
  - paranoia, prevent segfaults
  

  Changes:	Modified:
  +2 -2		trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 03:49:15 UTC	(20060505-1277)
  Log:
  - more optimal servlink code
  

  Changes:	Modified:
  +21 -8	trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 03:33:12 UTC	(20060505-1275)
  Log:
  - more efficient read strategy
  

  Changes:	Modified:
  +15 -3	trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 03:23:07 UTC	(20060505-1273)
  Log:
  - use lzo_uintp cast to make LZO happy
  

  Changes:	Modified:
  +3 -3		trunk/servlink/io.c (File Modified) 


nenolod     2006/05/05 03:09:46 UTC	(20060505-1271)
  Log:
  - lzolink patch. not highly tested yet, will need extensive testing before 2.0 release
  

  Changes:	Modified:
  +4 -0		trunk/doc/example.conf (File Modified) 
  +2 -1		trunk/include/s_newconf.h (File Modified) 
  +4 -0		trunk/include/s_serv.h (File Modified) 
  +1 -0		trunk/servlink/Makefile.in (File Modified) 
  +16 -0	trunk/servlink/README (File Modified) 
  +34 -2	trunk/servlink/control.c (File Modified) 
  +3 -0		trunk/servlink/control.h (File Modified) 
  +5929 -7	trunk/servlink/io.c (File Modified) 
  + -		trunk/servlink/lzoconf.h (File Added) 
  + -		trunk/servlink/lzodefs.h (File Added) 
  + -		trunk/servlink/minilzo.c (File Added) 
  + -		trunk/servlink/minilzo.h (File Added) 
  +1 -0		trunk/servlink/servlink.h (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +14 -2	trunk/src/s_serv.c (File Modified) 


nenolod     2006/04/30 16:51:11 UTC	(20060430-1269)
  Log:
  - remove imalloc, it was a concept that probably wouldn't have worked properly
  

  Changes:	Modified:
  +0 -977	trunk/libcharybdis/Makefile.in (File Modified) 
  + -		trunk/libcharybdis/imalloc.c (File Deleted) 
  + -		trunk/libcharybdis/imalloc.h (File Deleted) 


nenolod     2006/04/29 03:04:39 UTC	(20060429-1267)
  Log:
  - disable imalloc for now
  

  Changes:	Modified:
  +33 -7	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 02:47:22 UTC	(20060429-1265)
  Log:
  - remove unneeded debug code
  

  Changes:	Modified:
  +0 -6		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 02:46:00 UTC	(20060429-1263)
  Log:
  - minimum allocation size is 32 bytes, not 16 due to dlink_list overhead
  

  Changes:	Modified:
  +6 -4		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 02:40:23 UTC	(20060429-1261)
  Log:
  - more stuff here, imalloc remains disabled for now
  

  Changes:	Modified:
  +2 -3		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 02:27:03 UTC	(20060429-1259)
  Log:
  - more progress
  

  Changes:	Modified:
  +13 -4	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 02:21:48 UTC	(20060429-1257)
  Log:
  - more tweaks
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/imalloc.c (File Modified) 
  +2 -0		trunk/src/ircd.c (File Modified) 


nenolod     2006/04/29 02:13:05 UTC	(20060429-1255)
  Log:
  - roll back libircd crap
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/Makefile.in (File Modified) 
  +4 -0		trunk/libcharybdis/imalloc.c (File Modified) 
  +29 -0	trunk/src/.depend (File Modified) 
  +6 -21	trunk/src/Makefile.in (File Modified) 
  +3 -218	trunk/src/ircd.c (File Modified) 
  + -		trunk/src/ircd_linker.c (File Deleted) 
  + -		trunk/src/main.c (File Deleted) 


nenolod     2006/04/29 01:57:30 UTC	(20060429-1253)
  Log:
  - realloc(), free() implementation
  

  Changes:	Modified:
  +141 -0	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 01:12:55 UTC	(20060429-1251)
  Log:
  - malloc(), calloc() implementation
  

  Changes:	Modified:
  +78 -3	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/29 00:41:14 UTC	(20060429-1249)
  Log:
  - block_free(), block_find(), retune_heaps() implementation
  

  Changes:	Modified:
  +146 -1	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 21:43:10 UTC	(20060428-1246)
  Log:
  - block_destroy code, block_allocate code.
  

  Changes:	Modified:
  +81 -4	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 21:04:19 UTC	(20060428-1244)
  Log:
  - block_new() code
  

  Changes:	Modified:
  +57 -0	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 20:34:53 UTC	(20060428-1242)
  Log:
  - disable imalloc again :P
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 20:34:31 UTC	(20060428-1240)
  Log:
  - fix warning
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 20:34:03 UTC	(20060428-1238)
  Log:
  - fix typo
  

  Changes:	Modified:
  +2 -2		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 20:32:20 UTC	(20060428-1236)
  Log:
  - constructor code for imalloc engine (malloc_init())
  

  Changes:	Modified:
  +35 -2	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 20:22:37 UTC	(20060428-1234)
  Log:
  - imalloc engine improvements
  

  Changes:	Modified:
  +60 -6	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 19:51:10 UTC	(20060428-1232)
  Log:
  - replace mmap() code with direct brk()/sbrk() calls.
  

  Changes:	Modified:
  +32 -10	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 19:26:44 UTC	(20060428-1230)
  Log:
  - remove outdated i_malloc() interfaces
  

  Changes:	Modified:
  +1 -44	trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 15:04:38 UTC	(20060428-1228)
  Log:
  - redisable imalloc (sorry!)
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 15:03:12 UTC	(20060428-1226)
  Log:
  - correct GET_PAGE_SLOT() macro
  

  Changes:	Modified:
  +2 -2		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 15:01:53 UTC	(20060428-1224)
  Log:
  - oops forgot to commit it with imalloc turned off
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/28 15:01:29 UTC	(20060428-1222)
  Log:
  - cleanups
  

  Changes:	Modified:
  +11 -11	trunk/libcharybdis/imalloc.c (File Modified) 
  +8 -2		trunk/libcharybdis/imalloc.h (File Modified) 


nenolod     2006/04/28 14:56:20 UTC	(20060428-1220)
  Log:
  - lowlevel imalloc code
  

  Changes:	Modified:
  +278 -16	trunk/libcharybdis/imalloc.c (File Modified) 
  + -		trunk/libcharybdis/imalloc.h (File Added) 


nenolod     2006/04/26 14:53:05 UTC	(20060426-1218)
  Log:
  - fix bindings
  

  Changes:	Modified:
  +3 -3		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/26 14:51:53 UTC	(20060426-1216)
  Log:
  remove #ifndef
  

  Changes:	Modified:
  +0 -1		trunk/libcharybdis/imalloc.c (File Modified) 


nenolod     2006/04/26 14:50:01 UTC	(20060426-1214)
  Log:
  - add imalloc engine, however the actual engine itself has not been written yet (just the bindings for if the imalloc option is unavailable, which are forcefully used at present)
  

  Changes:	Modified:
  +115 -0	trunk/libcharybdis/Makefile.in (File Modified) 
  + -		trunk/libcharybdis/imalloc.c (File Added) 


nenolod     2006/04/26 14:37:24 UTC	(20060426-1212)
  Log:
  - increment configure Id
  

  Changes:	Modified:
  +2208 -1	trunk/configure (File Modified) 


nenolod     2006/04/26 14:33:37 UTC	(20060426-1210)
  Log:
  - bootstrap for imalloc code
  

  Changes:	Modified:
  +54 -1	trunk/configure.ac (File Modified) 
  +27 -0	trunk/include/setup.h.in (File Modified) 


jilles      2006/04/25 14:52:37 UTC	(20060425-1208)
  Log:
  Clarify interaction of spoofs and channel bans/operator{} blocks.
  

  Changes:	Modified:
  +4 -1		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +6 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/04/24 13:42:18 UTC	(20060424-1206)
  Log:
  - move rehash checking &c into a timed event (idea stolen from ratbox3)
  

  Changes:	Modified:
  +30 -22	trunk/src/ircd.c (File Modified) 


jilles      2006/04/22 17:07:07 UTC	(20060422-1204)
  Log:
  If shared{} blocks deny something, the command
  is silently ignored.
  

  Changes:	Modified:
  +1 -0		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/04/22 10:26:56 UTC	(20060422-1202)
  Log:
  Move up IsService check so we don't store a non-service
  in preClient->sasl_agent.
  

  Changes:	Modified:
  +6 -6		trunk/modules/m_sasl.c (File Modified) 


gxti        2006/04/22 03:53:40 UTC	(20060422-1198)
  Log:
  SASL ENCAP messages originate from the server, not the agent. Check the correct cptr for service status.
  Add some more sanity checks on agent strings.
  

  Changes:	Modified:
  +13 -11	trunk/modules/m_sasl.c (File Modified) 


jilles      2006/04/21 16:28:56 UTC	(20060421-1194)
  Log:
  Unknown clients can have an ID too now so make sure to remove
  them from the hash if they exit.
  

  Changes:	Modified:
  +3 -0		trunk/src/client.c (File Modified) 


jilles      2006/04/21 16:21:02 UTC	(20060421-1192)
  Log:
  Only accept sasl from servers in a service{} block.
  Not tested but this must go in.
  

  Changes:	Modified:
  +6 -0		trunk/modules/m_sasl.c (File Modified) 
  +3 -0		trunk/modules/m_signon.c (File Modified) 


jilles      2006/04/19 15:52:08 UTC	(20060419-1190)
  Log:
  Only process SAVE messages targetting registered users,
  not servers or unregistered connections. Could cause
  a crash when bad protocol was received.
  

  Changes:	Modified:
  +5 -1		trunk/modules/core/m_nick.c (File Modified) 


nenolod     2006/04/19 03:44:55 UTC	(20060419-1186)
  Log:
  - fix QJM buffer overflow vulnerability (fucking GXTi)
  

  Changes:	Modified:
  +3 -3		trunk/src/s_user.c (File Modified) 


jilles      2006/04/18 23:28:33 UTC	(20060418-1184)
  Log:
  Mention /scan umodes under oper_spy privilege.
  

  Changes:	Modified:
  +3 -2		trunk/doc/sgml/oper-guide/oprivs.sgml (File Modified) 


jilles      2006/04/18 23:05:05 UTC	(20060418-1182)
  Log:
  Mention that overlapping cluster blocks are a bad thing.
  

  Changes:	Modified:
  +5 -0		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/04/18 22:57:47 UTC	(20060418-1180)
  Log:
  - Document cluster{} and shared{} blocks.
  - Mention that service{} does not allow wildcards.
  

  Changes:	Modified:
  +222 -1	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/04/18 22:22:36 UTC	(20060418-1178)
  Log:
  Document exempt{} and service{} blocks, point to reference.conf for
  general{}, channel{} and serverhide{}.
  

  Changes:	Modified:
  +88 -1	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/04/18 22:02:17 UTC	(20060418-1176)
  Log:
  Document ~ in lists of values better.
  

  Changes:	Modified:
  +7 -0		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/04/18 21:51:18 UTC	(20060418-1174)
  Log:
  More detailed CNOTICE, CPRIVMSG descriptions.
  

  Changes:	Modified:
  +9 -0		trunk/doc/sgml/oper-guide/ucommands.sgml (File Modified) 


jilles      2006/04/18 13:49:18 UTC	(20060418-1172)
  Log:
  Oops, need both Revision and Id on modules.
  

  Changes:	Modified:
  + -		trunk/modules/sno_routing.c  (Property Modified)


jilles      2006/04/17 22:26:12 UTC	(20060417-1170)
  Log:
  Tweak header comment a bit (filename, Id).
  

  Changes:	Modified:
  +1 -1		trunk/modules/sno_routing.c (File Modified) (Property Modified)


jilles      2006/04/17 00:13:57 UTC	(20060417-1166)
  Log:
  Add GLINE and UNGLINE.
  

  Changes:	Modified:
  +40 -0	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/04/16 13:07:49 UTC	(20060416-1156)
  Log:
  New configure with proper Id.
  

  Changes:	Modified:
  +3 -1		trunk/configure (File Modified) 


jilles      2006/04/16 13:06:04 UTC	(20060416-1154)
  Log:
  Change #include directives for in6addr_any, hopefully compiles better now.
  

  Changes:	Modified:
  +3 -1		trunk/configure.ac (File Modified) 


jilles      2006/04/09 20:20:32 UTC	(20060409-1152)
  Log:
  Encourage putting actual administrative information
  in the admin{} block.
  

  Changes:	Modified:
  +3 -3		trunk/doc/example.conf (File Modified) 


gxti        2006/04/08 01:36:41 UTC	(20060408-1150)
  Log:
  New auth{} flag need_sasl to reject connecting users who have not authenticated by the time they register.
  

  Changes:	Modified:
  +9 -7		trunk/include/s_conf.h (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +10 -0	trunk/src/s_user.c (File Modified) 


jilles      2006/04/07 22:52:35 UTC	(20060407-1146)
  Log:
  - Change to glines = no in example confs
  - Point to clustered/remote KLINE/UNKLINE in notices if glines
    are disabled.
  

  Changes:	Modified:
  +1 -1		trunk/doc/example.conf (File Modified) 
  +1 -1		trunk/doc/reference.conf (File Modified) 
  +2 -2		trunk/modules/m_gline.c (File Modified) 


nenolod     2006/04/06 13:35:20 UTC	(20060406-1144)
  Log:
  - forward-port QJM fix from 1.1
  

  Changes:	Modified:
  +2 -0		trunk/src/s_user.c (File Modified) 


nenolod     2006/04/06 13:33:39 UTC	(20060406-1142)
  Log:
  - add switch to configure to disable the block allocator
  

  Changes:	Modified:
  +18 -0	trunk/configure (File Modified) 
  +9 -0		trunk/configure.ac (File Modified) 
  +0 -6		trunk/include/config.h (File Modified) 
  +3 -0		trunk/include/setup.h.in (File Modified) 


gxti        2006/04/02 08:30:17 UTC	(20060402-1118)
  Log:
  Fix wierd error that would exit SASL users with "Overridden"

  Changes:	Modified:
  +1 -1		trunk/modules/m_signon.c (File Modified) 


jilles      2006/03/30 10:11:21 UTC	(20060330-1116)
  Log:
  Remove obsolete XXX comment about lazylinks.
  

  Changes:	Modified:
  +0 -3		trunk/contrib/m_ojoin.c (File Modified) 


jilles      2006/03/30 02:22:18 UTC	(20060330-1114)
  Log:
  OJOIN: make sure to send the wallops remotely for #channels
  

  Changes:	Modified:
  +5 -0		trunk/contrib/m_ojoin.c (File Modified) 


gxti        2006/03/30 02:14:42 UTC	(20060330-1112)
  Log:
  Accountability for OJOIN (contrib module)

  Changes:	Modified:
  +6 -0		trunk/contrib/m_ojoin.c (File Modified) 


nenolod     2006/03/29 22:55:25 UTC	(20060329-1110)
  Log:
  - move more stuff over to ircd_state
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/linebuf.c (File Modified) 
  +1 -1		trunk/libcharybdis/tools.c (File Modified) 
  +9 -0		trunk/src/ircd_state.c (File Modified) 
  +3 -3		trunk/src/patricia.c (File Modified) 


nenolod     2006/03/29 22:49:53 UTC	(20060329-1108)
  Log:
  - move more stuff out of libircd and into ircd_state.c
  

  Changes:	Modified:
  +5 -5		trunk/src/channel.c (File Modified) 
  +4 -4		trunk/src/client.c (File Modified) 
  +12 -0	trunk/src/ircd_state.c (File Modified) 


nenolod     2006/03/29 22:46:12 UTC	(20060329-1106)
  Log:
  - this is just barrels of fun
  

  Changes:	Modified:
  + -		trunk/include/ircd_state.h (File Added) 
  +1 -1		trunk/src/Makefile.in (File Modified) 
  +2 -1		trunk/src/channel.c (File Modified) 
  +3 -52	trunk/src/ircd.c (File Modified) 
  +100 -3	trunk/src/ircd_state.c (File Modified) 


jilles      2006/03/26 22:51:26 UTC	(20060326-1100)
  Log:
  It's .include, not #include.
  

  Changes:	Modified:
  +3 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/03/26 22:35:04 UTC	(20060326-1098)
  Log:
  More consistent section titles.
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +8 -6		trunk/doc/sgml/oper-guide/snomasks.sgml (File Modified) 
  +5 -5		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/03/23 11:15:26 UTC	(20060323-1096)
  Log:
  Mention possible exceeding of +j/+l due to propagation
  delays between servers.
  

  Changes:	Modified:
  +8 -0		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2006/03/23 11:04:43 UTC	(20060323-1094)
  Log:
  Formatting nits:
  - "text" -> <quote>text</quote>
  - <filename>
  - a few more
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +19 -19	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 
  +1 -1		trunk/doc/sgml/oper-guide/snomasks.sgml (File Modified) 
  +1 -1		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/03/23 01:23:57 UTC	(20060323-1092)
  Log:
  Remove text about deprecation of glines.
  

  Changes:	Modified:
  +0 -4		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/03/23 00:20:59 UTC	(20060323-1090)
  Log:
  - Add description of umode +D, deaf.
  - Mention CALLERID 005 token with umode +g.
  

  Changes:	Modified:
  +24 -0	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/03/19 15:57:54 UTC	(20060319-1088)
  Log:
  Strip off a leading colon in services shortcuts (aliases).
  

  Changes:	Modified:
  +2 -0		trunk/src/parse.c (File Modified) 


jilles      2006/03/17 23:20:30 UTC	(20060317-1086)
  Log:
  Add no_oper_invis contrib module, denies opers setting
  themselves invisible (except hidden_oper's).
  

  Changes:	Modified:
  +42 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/no_oper_invis.c (File Added) 


jilles      2006/03/17 21:02:06 UTC	(20060317-1084)
  Log:
  Mention /stats E, make the other /stats descriptions more consistent.
  

  Changes:	Modified:
  +13 -7	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/03/17 18:01:32 UTC	(20060317-1082)
  Log:
  Mention that the KILL reason and oper will appear on channels.
  

  Changes:	Modified:
  +3 -0		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/03/17 15:49:35 UTC	(20060317-1080)
  Log:
  Mention /mode #channel f to query forward channel from outside.
  

  Changes:	Modified:
  +4 -0		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2006/03/17 15:13:00 UTC	(20060317-1074)
  Log:
  Port over RATBOX_2_1 r20960 (anfl):
  client connect notices to +C should be hiding the extra
  fields for spoofed users
  

  Changes:	Modified:
  +2 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/03/15 17:07:32 UTC	(20060315-1072)
  Log:
  Add a chapter with our extra user commands:
  ACCEPT, CNOTICE, CPRIVMSG, HELP, KNOCK, MONITOR.
  

  Changes:	Modified:
  +181 -0	trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  + -		trunk/doc/sgml/oper-guide/ucommands.sgml (File Added) 


jilles      2006/03/15 14:31:14 UTC	(20060315-1070)
  Log:
  Do not put by <server>: in SQUIT reasons to servers
  other than the one being exited.
  

  Changes:	Modified:
  +1 -1		trunk/src/client.c (File Modified) 


jilles      2006/03/14 19:16:18 UTC	(20060314-1068)
  Log:
  Regenerate configure.
  

  Changes:	Modified:
  +1162 -1159	trunk/configure (File Modified) 


jilles      2006/03/14 19:15:34 UTC	(20060314-1066)
  Log:
  Move the warning flags down so they do not mess up
  checks like for -Wl,-export-dynamic.
  

  Changes:	Modified:
  +33 -30	trunk/configure.ac (File Modified) 


nenolod     2006/03/14 14:53:54 UTC	(20060314-1064)
  Log:
  - more work here
  

  Changes:	Modified:
  +2 -1		trunk/iauth/Makefile.in (File Modified) 


nenolod     2006/03/14 14:51:39 UTC	(20060314-1062)
  Log:
  - build iauth makefile
  

  Changes:	Modified:
  +3 -2		trunk/configure (File Modified) 
  +1 -0		trunk/configure.ac (File Modified) 


nenolod     2006/03/14 14:50:54 UTC	(20060314-1060)
  Log:
  - Makefile
  

  Changes:	Modified:
  + -		trunk/iauth/Makefile.in (File Added) 


nenolod     2006/03/14 14:46:12 UTC	(20060314-1058)
  Log:
  - add iauth.conf.example from irc2.11
  

  Changes:	Modified:
  + -		trunk/doc/example-iauth.conf (File Added) 


nenolod     2006/03/14 14:38:33 UTC	(20060314-1056)
  Log:
  - wow, i found some docs on this thing
  

  Changes:	Modified:
  + -		trunk/doc/technical/iauth-internals.txt (File Added) 


nenolod     2006/03/14 14:36:46 UTC	(20060314-1054)
  Log:
  - no longer applicable
  

  Changes:	Modified:
  + -		trunk/authdaemon/ (File Deleted) 


nenolod     2006/03/14 14:27:52 UTC	(20060314-1052)
  Log:
  - remove libircd.so on make clean (oops)
  

  Changes:	Modified:
  +1 -1		trunk/src/Makefile.in (File Modified) 


nenolod     2006/03/14 14:25:50 UTC	(20060314-1050)
  Log:
  - merge iauth source for experimentation
  

  Changes:	Modified:
  + -		trunk/iauth/ (File Added) 
  + -		trunk/iauth/a_conf.c (File Added) 
  + -		trunk/iauth/a_conf_def.h (File Added) 
  + -		trunk/iauth/a_conf_ext.h (File Added) 
  + -		trunk/iauth/a_defines.h (File Added) 
  + -		trunk/iauth/a_externs.h (File Added) 
  + -		trunk/iauth/a_io.c (File Added) 
  + -		trunk/iauth/a_io_ext.h (File Added) 
  + -		trunk/iauth/a_log.c (File Added) 
  + -		trunk/iauth/a_log_def.h (File Added) 
  + -		trunk/iauth/a_log_ext.h (File Added) 
  + -		trunk/iauth/a_struct_def.h (File Added) 
  + -		trunk/iauth/iauth.c (File Added) 
  + -		trunk/iauth/mod_lhex.c (File Added) 
  + -		trunk/iauth/mod_lhex_ext.h (File Added) 
  + -		trunk/iauth/mod_pipe.c (File Added) 
  + -		trunk/iauth/mod_pipe_ext.h (File Added) 
  + -		trunk/iauth/mod_rfc931.c (File Added) 
  + -		trunk/iauth/mod_rfc931_ext.h (File Added) 
  + -		trunk/iauth/mod_socks.c (File Added) 
  + -		trunk/iauth/mod_socks_ext.h (File Added) 
  + -		trunk/iauth/mod_webproxy.c (File Added) 
  + -		trunk/iauth/mod_webproxy_ext.h (File Added) 


jilles      2006/03/12 16:05:39 UTC	(20060312-1044)
  Log:
  User /quote help index was not sorted properly.
  

  Changes:	Modified:
  +2 -2		trunk/help/Makefile.in (File Modified) 
  +8 -8		trunk/help/users/index (File Modified) 


jilles      2006/03/12 15:57:27 UTC	(20060312-1038)
  Log:
  Add SCAN help file.
  

  Changes:	Modified:
  +25 -8	trunk/help/opers/index (File Modified) 
  + -		trunk/help/opers/scan (File Added) 


jilles      2006/03/12 15:27:06 UTC	(20060312-1032)
  Log:
  SGML docs:
  - Document SCAN UMODES
  - Add details about the IP address field in MASKTRACE/CHANTRACE/SCAN UMODES
  

  Changes:	Modified:
  +41 -0	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/03/10 15:28:58 UTC	(20060310-1028)
  Log:
  Add our copyright information to /info (part of release-1.1 r1026).
  

  Changes:	Modified:
  +1 -0		trunk/src/version.c.SH (File Modified) 


jilles      2006/03/10 00:16:30 UTC	(20060310-1020)
  Log:
  Fix some compile warnings.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_join.c (File Modified) 
  +2 -2		trunk/modules/core/m_nick.c (File Modified) 
  +0 -1		trunk/modules/core/m_sjoin.c (File Modified) 
  +1 -1		trunk/modules/m_scan.c (File Modified) 
  +4 -4		trunk/modules/m_signon.c (File Modified) 


jilles      2006/03/09 15:54:20 UTC	(20060309-1012)
  Log:
  RSFNC: OK, actually consider unknowns also for detecting a collide.
  Otherwise we can get two clients with the same nick.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_services.c (File Modified) 


nenolod     2006/03/09 15:32:14 UTC	(20060309-1006)
  Log:
  - charybdis profiling stuff
  - move all channel mode logic into src/chmode.c from modules/core/m_mode.c
  - update .depend
  

  Changes:	Modified:
  +0 -8		trunk/configure (File Modified) 
  +1 -8		trunk/configure.ac (File Modified) 
  +18 -0	trunk/include/channel.h (File Modified) 
  +0 -1322	trunk/modules/core/m_mode.c (File Modified) 
  +335 -260	trunk/src/.depend (File Modified) 
  +1569 -0	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/chmode.c (File Added) 
  +16 -1	trunk/src/ircd.c (File Modified) 
  +11 -0	trunk/src/main.c (File Modified) 
  +11 -0	trunk/src/modules.c (File Modified) 


jilles      2006/03/09 14:33:38 UTC	(20060309-1004)
  Log:
  RSFNC: Do not send kills to servers for unknowns
  

  Changes:	Modified:
  +4 -2		trunk/modules/m_services.c (File Modified) 


jilles      2006/03/09 14:25:01 UTC	(20060309-1002)
  Log:
  Describe service{} blocks in reference.conf.
  

  Changes:	Modified:
  +12 -0	trunk/doc/reference.conf (File Modified) 


jilles      2006/03/09 01:14:34 UTC	(20060309-996)
  Log:
  Replace this list of modes with pointers to other documentation.
  

  Changes:	Modified:
  +6 -50	trunk/doc/modes.txt (File Modified) 


jilles      2006/03/08 00:10:46 UTC	(20060308-986)
  Log:
  Name the variable for the channel pointer 'chptr' instead of 'cptr',
  looks too much like an old-ircd client pointer otherwise.
  

  Changes:	Modified:
  +7 -7		trunk/contrib/m_findforwards.c (File Modified) 


jilles      2006/03/08 00:09:27 UTC	(20060308-984)
  Log:
  findforwards:
  - note truncation of the list (perhaps sending multiple
    notices is better)
  - clarify in a comment that /findforwards on a nonexistent
    channel can be useful
  - sendto_one_notice() requires that the text start with
    a colon
  

  Changes:	Modified:
  +9 -3		trunk/contrib/m_findforwards.c (File Modified) 


jilles      2006/03/07 23:33:48 UTC	(20060307-982)
  Log:
  When we close a local server's link, always include the
  name of the client causing the exit in the reason in the
  SQUIT we send them (replacing them with us). This makes
  sure server notices for stuff like "Not enough arguments
  to server command" are different on the two sides.
  

  Changes:	Modified:
  +7 -5		trunk/src/client.c (File Modified) 


gxti        2006/03/07 22:58:03 UTC	(20060307-980)
  Log:
  New contrib module m_findforwards.c
  

  Changes:	Modified:
  +112 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/m_findforwards.c (File Added) 


jilles      2006/03/07 22:21:29 UTC	(20060307-968)
  Log:
  Whoops, don't show real host behind auth{} spoof in
  spoof notices if hide_spoof_ips is enabled.
  
  From ratbox (part of initial HIDE_SPOOF_IPS to conf patch)
  

  Changes:	Modified:
  +3 -2		trunk/src/s_conf.c (File Modified) 


jilles      2006/03/07 12:54:53 UTC	(20060307-962)
  Log:
  Add dalnet-style /identify that sends to nickserv or chanserv.
  

  Changes:	Modified:
  +102 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/m_identify.c (File Added) 


jilles      2006/03/07 12:26:20 UTC	(20060307-958)
  Log:
  Document alias{} blocks a bit better.
  

  Changes:	Modified:
  +9 -0		trunk/doc/reference.conf (File Modified) 


nenolod     2006/03/06 04:01:20 UTC	(20060306-948)
  Log:
  - add aliases to /stats m (data usage is not counted though, sorry)
  

  Changes:	Modified:
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +3 -0		trunk/src/newconf.c (File Modified) 
  +15 -0	trunk/src/parse.c (File Modified) 


nenolod     2006/03/06 03:43:02 UTC	(20060306-946)
  Log:
  - remove m_sshortcut as it's no longer relevant
  

  Changes:	Modified:
  +0 -145	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/m_sshortcut.c (File Deleted) 


nenolod     2006/03/06 03:41:31 UTC	(20060306-944)
  Log:
  - support for aliases, needs some more work before it can be backported to the 1.2 branch (jilles changed this to use 
    targets instead of my original idea :P)
  

  Changes:	Modified:
  +32 -0	trunk/doc/example.conf (File Modified) 
  +35 -0	trunk/doc/reference.conf (File Modified) 
  +4 -0		trunk/include/parse.h (File Modified) 
  +7 -0		trunk/include/s_conf.h (File Modified) 
  +82 -0	trunk/src/newconf.c (File Modified) 
  +78 -0	trunk/src/parse.c (File Modified) 
  +16 -0	trunk/src/s_conf.c (File Modified) 


jilles      2006/03/05 23:33:56 UTC	(20060305-942)
  Log:
  Remove some spaces after tabs. ??
  

  Changes:	Modified:
  +18 -18	trunk/src/newconf.c (File Modified) 


jilles      2006/03/05 23:15:38 UTC	(20060305-940)
  Log:
  Global /who:
  - make sure to clear all marks also if the who was aborted
    because of too many matches
  - give ERR_TOOMANYMATCHES if too many matches
  - clarify comments
  
  ratbox RATBOX_2_2 r22003 (jilles)
  

  Changes:	Modified:
  +28 -26	trunk/modules/m_who.c (File Modified) 


nenolod     2006/03/05 09:45:50 UTC	(20060305-936)
  Log:
  - devel is 2.0
  

  Changes:	Modified:
  +9 -9		trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


nenolod     2006/03/05 03:39:14 UTC	(20060305-932)
  Log:
  - add /rehash nickdelay to clear out the nickdelay tables (hack hack!)
  

  Changes:	Modified:
  +2 -1		trunk/include/s_newconf.h (File Modified) 
  +20 -0	trunk/modules/m_rehash.c (File Modified) 
  +1 -1		trunk/src/s_newconf.c (File Modified) 


gxti        2006/03/05 03:38:33 UTC	(20060305-930)
  Log:
  Pull quiet_on_ban from the config as only people who can't configure their ircd properly turn this off.
  

  Changes:	Modified:
  +0 -1		trunk/doc/example.conf (File Modified) 
  +0 -3		trunk/doc/reference.conf (File Modified) 
  +0 -1		trunk/include/s_conf.h (File Modified) 
  +0 -6		trunk/modules/m_info.c (File Modified) 
  +1 -1		trunk/src/channel.c (File Modified) 
  +0 -1		trunk/src/newconf.c (File Modified) 


gxti        2006/03/05 00:48:56 UTC	(20060305-928)
  Log:
  Missing header in m_chghost.c

  Changes:	Modified:
  +1 -0		trunk/modules/m_chghost.c (File Modified) 


gxti        2006/02/28 19:53:33 UTC	(20060228-926)
  Log:
  Relocate QJM code to a seperate function(change_nick_user_host)
  Change CHGHOST to use change_nick_user_host instead of just setting it
  

  Changes:	Modified:
  +3 -0		trunk/include/s_user.h (File Modified) 
  +1 -1		trunk/modules/m_chghost.c (File Modified) 
  +3 -78	trunk/modules/m_signon.c (File Modified) 
  +89 -0	trunk/src/s_user.c (File Modified) 


jilles      2006/02/28 13:24:51 UTC	(20060228-924)
  Log:
  Restore /stats a (dns servers, admin-only).
  

  Changes:	Modified:
  +1 -0		trunk/include/res.h (File Modified) 
  +5 -8		trunk/modules/m_stats.c (File Modified) 
  +16 -0	trunk/src/res.c (File Modified) 


nenolod     2006/02/23 18:29:24 UTC	(20060223-920)
  Log:
  - Add CHARYBDIS_PROFILE if we are profiling.
  - Remove -static from CFLAGS when profiling because this is really unnecessary.
  - Remove duplicate --enable-epoll entry.
  

  Changes:	Modified:
  +1595 -15	trunk/configure (File Modified) 
  +30 -11	trunk/configure.ac (File Modified) 
  +3 -0		trunk/include/setup.h.in (File Modified) 


nenolod     2006/02/23 18:17:21 UTC	(20060223-918)
  Log:
  - Add CHARYBDIS_C_GCC_TRY_FLAGS. Guess where this is from. Just guess.
  

  Changes:	Modified:
  +28 -0	trunk/aclocal.m4 (File Modified) 


jilles      2006/02/23 13:25:48 UTC	(20060223-916)
  Log:
  Allow requesting forward channel and quiet list in same mode command.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_mode.c (File Modified) 


jilles      2006/02/22 00:06:41 UTC	(20060222-912)
  Log:
  Add description of xline wildcards.
  

  Changes:	Modified:
  +14 -3	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


gxti        2006/02/21 23:54:57 UTC	(20060221-908)
  Log:
  Stop throwing out LOGIN from non-bursting servers as this interferes with SASL.
  

  Changes:	Modified:
  +0 -4		trunk/modules/m_services.c (File Modified) 


nenolod     2006/02/21 02:25:43 UTC	(20060221-906)
  Log:
  typo
  

  Changes:	Modified:
  +1 -1		trunk/include/hook.h (File Modified) 


nenolod     2006/02/20 22:34:50 UTC	(20060220-904)
  Log:
  call_hook, not hook_call
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_join.c (File Modified) 


nenolod     2006/02/20 22:05:41 UTC	(20060220-902)
  Log:
  Add h_channel_join, a hook that's fired (for modules) when a channel is joined.
  Could be useful for a number of things.
  

  Changes:	Modified:
  +9 -0		trunk/modules/core/m_join.c (File Modified) 


nenolod     2006/02/20 21:35:40 UTC	(20060220-900)
  Log:
  New type: hook_data_channel_activity, used primarily for joins and parts from a channel.
  

  Changes:	Modified:
  +7 -0		trunk/include/hook.h (File Modified) 


gxti        2006/02/20 21:27:46 UTC	(20060220-896)
  Log:
  Burst LOGIN on registration if the user was already identified (i.e. from SIGNON)
  

  Changes:	Modified:
  +15 -0	trunk/modules/m_services.c (File Modified) 


jilles      2006/02/20 11:26:45 UTC	(20060220-894)
  Log:
  Clarify snomask +f, +k, +u.
  

  Changes:	Modified:
  +8 -4		trunk/doc/sgml/oper-guide/snomasks.sgml (File Modified) 


jilles      2006/02/20 11:26:22 UTC	(20060220-892)
  Log:
  Cmode +p and +s may be set simultaneously.
  

  Changes:	Modified:
  +1 -0		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


nenolod     2006/02/20 05:20:38 UTC	(20060220-890)
  Log:
  actually, we should check the data version on each reload (oops)
  

  Changes:	Modified:
  +6 -6		trunk/src/main.c (File Modified) 


nenolod     2006/02/20 05:17:22 UTC	(20060220-888)
  Log:
  more work on the loader
  

  Changes:	Modified:
  +45 -21	trunk/src/main.c (File Modified) 


nenolod     2006/02/20 04:04:42 UTC	(20060220-886)
  Log:
  Add prototype ircd_state.c
  

  Changes:	Modified:
  + -		trunk/src/ircd_state.c (File Added) 


jilles      2006/02/19 00:41:15 UTC	(20060219-882)
  Log:
  Smaller improvements.
  

  Changes:	Modified:
  +18 -8	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/02/19 00:15:39 UTC	(20060219-880)
  Log:
  Add a lot of stuff here.
  

  Changes:	Modified:
  +210 -16	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/02/18 22:55:32 UTC	(20060218-878)
  Log:
  Add +o, +t and +v cmodes and add a lot of information to other cmodes.
  

  Changes:	Modified:
  +81 -10	trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2006/02/18 21:57:54 UTC	(20060218-873)
  Log:
  Invex doesn't trump +r or (sic) +J.
  

  Changes:	Modified:
  +0 -2		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


nenolod     2006/02/18 21:56:00 UTC	(20060218-871)
  Log:
  Check to make sure a module is not loaded before loading it.
  

  Changes:	Modified:
  +6 -1		trunk/src/ircd_parser.y (File Modified) 


nenolod     2006/02/16 18:54:16 UTC	(20060216-869)
  Log:
  - Add a missing comma in the HeaderMessages array
  - Only send "Your hostname is too long ..." if that really is the case
  

  Changes:	Modified:
  +2 -2		trunk/src/s_auth.c (File Modified) 


nenolod     2006/02/16 14:25:09 UTC	(20060216-867)
  Log:
  build_symtable() will have already bailed here, so no need to check
  explicitly whether or not charybdis_main is NULL.
  

  Changes:	Modified:
  +7 -16	trunk/src/main.c (File Modified) 


nenolod     2006/02/16 14:05:37 UTC	(20060216-865)
  Log:
  Data structure versioning, part 1.
  

  Changes:	Modified:
  +10 -1	trunk/include/ircd_defs.h (File Modified) 
  +2 -0		trunk/src/ircd.c (File Modified) 
  +15 -3	trunk/src/main.c (File Modified) 


nenolod     2006/02/16 06:51:59 UTC	(20060216-863)
  Log:
  build a symbol table and use that instead of doing a raw dlsym on everything
  

  Changes:	Modified:
  + -		trunk/include/ircd_linker.h (File Added) 
  +71 -1	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/ircd_linker.c (File Added) 
  +16 -4	trunk/src/main.c (File Modified) 


nenolod     2006/02/15 23:15:08 UTC	(20060215-861)
  Log:
  The launcher now calls io_loop() instead of charybdis_main().
  This is so that we do not have to reinitialize *everything* later.
  

  Changes:	Modified:
  +1 -0		trunk/include/ircd.h (File Modified) 
  +6 -7		trunk/src/ircd.c (File Modified) 
  +13 -1	trunk/src/main.c (File Modified) 


nenolod     2006/02/15 23:05:22 UTC	(20060215-859)
  Log:
  Use global binding on libircd.so.
  

  Changes:	Modified:
  +1 -1		trunk/src/main.c (File Modified) 


nenolod     2006/02/15 22:49:16 UTC	(20060215-857)
  Log:
  - most of the IRCd is now a shared library, ircd is just a launcher that opens libircd.so and runs it now.
    (it will do more later)
  

  Changes:	Modified:
  +14 -12	trunk/include/config.h (File Modified) 
  +1 -1		trunk/libcharybdis/Makefile.in (File Modified) 
  +31 -5	trunk/src/Makefile.in (File Modified) 
  +78 -1	trunk/src/ircd.c (File Modified) 
  + -		trunk/src/main.c (File Added) 


nenolod     2006/02/15 03:27:43 UTC	(20060215-855)
  Log:
  Add whitespace here, oops.
  

  Changes:	Modified:
  +1 -1		trunk/CREDITS (File Modified) 


nenolod     2006/02/15 01:34:19 UTC	(20060215-851)
  Log:
  Properly copy over the IP address here instead of using a cheap hack.
  Because the hack didn't work right except on IPv6. :|
  

  Changes:	Modified:
  +12 -2	trunk/src/s_newconf.c (File Modified) 


jilles      2006/02/15 01:33:43 UTC	(20060215-849)
  Log:
  Revert reject cache notice to ratbox's, which more
  clearly suggests what's happening.
  

  Changes:	Modified:
  +4 -1		trunk/src/reject.c (File Modified) 


nenolod     2006/02/15 01:30:41 UTC	(20060215-847)
  Log:
  Fix the openssl status in the overview information.
  

  Changes:	Modified:
  +1 -3		trunk/configure (File Modified) 
  +1 -3		trunk/configure.ac (File Modified) 


jilles      2006/02/15 00:53:32 UTC	(20060215-843)
  Log:
  - Add simple exempt{} block (127.0.0.1) to example.conf.
  - Remove mention of deny{}.
  

  Changes:	Modified:
  +5 -0		trunk/doc/example.conf (File Modified) 
  +1 -1		trunk/doc/reference.conf (File Modified) 


jilles      2006/02/15 00:37:34 UTC	(20060215-839)
  Log:
  example.conf: add some comments at the start
  reference.conf: some ircd-ratbox -> charybdis
  

  Changes:	Modified:
  +11 -0	trunk/doc/example.conf (File Modified) 
  +6 -5		trunk/doc/reference.conf (File Modified) 


jilles      2006/02/15 00:27:59 UTC	(20060215-833)
  Log:
  Rename m_createauthonly module to createauthonly
  as this is not a module providing an m_function
  (command).
  

  Changes:	Modified:
  +1 -38	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/createauthonly.c (File Added) 
  + -		trunk/contrib/m_createauthonly.c (File Deleted) 


jilles      2006/02/15 00:22:08 UTC	(20060215-831)
  Log:
  Add to example confs commented lines for:
  createauthonly.so, ip_cloaking.so, sno_farconnect.so,
  sno_globalkline.so, sno_globaloper.so.
  

  Changes:	Modified:
  +5 -1		trunk/doc/example.conf (File Modified) 
  +9 -1		trunk/doc/reference.conf (File Modified) 


jilles      2006/02/15 00:12:24 UTC	(20060215-829)
  Log:
  - Unbreak connecting to connect{}s with hostnames
    instead of IP addresses (broken with new resolver).
  - Try to do A/AAAA query based on aftype in
    connect{} (doesn't seem to work fully).
  

  Changes:	Modified:
  +19 -2	trunk/libcharybdis/commio.c (File Modified) 


jilles      2006/02/14 22:54:37 UTC	(20060214-827)
  Log:
  Unbreak /rehash dns.
  

  Changes:	Modified:
  +1 -0		trunk/src/res.c (File Modified) 


jilles      2006/02/14 22:40:55 UTC	(20060214-825)
  Log:
  Preserve Hybrid Id and add one of our own.
  

  Changes:	Modified:
  +2 -1		trunk/src/res.c (File Modified) (Property Modified)
  +2 -1		trunk/src/reslib.c (File Modified) (Property Modified)


jilles      2006/02/14 22:17:17 UTC	(20060214-821)
  Log:
  Add anfl and Androsyn to CREDITS.
  They wrote a lot of ratbox code we use, both before and after the fork.
  

  Changes:	Modified:
  +2 -0		trunk/CREDITS (File Modified) 


nenolod     2006/02/14 21:39:42 UTC	(20060214-819)
  Log:
  Hostname validity check.
  

  Changes:	Modified:
  +42 -3	trunk/src/s_auth.c (File Modified) 


nenolod     2006/02/14 21:02:12 UTC	(20060214-817)
  Log:
  Version bump to 1.2.0.
  

  Changes:	Modified:
  +9 -9		trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


nenolod     2006/02/14 20:55:24 UTC	(20060214-815)
  Log:
  - Missed a spot in the IPv6 code here. Should be usable now.
  

  Changes:	Modified:
  +2 -2		trunk/src/res.c (File Modified) 


nenolod     2006/02/14 20:52:15 UTC	(20060214-813)
  Log:
  Alright, so, this massive commit does the following:
  - Removes adns
  - Adds a resolver based on the undernet and hybrid one.
  - Tries to clean up a giant mess in the header dependencies (encountered during the above)
  - Makes a check in ./configure be posixly correct
  - Simplifies the auth code and DNS callbacks
  
  Needs testing. Especially under IPv6. I probably fucked something up there. I will test it later.
  

  Changes:	Modified:
  +1 -1		trunk/Makefile.in (File Modified) 
  + -		trunk/adns/ (File Deleted) 
  +148 -80	trunk/configure (File Modified) 
  +1 -2		trunk/configure.ac (File Modified) 
  +6 -0		trunk/include/client.h (File Modified) 
  +1 -0		trunk/include/packet.h (File Modified) 
  +153 -41	trunk/include/res.h (File Modified) 
  + -		trunk/include/reslib.h (File Added) 
  +4 -33	trunk/libcharybdis/commio.c (File Modified) 
  +930 -1449	trunk/modules/.depend (File Modified) 
  +3 -0		trunk/modules/m_stats.c (File Modified) 
  +417 -621	trunk/src/.depend (File Modified) 
  +1 -1		trunk/src/.indent.pro (File Modified) 
  +2069 -289	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/adns.c (File Deleted) 
  + -		trunk/src/res.c (File Added) 
  + -		trunk/src/reslib.c (File Added) 
  +11 -50	trunk/src/s_auth.c (File Modified) 
  +4 -26	trunk/src/s_newconf.c (File Modified) 


nenolod     2006/02/13 20:14:51 UTC	(20060213-811)
  Log:
  Document the NOBALLOC feature.
  

  Changes:	Modified:
  +7 -1		trunk/include/config.h (File Modified) 


jilles      2006/02/12 20:50:51 UTC	(20060212-806)
  Log:
  commands.sgml changes
  

  Changes:	Modified:
  +126 -51	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2006/02/12 19:58:28 UTC	(20060212-804)
  Log:
  connect{} changes.
  

  Changes:	Modified:
  +11 -4	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 19:47:43 UTC	(20060212-802)
  Log:
  Improve description of class{} block (in particular,
  mention server classes as well as client classes).
  

  Changes:	Modified:
  +41 -3	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 19:37:35 UTC	(20060212-800)
  Log:
  In comment:
  -/* sendq: servers need a higher sendq as they send more data */
  +/* sendq: servers need a higher sendq as they are sent more data */
  

  Changes:	Modified:
  +1 -1		trunk/doc/reference.conf (File Modified) 


jilles      2006/02/12 19:33:35 UTC	(20060212-798)
  Log:
  Add modules{} block.
  

  Changes:	Modified:
  +28 -0	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 17:31:44 UTC	(20060212-796)
  Log:
  Add general::oper_snomask, snomask on oper up for opers
  that have umode +s set on oper up, but do not have
  a specific snomask setting in their operator block.
  If this is empty or not specified, +s is used as before.
  

  Changes:	Modified:
  +4 -1		trunk/doc/example.conf (File Modified) 
  +7 -1		trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/client.h (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +32 -0	trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 
  +13 -3	trunk/src/s_user.c (File Modified) 


nenolod     2006/02/12 07:27:54 UTC	(20060212-794)
  Log:
  fix error

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


nenolod     2006/02/12 07:13:38 UTC	(20060212-792)
  Log:
  Add MASKTRACE and CHANTRACE commands.
  

  Changes:	Modified:
  +23 -5	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


nenolod     2006/02/12 06:39:51 UTC	(20060212-790)
  Log:
  document loadmodule directive
  

  Changes:	Modified:
  +12 -3	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 06:36:19 UTC	(20060212-788)
  Log:
  finish this up
  

  Changes:	Modified:
  +29 -3	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 06:29:55 UTC	(20060212-786)
  Log:
  q:lines are no longer living in the ircd.conf either
  

  Changes:	Modified:
  +0 -8		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 04:28:54 UTC	(20060212-784)
  Log:
  remove k:line, d:line, x:line as they are their own files now
  

  Changes:	Modified:
  +0 -29	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 03:55:38 UTC	(20060212-782)
  Log:
  New place for operator::snomask.
  

  Changes:	Modified:
  +9 -9		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:46:29 UTC	(20060212-780)
  Log:
  Document connect {}.
  

  Changes:	Modified:
  +101 -20	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 03:42:26 UTC	(20060212-778)
  Log:
  example.conf: move operator::snomask to a more logical place,
  more sensible default
  reference.conf: add operator::snomask
  

  Changes:	Modified:
  +3 -3		trunk/doc/example.conf (File Modified) 
  +3 -0		trunk/doc/reference.conf (File Modified) 


jilles      2006/02/12 03:34:24 UTC	(20060212-776)
  Log:
  Allow specifying +D (deaf), +Q (noforward) and +R (regonlymsg)
  in those conf entries that take umodes like <name1>, <name2>, ...
  

  Changes:	Modified:
  +3 -0		trunk/doc/reference.conf (File Modified) 
  +3 -0		trunk/src/newconf.c (File Modified) 


nenolod     2006/02/12 03:33:02 UTC	(20060212-774)
  Log:
  Remove H:line
  

  Changes:	Modified:
  +0 -7		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:30:32 UTC	(20060212-772)
  Log:
  Aesthetic changes.
  

  Changes:	Modified:
  +2 -0		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:28:34 UTC	(20060212-770)
  Log:
  s/allow/auth
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:26:36 UTC	(20060212-768)
  Log:
  fix
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:25:40 UTC	(20060212-766)
  Log:
  Document operator {} blocks.
  

  Changes:	Modified:
  +65 -17	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 03:18:31 UTC	(20060212-764)
  Log:
  auth{}: clarify/add some details
  

  Changes:	Modified:
  +14 -7	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:11:11 UTC	(20060212-762)
  Log:
  auth{}: Move a paragraph.
  

  Changes:	Modified:
  +3 -3		trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


nenolod     2006/02/12 03:02:10 UTC	(20060212-760)
  Log:
  Document auth{} blocks.
  

  Changes:	Modified:
  +107 -43	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2006/02/12 02:23:21 UTC	(20060212-758)
  Log:
  Add umode +R.
  

  Changes:	Modified:
  +2 -1		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/02/12 02:19:41 UTC	(20060212-756)
  Log:
  Add umode +R, prevents unidentified clients from
  sending private messages or notices. /accept'ed
  clients and opers are exempt.
  Due to the /accept part, this is only checked
  at the target's server, may want to change
  this?
  

  Changes:	Modified:
  +1 -0		trunk/help/opers/umode (File Modified) 
  +1 -0		trunk/help/users/umode (File Modified) 
  +2 -0		trunk/include/client.h (File Modified) 
  +1 -0		trunk/include/numeric.h (File Modified) 
  +11 -1	trunk/modules/core/m_message.c (File Modified) 
  +9 -1		trunk/modules/m_cmessage.c (File Modified) 
  +1 -1		trunk/src/messages.tab (File Modified) 
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/02/12 01:26:44 UTC	(20060212-754)
  Log:
  Don't allow a nick change if banned or quieted (and not
  voiced or opped) on a channel. This uses numeric 435
  (bahamut's "cannot change to a banned nick") because
  bahamut/ircu's 437 and hyperion's 438 already have
  another meaning for us.
  

  Changes:	Modified:
  +2 -0		trunk/include/channel.h (File Modified) 
  +1 -0		trunk/include/numeric.h (File Modified) 
  +9 -0		trunk/modules/core/m_nick.c (File Modified) 
  +38 -0	trunk/src/channel.c (File Modified) 
  +1 -1		trunk/src/messages.tab (File Modified) 


jilles      2006/02/11 20:55:03 UTC	(20060211-752)
  Log:
  KNOCK:
  - respect ban exceptions
  - also deny a knock if quieted
  

  Changes:	Modified:
  +2 -1		trunk/modules/m_knock.c (File Modified) 


jilles      2006/02/11 19:42:32 UTC	(20060211-750)
  Log:
  Reverse bad substitution in comment.
  

  Changes:	Modified:
  +1 -1		trunk/src/channel.c (File Modified) 


jilles      2006/02/11 19:04:47 UTC	(20060211-748)
  Log:
  - set DynSpoof flag for clients spoofed at registration
  - add orighost instead of host to the hostname hash
  

  Changes:	Modified:
  +5 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/02/11 16:59:13 UTC	(20060211-746)
  Log:
  sendto_common_channels_local_butone(): nicer way to skip the user themselves.
  

  Changes:	Modified:
  +2 -3		trunk/src/send.c (File Modified) 


gxti        2006/02/10 02:44:34 UTC	(20060210-744)
  Log:
  Change login field semantics in SVSLOGIN/SIGNON to allow both no-change and logout.
  

  Changes:	Modified:
  +17 -7	trunk/modules/m_signon.c (File Modified) 


gxti        2006/02/09 02:44:48 UTC	(20060209-742)
  Log:
  Correct minimum args on ENCAP SASL to avoid nasty core.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_sasl.c (File Modified) 


jilles      2006/02/09 01:14:21 UTC	(20060209-740)
  Log:
  Style nits: sptr can't ever be NULL, don't compare truth
  values with YES.
  

  Changes:	Modified:
  +2 -3		trunk/modules/m_scan.c (File Modified) 


jilles      2006/02/09 01:04:56 UTC	(20060209-738)
  Log:
  - Comment out scan_cmodes() prototype to suppress warning
  - Correct minimum parameter count for mo_scan()
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_scan.c (File Modified) 


jilles      2006/02/09 00:56:16 UTC	(20060209-736)
  Log:
  SCAN UMODES:
  - Include full command in operspy notice
  - Allow global scans (no-list used, mask not used) without operspy
  - Use ERR_NOPRIVS numeric
  

  Changes:	Modified:
  +21 -9	trunk/modules/m_scan.c (File Modified) 


jilles      2006/02/08 23:45:23 UTC	(20060208-734)
  Log:
  Cancel out the >3 default if < is given; this way
  any </> specification fully overrides the default.
  

  Changes:	Modified:
  +3 -0		trunk/modules/m_list_safelist.c (File Modified) 


jilles      2006/02/08 23:13:44 UTC	(20060208-732)
  Log:
  - Call mo_list() from m_list() to reduce code duplication
  - Default to >3, rather arbitrarily (conf option?)
  - Make < and > mean less than and greater than again
  

  Changes:	Modified:
  +16 -47	trunk/modules/m_list_safelist.c (File Modified) 


jilles      2006/02/08 22:20:43 UTC	(20060208-730)
  Log:
  When processing topic burst, hide connecting server
  on netburst if flatten links is enabled.
  

  Changes:	Modified:
  +9 -2		trunk/modules/m_tb.c (File Modified) 


nenolod     2006/02/08 22:03:57 UTC	(20060208-728)
  Log:
  - remove PENALTY token
  

  Changes:	Modified:
  +0 -1		trunk/include/supported.h (File Modified) 


nenolod     2006/02/08 22:00:03 UTC	(20060208-726)
  Log:
  005 fixups:
  - Add PENALTY because we have a pace-wait system.
  - Add FNC due to SAVE and RSFNC
  - Add q to MAXLIST.
  

  Changes:	Modified:
  +4 -2		trunk/include/supported.h (File Modified) 


nenolod     2006/02/08 21:55:57 UTC	(20060208-724)
  Log:
  mkay, indent went nuts here
  

  Changes:	Modified:
  +4 -6		trunk/modules/m_list_safelist.c (File Modified) 


nenolod     2006/02/08 21:51:28 UTC	(20060208-722)
  Log:
  Implement SAFELIST. The old ratbox method is now called m_list_ratbox.c,
  and can be used instead. The SAFELIST implementation is the one used by
  default, as most users/networks will be used to it.
  

  Changes:	Modified:
  +1 -0		trunk/NEWS (File Modified) 
  +14 -0	trunk/include/client.h (File Modified) 
  +5 -0		trunk/include/hash.h (File Modified) 
  +404 -272	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/m_list.c (File Deleted) 
  + -		trunk/modules/m_list_ratbox.c (File Added) 
  + -		trunk/modules/m_list_safelist.c (File Added) 
  +5 -5		trunk/src/hash.c (File Modified) 


jilles      2006/02/08 21:02:52 UTC	(20060208-720)
  Log:
  Clear invites on a lowerTS JOIN or SJOIN.
  This should complete kick_on_split_riding protection.
  

  Changes:	Modified:
  +5 -0		trunk/modules/core/m_join.c (File Modified) 
  +5 -1		trunk/modules/core/m_sjoin.c (File Modified) 


jilles      2006/02/08 20:26:58 UTC	(20060208-718)
  Log:
  Like in ratbox, send and interpret timestamps on invites.
  

  Changes:	Modified:
  +9 -2		trunk/modules/m_invite.c (File Modified) 


jilles      2006/02/07 12:48:28 UTC	(20060207-716)
  Log:
  Add +S (network service) umode. Just for completeness, users or opers
  cannot set this.
  

  Changes:	Modified:
  +19 -0	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


nenolod     2006/02/06 20:04:23 UTC	(20060206-714)
  Log:
  update NEWS a bit
  

  Changes:	Modified:
  +35 -2	trunk/NEWS (File Modified) 


gxti        2006/02/06 04:42:14 UTC	(20060206-712)
  Log:
  Split off a PreClient structure for data to be freed on registation (i.e. password).
  New hook introduce_client for post-registration messages.
  Fix b0rked SASL numerics.
  Burst REALHOST post-introduction for spoofed-on-registration clients.
  Rearrange SVSLOGIN arguments so that allowednicks is at the end; optional.
  Pre-registration signon support.
  

  Changes:	Modified:
  +10 -0	trunk/configure (File Modified) 
  +2 -0		trunk/configure.ac (File Modified) 
  +14 -4	trunk/include/client.h (File Modified) 
  +1 -0		trunk/include/hook.h (File Modified) 
  +1 -0		trunk/include/numeric.h (File Modified) 
  +3 -0		trunk/include/setup.h.in (File Modified) 
  +16 -0	trunk/modules/m_chghost.c (File Modified) 
  +25 -21	trunk/modules/m_sasl.c (File Modified) 
  +63 -30	trunk/modules/m_signon.c (File Modified) 
  +18 -0	trunk/src/client.c (File Modified) 
  +2 -0		trunk/src/hook.c (File Modified) 
  +5 -5		trunk/src/messages.tab (File Modified) 
  +2 -0		trunk/src/s_serv.c (File Modified) 
  +28 -2	trunk/src/s_user.c (File Modified) 


gxti        2006/02/06 03:10:01 UTC	(20060206-710)
  Log:
  Update hook documentation.
  

  Changes:	Modified:
  +30 -0	trunk/doc/hooks.txt (File Modified) 


jilles      2006/02/05 22:44:03 UTC	(20060205-708)
  Log:
  Improve @/# handling in match_esc().
  

  Changes:	Modified:
  +21 -13	trunk/src/match.c (File Modified) 


nenolod     2006/02/05 21:09:04 UTC	(20060205-706)
  Log:
  backtrack instead of bailing out when handling a mismatched escape
  

  Changes:	Modified:
  +1 -1		trunk/src/match.c (File Modified) 


nenolod     2006/02/05 20:33:39 UTC	(20060205-704)
  Log:
  Denote Entrope as being a contributor, since we used his match() routines from ircu/srvx.

  Changes:	Modified:
  +2 -1		trunk/CREDITS (File Modified) 


nenolod     2006/02/05 20:24:55 UTC	(20060205-702)
  Log:
  Fix the escape brokenness and pick up a more efficient matching algorithm,
  via ircu (Entrope, Runaway et al.). Where do we lose? Nowhere.
  Patch sent upstream. They can do whatever they want with it, *shrug*.
  

  Changes:	Modified:
  +147 -161	trunk/src/match.c (File Modified) 


jilles      2006/02/04 20:13:39 UTC	(20060204-700)
  Log:
  If flatten links is enabled, fake the origins of some ServerModes
  sent to clients so that the server sending the netburst is hidden.
  Most mode hacks still show the true source.
  

  Changes:	Modified:
  +17 -4	trunk/modules/core/m_mode.c (File Modified) 
  +20 -10	trunk/modules/core/m_sjoin.c (File Modified) 


jilles      2006/02/04 18:26:55 UTC	(20060204-698)
  Log:
  - When exiting a local server, send SQUIT <them> :<reason> (no matter
    where the exit originated).
  - When receiving an SQUIT for a server themselves
    (IsMe(target_p) || target_p == client_p)
    close their link and send a local server notice.
  

  Changes:	Modified:
  +16 -9	trunk/modules/core/m_squit.c (File Modified) 
  +6 -3		trunk/src/client.c (File Modified) 


nenolod     2006/02/04 04:37:10 UTC	(20060204-696)
  Log:
  Hooking into the wrong hook, whoops. :P
  

  Changes:	Modified:
  +3 -5		trunk/contrib/m_createauthonly.c (File Modified) 
  +6 -10	trunk/modules/core/m_join.c (File Modified) 


nenolod     2006/02/04 04:11:17 UTC	(20060204-694)
  Log:
  this doesn't work right, right now :P
  

  Changes:	Modified:
  +40 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/m_createauthonly.c (File Added) 
  +6 -0		trunk/include/hook.h (File Modified) 
  +26 -1	trunk/modules/core/m_join.c (File Modified) 
  +1 -1		trunk/src/ircd.c (File Modified) 


nenolod     2006/02/04 03:11:05 UTC	(20060204-692)
  Log:
  Make can_join() hookable.
  

  Changes:	Modified:
  +12 -1	trunk/src/channel.c (File Modified) 


nenolod     2006/02/04 03:04:20 UTC	(20060204-690)
  Log:
  add 'int approved;' to the channel event hook
  

  Changes:	Modified:
  +1 -0		trunk/include/hook.h (File Modified) 


gxti        2006/02/04 02:50:03 UTC	(20060204-688)
  Log:
  Use SIDs in SASL ENCAP origin.
  Ignore responses from other agents once the first SASL response has been received for a client.
  

  Changes:	Modified:
  +9 -5		trunk/modules/m_sasl.c (File Modified) 


gxti        2006/02/04 01:44:17 UTC	(20060204-686)
  Log:
  Removed stray debug code.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_sasl.c (File Modified) 


jilles      2006/02/03 22:39:24 UTC	(20060203-684)
  Log:
  Don't complain "unknown MODE flag" if a non-oper attempts
  to unset an oper only umode they do not have.
  This is to prevent unwanted error messages when users/bots
  do things like MODE <nick> +i-sw.
  

  Changes:	Modified:
  +4 -2		trunk/src/s_user.c (File Modified) 


jilles      2006/02/03 22:32:03 UTC	(20060203-682)
  Log:
  Fix client_exit hook name and only call it for local exits that are not
  IsAnyServer.
  

  Changes:	Modified:
  +3 -2		trunk/modules/m_sasl.c (File Modified) 


gxti        2006/02/03 21:41:48 UTC	(20060203-680)
  Log:
  Fix SASL logic to actually use stored agent UID.
  Change instances of SASL code that use sendto_one_prefix for ENCAP.
  Add abort code for exiting clients.
  

  Changes:	Modified:
  +18 -9	trunk/modules/m_sasl.c (File Modified) 


jilles      2006/02/03 20:25:01 UTC	(20060203-678)
  Log:
  Port over ratbox 2.2 /challenge. This is slightly more secure
  (better crypto, longer keys, challenge timeout) and has better
  client scripts.
  
  The respond tool is no longer part of the ircd tree but a
  separate package, currently available from
  http://respond.ircd-ratbox.org (we should mirror/... this).
  

  Changes:	Modified:
  +65 -310	trunk/doc/challenge.txt (File Modified) 
  +5 -5		trunk/include/client.h (File Modified) 
  +3 -0		trunk/include/irc_string.h (File Modified) 
  +3 -0		trunk/include/numeric.h (File Modified) 
  +94 -50	trunk/modules/m_challenge.c (File Modified) 
  +1 -2		trunk/src/client.c (File Modified) 
  +125 -0	trunk/src/irc_string.c (File Modified) 
  +2 -2		trunk/src/messages.tab (File Modified) 
  + -		trunk/tools/rsa_respond/ (File Deleted) 


gxti        2006/02/03 20:05:09 UTC	(20060203-676)
  Log:
  Preliminary SASL support.
  

  Changes:	Modified:
  +7 -0		trunk/include/client.h (File Modified) 
  +6 -0		trunk/include/numeric.h (File Modified) 
  +1 -0		trunk/modules/Makefile.in (File Modified) 
  +1 -1		trunk/modules/core/m_nick.c (File Modified) 
  +175 -1	trunk/modules/m_cap.c (File Modified) 
  + -		trunk/modules/m_sasl.c (File Added) 
  +2 -0		trunk/modules/m_user.c (File Modified) 
  +5 -5		trunk/src/messages.tab (File Modified) 
  +8 -2		trunk/src/s_user.c (File Modified) 


jilles      2006/02/03 18:13:03 UTC	(20060203-674)
  Log:
  SIGNON: make logout also apply remotely.
  

  Changes:	Modified:
  +7 -2		trunk/modules/m_signon.c (File Modified) 


gxti        2006/02/03 17:45:04 UTC	(20060203-672)
  Log:
  Use an asterisk when sending empty logins in SIGNON.
  

  Changes:	Modified:
  +5 -5		trunk/modules/m_signon.c (File Modified) 


jilles      2006/02/03 17:38:31 UTC	(20060203-670)
  Log:
  SIGNON: Only add whowas entry (add_history()) and wipe
  accepts (del_all_accepts()) if nick changed.
  

  Changes:	Modified:
  +5 -3		trunk/modules/m_signon.c (File Modified) 


jilles      2006/02/03 17:26:52 UTC	(20060203-668)
  Log:
  SIGNON: slight fixes to collision code:
  - don't kill if target_p == source_p (nick unchanged or only changed case)
  - add comment that SAVE support is missing
  - use sendto_realops_snomask() instead of sendto_realops_flags()
  

  Changes:	Modified:
  +9 -6		trunk/modules/m_signon.c (File Modified) 


jilles      2006/02/03 17:19:26 UTC	(20060203-666)
  Log:
  Fix up kills for bad nick/user/host on SIGNON.
  

  Changes:	Modified:
  +16 -6	trunk/modules/m_signon.c (File Modified) 


jilles      2006/02/03 16:50:56 UTC	(20060203-664)
  Log:
  If changing to a nick with a digit, only allow the UID.
  

  Changes:	Modified:
  +4 -0		trunk/modules/m_signon.c (File Modified) 


gxti        2006/02/03 04:20:31 UTC	(20060203-661)
  Log:
  Cleaned up SIGNON patch for mainline with quit-join-mode support.
  Strip leading digits from logins that are not purely numeric.
  

  Changes:	Modified:
  +3 -0		trunk/include/numeric.h (File Modified) 
  +2 -0		trunk/include/send.h (File Modified) 
  +1 -0		trunk/modules/Makefile.in (File Modified) 
  +456 -3	trunk/modules/m_services.c (File Modified) 
  + -		trunk/modules/m_signon.c (File Added) 
  +2 -2		trunk/src/messages.tab (File Modified) 
  +98 -0	trunk/src/send.c (File Modified) 


jilles      2006/02/02 14:10:16 UTC	(20060202-659)
  Log:
  Remove old server notice umodes from example confs.
  

  Changes:	Modified:
  +1 -2		trunk/doc/example.conf (File Modified) 
  +4 -17	trunk/doc/reference.conf (File Modified) 


jilles      2006/02/01 15:11:42 UTC	(20060201-657)
  Log:
  Add snomask help file (forgot this earlier).
  

  Changes:	Modified:
  + -		trunk/help/opers/snomask (File Added) 


jilles      2006/01/31 12:50:36 UTC	(20060131-655)
  Log:
  Add umode +l (receive locops).
  

  Changes:	Modified:
  +11 -0	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/01/31 12:44:21 UTC	(20060131-653)
  Log:
  We don't plan to implement cmode +R (quiet unidentified) and
  umode +I (deny invite) for 1.1, so comment them out from the
  docs.
  

  Changes:	Modified:
  +2 -0		trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 
  +2 -0		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/01/31 12:40:38 UTC	(20060131-651)
  Log:
  Improve snomask usage description.
  

  Changes:	Modified:
  +9 -5		trunk/doc/sgml/oper-guide/snomasks.sgml (File Modified) 


jilles      2006/01/31 12:33:01 UTC	(20060131-649)
  Log:
  Mention the word snomask with umode +s (needs to be a link really).
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/01/31 12:28:58 UTC	(20060131-647)
  Log:
  Add snomask +Z (operspy notices).
  

  Changes:	Modified:
  +10 -0	trunk/doc/sgml/oper-guide/snomasks.sgml (File Modified) 


jilles      2006/01/31 12:23:29 UTC	(20060131-645)
  Log:
  Misc updates/clarifications.
  

  Changes:	Modified:
  +8 -6		trunk/doc/sgml/oper-guide/oprivs.sgml (File Modified) 


jilles      2006/01/31 12:15:29 UTC	(20060131-643)
  Log:
  Document snomasks.
  

  Changes:	Modified:
  +139 -0	trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  + -		trunk/doc/sgml/oper-guide/snomasks.sgml (File Added) 
  +3 -85	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2006/01/30 01:07:43 UTC	(20060130-641)
  Log:
  - Allow ENCAP REALHOST outside burst
  - Fix comment describing race condition: this can only happen
    on a local whois with use_whois_actually enabled
  

  Changes:	Modified:
  +4 -6		trunk/modules/m_chghost.c (File Modified) 


jilles      2006/01/29 21:42:06 UTC	(20060129-639)
  Log:
  Add sno_globaloper.c, remote oper up notices generated from user mode changes.
  

  Changes:	Modified:
  +39 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/sno_globaloper.c (File Added) 


jilles      2006/01/29 21:26:53 UTC	(20060129-637)
  Log:
  Pass along old umodes and snomask in umode_changed hook,
  changing its parameter type from struct Client *
  to hook_data_umode_changed *. (For a new client, both
  are zero.)
  
  The IP cloaking module now fully ignores umode changes
  where +h didn't change.
  

  Changes:	Modified:
  +7 -2		trunk/contrib/ip_cloaking.c (File Modified) 
  +7 -0		trunk/include/hook.h (File Modified) 
  +18 -4	trunk/src/s_user.c (File Modified) 


nenolod     2006/01/29 20:41:26 UTC	(20060129-635)
  Log:
  move libcharybdis-provided function initialisation into libcharybdis_init().
  

  Changes:	Modified:
  +32 -11	trunk/src/ircd.c (File Modified) 


jilles      2006/01/29 20:40:55 UTC	(20060129-633)
  Log:
  Make +f notices (local host, global host, global user@host, local class)
  netwide. Exceeding /quote set max remains local.
  

  Changes:	Modified:
  +4 -4		trunk/src/s_conf.c (File Modified) 


jilles      2006/01/29 20:32:44 UTC	(20060129-631)
  Log:
  Netwide notices about attempts to join juped channels.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_join.c (File Modified) 


jilles      2006/01/29 19:57:17 UTC	(20060129-629)
  Log:
  Send server notices about failed oper attempts globally.
  Successful remote oper attempt notices will be generated
  from the mode changes.
  

  Changes:	Modified:
  +3 -3		trunk/modules/m_challenge.c (File Modified) 
  +2 -2		trunk/modules/m_oper.c (File Modified) 


jilles      2006/01/29 19:56:11 UTC	(20060129-627)
  Log:
  Rest of infrastructure for sending server notices globally.
  Uses a new L_NETWIDE level on sendto_realops_snomask().
  

  Changes:	Modified:
  +1 -0		trunk/include/send.h (File Modified) 
  +31 -4	trunk/src/send.c (File Modified) 


jilles      2006/01/29 18:55:28 UTC	(20060129-625)
  Log:
  Add general::global_snotices conf option to control
  whether we send out SNOTEs. Does not do anything yet.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +6 -0		trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 


jilles      2006/01/29 13:47:35 UTC	(20060129-623)
  Log:
  Only accept SNOTE from servers.
  

  Changes:	Modified:
  +2 -0		trunk/modules/m_snote.c (File Modified) 


jilles      2006/01/29 13:25:06 UTC	(20060129-621)
  Log:
  Correct parv indices so this actually works.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_snote.c (File Modified) 


jilles      2006/01/29 13:16:10 UTC	(20060129-619)
  Log:
  s/scan/snote/g
  

  Changes:	Modified:
  +3 -3		trunk/modules/m_snote.c (File Modified) 


nenolod     2006/01/29 04:51:26 UTC	(20060129-617)
  Log:
  Add m_snote.c, SNOTE propagator.
  

  Changes:	Modified:
  +86 -0	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/m_snote.c (File Added) 


nenolod     2006/01/29 03:25:01 UTC	(20060129-615)
  Log:
  start seeding the 1.1 NEWS file
  

  Changes:	Modified:
  +4 -0		trunk/NEWS (File Modified) 


nenolod     2006/01/29 03:03:02 UTC	(20060129-613)
  Log:
  rename some modules to more descriptive names...
  

  Changes:	Modified:
  +2 -131	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/globalconnexit.c (File Deleted) 
  + -		trunk/contrib/globallineactive.c (File Deleted) 
  + -		trunk/contrib/sno_farconnect.c (File Added) 
  + -		trunk/contrib/sno_globalkline.c (File Added) 
  +1 -120	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/networknotice.c (File Deleted) 
  + -		trunk/modules/sno_routing.c (File Added) 


jilles      2006/01/28 22:02:18 UTC	(20060128-611)
  Log:
  Add networknotice (global netjoin/netsplit notices with counts/reasons).
  Uses FLAGS2_FLOODDONE bit on servers.
  

  Changes:	Modified:
  +3 -0		trunk/include/client.h (File Modified) 
  +121 -1	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/networknotice.c (File Added) 


jilles      2006/01/28 21:44:33 UTC	(20060128-609)
  Log:
  Don't show servers in /trace to nonopers if flatten links is enabled.
  

  Changes:	Modified:
  +8 -5		trunk/modules/m_trace.c (File Modified) 


jilles      2006/01/28 16:45:46 UTC	(20060128-607)
  Log:
  CHGHOST:
  - use RPL_HOSTHIDDEN numeric also when resetting hostname to original
  - send back confirmation to source, if local client
  - send a +s server notice if the source is neither a server nor a service (+S)
  

  Changes:	Modified:
  +5 -1		trunk/modules/m_chghost.c (File Modified) 


jilles      2006/01/28 16:01:05 UTC	(20060128-605)
  Log:
  Use sendto_realops_snomask_from() to make the
  server notices appear to come from the affected
  user's server.
  

  Changes:	Modified:
  +5 -6		trunk/contrib/globalconnexit.c (File Modified) 
  +6 -6		trunk/contrib/globallineactive.c (File Modified) 


jilles      2006/01/28 16:00:14 UTC	(20060128-603)
  Log:
  Add sendto_realops_snomask_from(), allows
  specification of apparent source server.
  

  Changes:	Modified:
  +1 -0		trunk/include/send.h (File Modified) 
  +41 -1	trunk/src/send.c (File Modified) 


jilles      2006/01/28 15:30:20 UTC	(20060128-601)
  Log:
  Revert r579. Keep host, not orighost in oper up notice.
  It would be inconsistent to have orighost there, and we
  don't want to mess up all server notices by putting both
  host and orighost.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/01/28 15:27:10 UTC	(20060128-599)
  Log:
  Include the IP address in operlog/foperlog.
  

  Changes:	Modified:
  +10 -8	trunk/modules/m_challenge.c (File Modified) 
  +8 -6		trunk/modules/m_oper.c (File Modified) 


jilles      2006/01/28 15:17:01 UTC	(20060128-597)
  Log:
  Call umode_changed hook on oper up.
  

  Changes:	Modified:
  +1 -0		trunk/src/s_user.c (File Modified) 


jilles      2006/01/28 15:13:27 UTC	(20060128-595)
  Log:
  Add globalconnexit contrib module, shows remote client connects/exits
  except netsplits/netjoin on snomask +F.
  Notice formatting will probably change somewhat still.
  

  Changes:	Modified:
  +80 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/globalconnexit.c (File Added) 


jilles      2006/01/28 14:54:44 UTC	(20060128-593)
  Log:
  Declare snomask_modes[] so modules can provide snomasks.
  

  Changes:	Modified:
  +2 -0		trunk/include/snomask.h (File Modified) 


jilles      2006/01/28 14:40:10 UTC	(20060128-591)
  Log:
  Replace user_signon hook with two new hooks: new_local_user
  and new_remote_user.
  These are called right before the user is introduced to the
  rest of the network.
  

  Changes:	Modified:
  +2 -1		trunk/include/hook.h (File Modified) 
  +2 -0		trunk/modules/core/m_nick.c (File Modified) 
  +4 -2		trunk/src/hook.c (File Modified) 
  +2 -3		trunk/src/s_user.c (File Modified) 


nenolod     2006/01/28 01:51:45 UTC	(20060128-589)
  Log:
  Change requirements from L_ADMIN to L_OPER for SCAN UMODES.
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_scan.c (File Modified) 


jilles      2006/01/27 19:45:11 UTC	(20060127-587)
  Log:
  Update doc/technical/send.txt.
  

  Changes:	Modified:
  +91 -131	trunk/doc/technical/send.txt (File Modified) 


jilles      2006/01/27 14:44:19 UTC	(20060127-585)
  Log:
  Add chantrace and masktrace to help files.
  

  Changes:	Modified:
  + -		trunk/help/opers/chantrace (File Added) 
  +27 -20	trunk/help/opers/index (File Modified) 
  + -		trunk/help/opers/masktrace (File Added) 
  +2 -0		trunk/help/opers/operspy (File Modified) 


jilles      2006/01/27 14:41:47 UTC	(20060127-583)
  Log:
  Port over chantrace from ratbox 2.2 (anfl/androsyn)
  Shows etrace-like output for all users in a channel,
  in particular IP addresses.
  

  Changes:	Modified:
  +75 -2	trunk/modules/m_etrace.c (File Modified) 


jilles      2006/01/27 13:49:21 UTC	(20060127-581)
  Log:
  Port over ratbox 2.2 r21727 (anfl):
  add some logging when we drop servers in places where we only notify opers
  

  Changes:	Modified:
  +31 -0	trunk/modules/core/m_server.c (File Modified) 


nenolod     2006/01/27 01:00:48 UTC	(20060127-579)
  Log:
  display orighost in operup message
  

  Changes:	Modified:
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/01/26 17:13:21 UTC	(20060126-577)
  Log:
  Add globallineactive contrib module, a hack which can often
  show k/d/g/x line active for remote clients.
  

  Changes:	Modified:
  +52 -0	trunk/contrib/Makefile.in (File Modified) 
  + -		trunk/contrib/globallineactive.c (File Added) 


jilles      2006/01/26 16:34:00 UTC	(20060126-575)
  Log:
  Show IP field in the same way as MASKTRACE:
  "255.255.255.255" if it's unknown (remote TS5 client)
  and "0" if we or the remote server are purposely
  hiding it.
  

  Changes:	Modified:
  +12 -1	trunk/modules/m_scan.c (File Modified) 


jilles      2006/01/26 16:25:22 UTC	(20060126-573)
  Log:
  scan umodes:
  - don't show servers in a global scan
  - don't show ip if it's spoofed and hide_spoof_ips is enabled
  

  Changes:	Modified:
  +4 -1		trunk/modules/m_scan.c (File Modified) 


nenolod     2006/01/26 16:06:57 UTC	(20060126-571)
  Log:
  Implement SCAN UMODES.
  

  Changes:	Modified:
  +3 -0		trunk/include/numeric.h (File Modified) 
  +128 -2	trunk/modules/m_scan.c (File Modified) 
  +2 -2		trunk/src/messages.tab (File Modified) 


nenolod     2006/01/26 15:06:43 UTC	(20060126-569)
  Log:
  more oops
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_scan.c (File Modified) 


nenolod     2006/01/26 15:06:03 UTC	(20060126-567)
  Log:
  parv[0] should be parv[1].
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_scan.c (File Modified) 


nenolod     2006/01/26 15:05:04 UTC	(20060126-565)
  Log:
  another oops
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_scan.c (File Modified) 


nenolod     2006/01/26 15:00:41 UTC	(20060126-563)
  Log:
  fix mistake here
  

  Changes:	Modified:
  +2 -2		trunk/modules/m_scan.c (File Modified) 


nenolod     2006/01/26 14:58:36 UTC	(20060126-561)
  Log:
  framework for scan command
  

  Changes:	Modified:
  +113 -0	trunk/modules/Makefile.in (File Modified) 
  + -		trunk/modules/m_scan.c (File Added) 


nenolod     2006/01/26 14:12:14 UTC	(20060126-559)
  Log:
  Add TRACEMASK from ratbox 3.0 (r21780 -- androsyn).
  

  Changes:	Modified:
  +2 -0		trunk/include/irc_string.h (File Modified) 
  +157 -1	trunk/modules/m_etrace.c (File Modified) 
  +129 -90	trunk/src/match.c (File Modified) 


nenolod     2006/01/23 15:57:12 UTC	(20060123-557)
  Log:
  orighost may live in a different hash bucket (likely the case), lets check it standalone
  

  Changes:	Modified:
  +39 -3	trunk/src/hostmask.c (File Modified) 


nenolod     2006/01/23 15:11:11 UTC	(20060123-555)
  Log:
  SVN didn't check modules/ somehow, hrmm.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_kline.c (File Modified) 
  +6 -6		trunk/modules/m_stats.c (File Modified) 


nenolod     2006/01/23 15:01:41 UTC	(20060123-553)
  Log:
  Track hostmask entries for client_p->orighost, if available.
  Not throughly tested, but seems to work fine.
  

  Changes:	Modified:
  +8 -4		trunk/include/hostmask.h (File Modified) 
  +14 -10	trunk/src/hostmask.c (File Modified) 


jilles      2006/01/22 19:14:11 UTC	(20060122-549)
  Log:
  Pass on SQUIT reasons more.
  

  Changes:	Modified:
  +17 -19	trunk/src/client.c (File Modified) 


jilles      2006/01/21 17:25:27 UTC	(20060121-543)
  Log:
  Use IsOperAdmin() instead of IsAdmin() for admin-only server notices.
  This way, hidden admins also get them.
  

  Changes:	Modified:
  +4 -4		trunk/src/send.c (File Modified) 


jilles      2006/01/20 22:26:17 UTC	(20060120-541)
  Log:
  From ircd-ratbox 2.2 (r21339 anfl):
  ms_kill() should be using find_person(), not find_client()
  otherwise it can generate a core.
  

  Changes:	Modified:
  +1 -1		trunk/modules/core/m_kill.c (File Modified) 


jilles      2006/01/18 22:56:51 UTC	(20060118-539)
  Log:
  Add m_error to core_module_table, so it is loaded by default.
  

  Changes:	Modified:
  +1 -0		trunk/src/modules.c (File Modified) 


jilles      2006/01/18 00:28:30 UTC	(20060118-536)
  Log:
  comment is a const char *, not char *.
  

  Changes:	Modified:
  +1 -1		trunk/include/hook.h (File Modified) 


jilles      2006/01/18 00:10:02 UTC	(20060118-534)
  Log:
  Fix a long standing hybrid 7 bug: when getting a read error
  on a server, report_error() is called with a %d instead of
  a %s in the format string ("Lost connection" in +d).
  

  Changes:	Modified:
  +1 -1		trunk/src/client.c (File Modified) 


jilles      2006/01/16 17:21:11 UTC	(20060116-532)
  Log:
  Clarifications.
  

  Changes:	Modified:
  +12 -7	trunk/doc/technical/capab.txt (File Modified) 


nenolod     2006/01/16 04:46:11 UTC	(20060116-530)
  Log:
  Add document describing capabilities and what they mean.
  

  Changes:	Modified:
  + -		trunk/doc/technical/capab.txt (File Added) 


jilles      2006/01/16 01:19:24 UTC	(20060116-528)
  Log:
  Change client_exit hook to pass all exit_client() parameters.
  

  Changes:	Modified:
  +8 -0		trunk/include/hook.h (File Modified) 
  +6 -1		trunk/src/client.c (File Modified) 


jilles      2006/01/15 21:51:42 UTC	(20060115-526)
  Log:
  Add client_exit hook, called in exit_client() for all
  clients of all types, except clients exiting because
  of netsplits (QS). The only thing done before it is
  marking the client as "closing" (to prevent
  recursion).
  

  Changes:	Modified:
  +1 -0		trunk/include/hook.h (File Modified) 
  +2 -0		trunk/src/client.c (File Modified) 
  +2 -0		trunk/src/hook.c (File Modified) 


jilles      2006/01/15 21:06:36 UTC	(20060115-524)
  Log:
  Improve the code that calculates the nnnS nnnC counts
  in RPL_TRACESERVER.
  
  From ircd-ratbox RATBOX_2_2 r21650 and r21678 (anfl/jilles).
  

  Changes:	Modified:
  +43 -36	trunk/modules/m_trace.c (File Modified) 


jilles      2006/01/15 20:55:27 UTC	(20060115-522)
  Log:
  Add server_eob hook.
  Planning to use this for netsplit/join notices.
  

  Changes:	Modified:
  +1 -0		trunk/include/hook.h (File Modified) 
  +2 -0		trunk/modules/m_pong.c (File Modified) 
  +2 -0		trunk/src/hook.c (File Modified) 


jilles      2006/01/15 20:01:51 UTC	(20060115-520)
  Log:
  Default motd: ircd-ratbox -> charybdis
  

  Changes:	Modified:
  +1 -1		trunk/doc/ircd.motd (File Modified) 


jilles      2006/01/15 19:35:03 UTC	(20060115-518)
  Log:
  Shouldn't use the UMODE_ALL alias here; instead UMODE_SERVNOTICE.
  

  Changes:	Modified:
  +4 -4		trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 19:12:28 UTC	(20060115-516)
  Log:
  - Remove obsolete EOB help file
  - Document snomask in the help files
  - Update indexes
  

  Changes:	Modified:
  + -		trunk/help/opers/eob (File Deleted) 
  +13 -12	trunk/help/opers/index (File Modified) 
  +1 -13	trunk/help/opers/umode (File Modified) 
  +7 -7		trunk/help/users/index (File Modified) 


nenolod     2006/01/15 17:50:43 UTC	(20060115-514)
  Log:
  Bail if snomask to parse is not given. Pointy hat to myself.
  

  Changes:	Modified:
  +3 -0		trunk/src/snomask.c (File Modified) 


gxti        2006/01/15 17:48:44 UTC	(20060115-512)
  Log:
  Remove m_flags from autoconf
  

  Changes:	Modified:
  +0 -1		trunk/contrib/Makefile.in (File Modified) 


nenolod     2006/01/15 17:44:55 UTC	(20060115-510)
  Log:
  remove m_flags
  

  Changes:	Modified:
  + -		trunk/contrib/m_flags.c (File Deleted) 


jilles      2006/01/15 17:22:19 UTC	(20060115-508)
  Log:
  If +s is in oper_only_umodes, clear snomask on deoper.
  

  Changes:	Modified:
  +5 -0		trunk/src/s_user.c (File Modified) 


gxti        2006/01/15 17:16:50 UTC	(20060115-506)
  Log:
  Fix incorrect default settings for nicklen and topiclen in ./configure help entries.
  

  Changes:	Modified:
  +2 -2		trunk/configure (File Modified) 
  +2 -2		trunk/configure.ac (File Modified) 


jilles      2006/01/15 17:15:56 UTC	(20060115-504)
  Log:
  Remove the old server notice umodes.
  Default oper only umodes is now +s.
  Please make sure all remaining umodes still work.
  

  Changes:	Modified:
  +3 -21	trunk/include/client.h (File Modified) 
  +0 -12	trunk/src/newconf.c (File Modified) 
  +1 -1		trunk/src/s_conf.c (File Modified) 
  +12 -12	trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 17:00:27 UTC	(20060115-502)
  Log:
  operator::flags nick_changes now controls +n snomask instead of +n umode.
  

  Changes:	Modified:
  +8 -8		trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 16:53:16 UTC	(20060115-500)
  Log:
  Move down h_umode_changed hook call after umode allowed checks
  (so it will not see +a if someone tries to set it but is not
  allowed to).
  

  Changes:	Modified:
  +2 -3		trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 16:40:33 UTC	(20060115-498)
  Log:
  Move over non-+s server notices (hopefully, all of them).
  

  Changes:	Modified:
  +1 -1		trunk/contrib/spy_admin_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_info_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_links_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_motd_notice.c (File Modified) 
  +3 -3		trunk/contrib/spy_stats_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_stats_p_notice.c (File Modified) 
  +2 -2		trunk/contrib/spy_trace_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_whois_notice.c (File Modified) 
  +1 -1		trunk/contrib/spy_whois_notice_global.c (File Modified) 
  +2 -2		trunk/libcharybdis/event.c (File Modified) 
  +2 -2		trunk/modules/core/m_join.c (File Modified) 
  +1 -1		trunk/modules/core/m_kill.c (File Modified) 
  +3 -3		trunk/modules/core/m_message.c (File Modified) 
  +11 -11	trunk/modules/core/m_nick.c (File Modified) 
  +2 -2		trunk/modules/core/m_server.c (File Modified) 
  +1 -1		trunk/modules/core/m_sjoin.c (File Modified) 
  +1 -1		trunk/modules/m_post.c (File Modified) 
  +1 -1		trunk/modules/m_services.c (File Modified) 
  +2 -2		trunk/src/channel.c (File Modified) 
  +3 -3		trunk/src/client.c (File Modified) 
  +1 -1		trunk/src/hash.c (File Modified) 
  +5 -5		trunk/src/s_conf.c (File Modified) 
  +2 -2		trunk/src/s_log.c (File Modified) 
  +4 -4		trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 16:18:59 UTC	(20060115-496)
  Log:
  Rename SNO_SPAMBOT to SNO_BOTS and add SNO_OPERSPY.
  

  Changes:	Modified:
  +2 -1		trunk/include/snomask.h (File Modified) 
  +2 -2		trunk/src/snomask.c (File Modified) 


jilles      2006/01/15 16:08:28 UTC	(20060115-494)
  Log:
  s/sendto_realops_flags(UMODE_ALL,/sendto_realops_snomask(SNO_GENERAL,/
  

  Changes:	Modified:
  +1 -1		trunk/contrib/example_module.c (File Modified) 
  +2 -2		trunk/include/ircd_defs.h (File Modified) 
  +6 -6		trunk/modules/core/m_error.c (File Modified) 
  +1 -1		trunk/modules/core/m_join.c (File Modified) 
  +2 -2		trunk/modules/core/m_kill.c (File Modified) 
  +1 -1		trunk/modules/core/m_message.c (File Modified) 
  +1 -1		trunk/modules/core/m_mode.c (File Modified) 
  +14 -14	trunk/modules/core/m_nick.c (File Modified) 
  +18 -18	trunk/modules/core/m_server.c (File Modified) 
  +1 -1		trunk/modules/core/m_sjoin.c (File Modified) 
  +1 -1		trunk/modules/core/m_squit.c (File Modified) 
  +4 -4		trunk/modules/m_challenge.c (File Modified) 
  +4 -4		trunk/modules/m_dline.c (File Modified) 
  +13 -13	trunk/modules/m_gline.c (File Modified) 
  +5 -5		trunk/modules/m_kline.c (File Modified) 
  +2 -2		trunk/modules/m_oper.c (File Modified) 
  +1 -1		trunk/modules/m_pong.c (File Modified) 
  +13 -13	trunk/modules/m_rehash.c (File Modified) 
  +4 -4		trunk/modules/m_resv.c (File Modified) 
  +16 -16	trunk/modules/m_set.c (File Modified) 
  +3 -3		trunk/modules/m_svinfo.c (File Modified) 
  +6 -6		trunk/modules/m_xline.c (File Modified) 
  +1 -1		trunk/src/adns.c (File Modified) 
  +2 -2		trunk/src/channel.c (File Modified) 
  +1 -1		trunk/src/listener.c (File Modified) 
  +1 -1		trunk/src/s_auth.c (File Modified) 
  +15 -15	trunk/src/s_conf.c (File Modified) 
  +3 -3		trunk/src/s_user.c (File Modified) 
  +7 -7		trunk/src/send.c (File Modified) 


jilles      2006/01/15 15:34:12 UTC	(20060115-492)
  Log:
  On oper up:
  - set +s snomask if +s umode set but no snomasks
  - put numerics in more logical order
  

  Changes:	Modified:
  +3 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/01/15 15:12:39 UTC	(20060115-490)
  Log:
  parse_snobuf_to_mask(): default to + at start
  allows stuff like /mode jilles +s C
  

  Changes:	Modified:
  +1 -1		trunk/src/snomask.c (File Modified) 


jilles      2006/01/15 15:04:34 UTC	(20060115-488)
  Log:
  Changes to user_mode() snomask handling.
  - show snomask (if not 0) on /mode <nick>
  - show snomask once at the end if +s/-s used
  - only parse 1 parameter for umode changes
  - don't crash on /mode <nick> +s
  - /mode <nick> -s clears snomask, doesn't use parameter
  - set umode +s iff snomask is not 0
  - snomask is not propagated, but umode +s is
  

  Changes:	Modified:
  +97 -72	trunk/src/s_user.c (File Modified) 


nenolod     2006/01/15 10:36:32 UTC	(20060115-486)
  Log:
  Convert some messages over to snomask.
  

  Changes:	Modified:
  +29 -29	trunk/src/client.c (File Modified) 
  +2 -2		trunk/src/ircd.c (File Modified) 
  +13 -13	trunk/src/modules.c (File Modified) 
  +1 -1		trunk/src/newconf.c (File Modified) 
  +5 -5		trunk/src/parse.c (File Modified) 
  +1 -1		trunk/src/restart.c (File Modified) 
  +4 -4		trunk/src/s_newconf.c (File Modified) 
  +11 -11	trunk/src/s_serv.c (File Modified) 


nenolod     2006/01/15 10:28:42 UTC	(20060115-484)
  Log:
  include snomask.h from client.h
  

  Changes:	Modified:
  +1 -0		trunk/include/client.h (File Modified) 


nenolod     2006/01/15 10:28:18 UTC	(20060115-482)
  Log:
  make the snomask parser display snomasks properly, and make sure snomasks are applied to o:lines properly
  

  Changes:	Modified:
  +1 -0		trunk/src/newconf.c (File Modified) 
  +2 -1		trunk/src/snomask.c (File Modified) 


nenolod     2006/01/15 10:17:52 UTC	(20060115-480)
  Log:
  should start with +, not \0. Whoops. :)
  

  Changes:	Modified:
  +1 -1		trunk/src/snomask.c (File Modified) 


nenolod     2006/01/15 10:14:17 UTC	(20060115-478)
  Log:
  core snomask support.
  

  Changes:	Modified:
  +3 -0		trunk/doc/example.conf (File Modified) 
  +2 -0		trunk/include/client.h (File Modified) 
  +2 -0		trunk/include/numeric.h (File Modified) 
  +2 -0		trunk/include/s_newconf.h (File Modified) 
  +63 -0	trunk/include/send.h (File Modified) 
  + -		trunk/include/snomask.h (File Added) 
  +1 -0		trunk/src/Makefile.in (File Modified) 
  +1 -1		trunk/src/messages.tab (File Modified) 
  +8 -0		trunk/src/newconf.c (File Modified) 
  +12 -0	trunk/src/s_user.c (File Modified) 
  +235 -0	trunk/src/send.c (File Modified) 
  + -		trunk/src/snomask.c (File Added) 


nenolod     2006/01/15 05:32:44 UTC	(20060115-474)
  Log:
  add a blank line after the license info.
  

  Changes:	Modified:
  +1 -1		trunk/CREDITS (File Modified) 


jilles      2006/01/14 19:59:18 UTC	(20060114-472)
  Log:
  Extend copyright to 2006.
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 


jilles      2006/01/14 19:56:24 UTC	(20060114-470)
  Log:
  - Fix up book id.
  - Give some credit to dancer-ircd/hyperion, Andrew Suffield.
  

  Changes:	Modified:
  +1 -1		trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  +5 -0		trunk/doc/sgml/oper-guide/intro.sgml (File Modified) 


jilles      2006/01/14 19:52:16 UTC	(20060114-468)
  Log:
  Add oper privileges document.
  

  Changes:	Modified:
  +162 -0	trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Modified) 
  + -		trunk/doc/sgml/oper-guide/oprivs.sgml (File Added) 


jilles      2006/01/14 18:45:57 UTC	(20060114-466)
  Log:
  Capitalize message names in services shortcuts (for consistency).
  

  Changes:	Modified:
  +6 -6		trunk/modules/m_sshortcut.c (File Modified) 


jilles      2006/01/13 16:53:35 UTC	(20060113-464)
  Log:
  Remove C++ comment.
  

  Changes:	Modified:
  +1 -1		trunk/src/patricia.c (File Modified) 


jilles      2006/01/13 13:45:56 UTC	(20060113-462)
  Log:
  Remove obsolete 'nextconnect' variable.
  

  Changes:	Modified:
  +0 -1		trunk/include/ircd.h (File Modified) 
  +0 -2		trunk/src/client.c (File Modified) 
  +0 -1		trunk/src/ircd.c (File Modified) 


jilles      2006/01/13 13:02:54 UTC	(20060113-460)
  Log:
  Remove this remnant of the hybrid 6 ziplinks implementation.
  

  Changes:	Modified:
  + -		trunk/include/s_zip.h (File Deleted) 


jilles      2006/01/09 16:05:47 UTC	(20060109-458)
  Log:
  Make clone limiting work on orighost, not host (so it
  looks through services cloaks). Lightly tested, please
  test/review.
  

  Changes:	Modified:
  +2 -0		trunk/modules/m_chghost.c (File Modified) 
  +1 -1		trunk/src/client.c (File Modified) 
  +1 -1		trunk/src/s_conf.c (File Modified) 


jilles      2006/01/09 15:51:02 UTC	(20060109-456)
  Log:
  Don't forget to link me_realhost() into the command hash.
  
  Pointy hat to: myself
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_chghost.c (File Modified) 


jilles      2006/01/09 14:46:59 UTC	(20060109-454)
  Log:
  It's call_hook, not hook_call.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/01/09 14:45:36 UTC	(20060109-452)
  Log:
  Add unreject help file.
  

  Changes:	Modified:
  + -		trunk/help/opers/unreject (File Added) 


jilles      2006/01/09 14:41:41 UTC	(20060109-450)
  Log:
  Link the all-important 42 module to the build :P
  

  Changes:	Modified:
  +1 -0		trunk/contrib/Makefile.in (File Modified) 


jilles      2006/01/08 19:12:10 UTC	(20060108-448)
  Log:
  Mention /rehash help.
  

  Changes:	Modified:
  +1 -0		trunk/help/opers/rehash (File Modified) 


nenolod     2006/01/06 14:56:49 UTC	(20060106-446)
  Log:
  Add h_user_signon hook.
  

  Changes:	Modified:
  +1 -0		trunk/include/hook.h (File Modified) 
  +2 -0		trunk/src/hook.c (File Modified) 
  +4 -0		trunk/src/s_user.c (File Modified) 


jilles      2006/01/06 02:30:23 UTC	(20060106-444)
  Log:
  Oops, forgot to set orighost for remote client introductions.
  

  Changes:	Modified:
  +1 -0		trunk/modules/core/m_nick.c (File Modified) 


jilles      2006/01/06 01:40:44 UTC	(20060106-442)
  Log:
  Use TS6 forms in services shortcuts, if possible.
  

  Changes:	Modified:
  +3 -3		trunk/modules/m_sshortcut.c (File Modified) 


jilles      2006/01/06 01:31:19 UTC	(20060106-440)
  Log:
  - Start out default_umodes conf entry from the empty set instead of +i.
  - Move oper_only_umodes check to where default_umodes is used, as
    oper_only_umodes may not be set yet while we're reading the conf.
  

  Changes:	Modified:
  +6 -7		trunk/src/newconf.c (File Modified) 
  +1 -1		trunk/src/s_user.c (File Modified) 


jilles      2006/01/06 01:00:44 UTC	(20060106-438)
  Log:
  Move #define HIDE_SPOOF_IPS to general::hide_spoof_ips conf option.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +7 -0		trunk/doc/reference.conf (File Modified) 
  +0 -7		trunk/include/config.h.dist (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +9 -18	trunk/src/client.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 


jilles      2006/01/06 00:14:18 UTC	(20060106-436)
  Log:
  - Allow NULL target_ip in show_ip() (indicates message is being
    sent to local opers)
  - Add show_ip_conf(), like show_ip() but for a CONF_CLIENT
    confitem
  - Using these, remove all uses of #define HIDE_SPOOF_IPS except
    those in src/client.c
  
  From ratbox 2.2 svn (anfl)
  

  Changes:	Modified:
  +1 -0		trunk/include/client.h (File Modified) 
  +21 -2	trunk/src/client.c (File Modified) 
  +2 -4		trunk/src/hostmask.c (File Modified) 
  +1 -5		trunk/src/s_conf.c (File Modified) 
  +4 -8		trunk/src/s_user.c (File Modified) 


nenolod     2006/01/06 00:01:30 UTC	(20060106-434)
  Log:
  Fire off events properly.
  

  Changes:	Modified:
  +7 -3		trunk/src/s_user.c (File Modified) 


nenolod     2006/01/05 23:42:13 UTC	(20060105-432)
  Log:
  make sure modules which depend on umode information get the message upon connection (oops)
  

  Changes:	Modified:
  +3 -0		trunk/src/s_user.c (File Modified) 


jilles      2006/01/05 23:33:33 UTC	(20060105-430)
  Log:
  Replace usage of HIDE_SPOOF_IPS with show_ip() in etrace.
  From ratbox 2.2 svn.
  

  Changes:	Modified:
  +3 -7		trunk/modules/m_etrace.c (File Modified) 


nenolod     2006/01/05 23:27:27 UTC	(20060105-428)
  Log:
  Replace silly `default_invisible' option with more versatile default_umodes.
  

  Changes:	Modified:
  +2 -2		trunk/Makefile.in (File Modified) 
  +12 -1	trunk/doc/example.conf (File Modified) 
  +14 -7	trunk/doc/reference.conf (File Modified) 
  +2 -4		trunk/include/s_conf.h (File Modified) 
  +0 -6		trunk/modules/m_info.c (File Modified) 
  +4 -0		trunk/src/modules.c (File Modified) 
  +41 -1	trunk/src/newconf.c (File Modified) 
  +2 -2		trunk/src/s_conf.c (File Modified) 
  +3 -4		trunk/src/s_user.c (File Modified) 


jilles      2006/01/02 14:30:45 UTC	(20060102-426)
  Log:
  Add temporary nick resvs with the proper duration,
  not 60 times too long.
  

  Changes:	Modified:
  +1 -1		trunk/modules/m_resv.c (File Modified) 


jilles      2006/01/02 14:21:31 UTC	(20060102-424)
  Log:
  Add kick on split riding. See reference.conf for more details.
  

  Changes:	Modified:
  +1 -0		trunk/doc/example.conf (File Modified) 
  +16 -0	trunk/doc/reference.conf (File Modified) 
  +1 -0		trunk/include/s_conf.h (File Modified) 
  +56 -0	trunk/modules/core/m_sjoin.c (File Modified) 
  +6 -0		trunk/modules/m_info.c (File Modified) 
  +1 -0		trunk/src/newconf.c (File Modified) 
  +1 -0		trunk/src/s_conf.c (File Modified) 


nenolod     2005/12/27 06:07:24 UTC	(20051227-422)
  Log:
  New credits, denoting GXTi as being on the core team.
  

  Changes:	Modified:
  +16 -5	trunk/CREDITS (File Modified) 


nenolod     2005/12/24 05:50:12 UTC	(20051224-420)
  Log:
  better cloaking algorithm
  

  Changes:	Modified:
  +14 -7	trunk/contrib/ip_cloaking.c (File Modified) 


nenolod     2005/12/23 21:43:09 UTC	(20051223-418)
  Log:
  don't do redundant bitshifting.
  

  Changes:	Modified:
  +2 -2		trunk/contrib/ip_cloaking.c (File Modified) 


jilles      2005/12/23 21:15:41 UTC	(20051223-416)
  Log:
  Add ip_cloaking.so.
  

  Changes:	Modified:
  +1 -0		trunk/contrib/Makefile.in (File Modified) 


jilles      2005/12/23 21:15:25 UTC	(20051223-414)
  Log:
  Set the DynSpoof flag properly.
  

  Changes:	Modified:
  +4 -0		trunk/contrib/ip_cloaking.c (File Modified) 


nenolod     2005/12/23 08:11:04 UTC	(20051223-412)
  Log:
  first go at an ip_cloaking implementation for charybdis.
  

  Changes:	Modified:
  + -		trunk/contrib/ip_cloaking.c (File Added) 


nenolod     2005/12/23 07:25:47 UTC	(20051223-410)
  Log:
  Add libcharybdis to contrib/ includes.
  

  Changes:	Modified:
  +1 -1		trunk/contrib/Makefile.in (File Modified) 


nenolod     2005/12/23 02:40:07 UTC	(20051223-408)
  Log:
  add h_umode_changed hook for modules that provide usermodes.
  

  Changes:	Modified:
  +1 -0		trunk/include/hook.h (File Modified) 
  +2 -1		trunk/src/hook.c (File Modified) 
  +3 -0		trunk/src/s_user.c (File Modified) 


jilles      2005/12/19 16:52:45 UTC	(20051219-406)
  Log:
  Show quiets in /stats z.
  

  Changes:	Modified:
  +15 -10	trunk/src/s_stats.c (File Modified) 


nenolod     2005/12/19 15:33:16 UTC	(20051219-404)
  Log:
  remove old ratbox-services stuff from configure. pointed out with a pointy stick via 
  

  Changes:	Modified:
  +0 -12	trunk/configure (File Modified) 
  +0 -9		trunk/configure.ac (File Modified) 
  +0 -3		trunk/include/setup.h.in (File Modified) 


nenolod     2005/12/19 15:30:32 UTC	(20051219-402)
  Log:
  change various buffer sizes to = topiclen.
  

  Changes:	Modified:
  +3 -4		trunk/include/ircd_defs.h (File Modified) 


jon         2005/12/12 19:32:18 UTC	(20051212-400)
  Log:
  - Partial commit test, partial ego strokage ;)
  

  Changes:	Modified:
  +2 -1		trunk/CREDITS (File Modified) 


nenolod     2005/12/12 18:12:46 UTC	(20051212-398)
  Log:
  More kqueue corrections.

  Changes:	Modified:
  +8 -2		trunk/libcharybdis/kqueue.c (File Modified) 


nenolod     2005/12/12 06:27:59 UTC	(20051212-396)
  Log:
  We want to use EV_ENABLE to enable tracking, as per the kqueue manpage.
  Not sure why this wasn't this way to begin with.
  

  Changes:	Modified:
  +3 -3		trunk/libcharybdis/kqueue.c (File Modified) 


jilles      2005/12/11 16:39:52 UTC	(20051211-394)
  Log:
  example.conf tweaks:
  Comment out serverinfo::vhost, serverinfo::vhost6 and listen::host,
  most people do not need this.
  Enable serverinfo::hub.
  

  Changes:	Modified:
  +14 -11	trunk/doc/example.conf (File Modified) 


nenolod     2005/12/10 04:37:54 UTC	(20051210-392)
  Log:
  Match properly, was backwards before, making connect "*.mask" { } blocks not work properly.
  

  Changes:	Modified:
  +1 -1		trunk/src/s_serv.c (File Modified) 


nenolod     2005/12/07 18:46:56 UTC	(20051207-390)
  Log:
  header include changes
  

  Changes:	Modified:
  +1 -20	trunk/libcharybdis/devpoll.c (File Modified) 
  +1 -21	trunk/libcharybdis/epoll.c (File Modified) 
  +1 -19	trunk/libcharybdis/kqueue.c (File Modified) 
  +1 -18	trunk/libcharybdis/poll.c (File Modified) 
  +2 -3		trunk/libcharybdis/ports.c (File Modified) 
  +1 -21	trunk/libcharybdis/select.c (File Modified) 


nenolod     2005/12/07 16:34:40 UTC	(20051207-388)
  Log:
  s/ilog/libcharybdis_{die,log,restart}/g
  

  Changes:	Modified:
  +7 -9		trunk/libcharybdis/balloc.c (File Modified) 
  +4 -29	trunk/libcharybdis/commio.c (File Modified) 
  +5 -8		trunk/libcharybdis/devpoll.c (File Modified) 
  +4 -4		trunk/libcharybdis/epoll.c (File Modified) 
  +2 -2		trunk/libcharybdis/kqueue.c (File Modified) 
  +3 -0		trunk/libcharybdis/libcharybdis.h (File Modified) 
  +3 -14	trunk/libcharybdis/memory.c (File Modified) 
  +3 -3		trunk/libcharybdis/ports.c (File Modified) 


nenolod     2005/12/07 16:21:24 UTC	(20051207-386)
  Log:
  Use the right callbacks in the function code.

  Changes:	Modified:
  +2 -2		trunk/libcharybdis/libcharybdis.c (File Modified) 


nenolod     2005/12/07 16:18:43 UTC	(20051207-384)
  Log:
  More work, it builds again!
  

  Changes:	Modified:
  +1 -0		trunk/libcharybdis/Makefile.in (File Modified) 
  +138 -4	trunk/libcharybdis/commio.c (File Modified) 
  + -		trunk/libcharybdis/libcharybdis.c (File Added) 
  + -		trunk/libcharybdis/libcharybdis.h (File Added) 


nenolod     2005/12/07 15:15:59 UTC	(20051207-382)
  Log:
  Move some stuff around.
  

  Changes:	Modified:
  + -		trunk/include/memory.h (File Deleted) 
  + -		trunk/include/tools.h (File Deleted) 
  +8 -1		trunk/libcharybdis/Makefile.in (File Modified) 
  + -		trunk/libcharybdis/memory.c (File Added) 
  + -		trunk/libcharybdis/memory.h (File Added) 
  + -		trunk/libcharybdis/snprintf.c (File Added) 
  + -		trunk/libcharybdis/tools.c (File Added) 
  + -		trunk/libcharybdis/tools.h (File Added) 
  +1000 -1062	trunk/modules/.depend (File Modified) 
  +421 -455	trunk/src/.depend (File Modified) 
  +0 -1191	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/memory.c (File Deleted) 
  + -		trunk/src/snprintf.c (File Deleted) 
  + -		trunk/src/tools.c (File Deleted) 


nenolod     2005/12/07 15:08:37 UTC	(20051207-380)
  Log:
  move more headers into libcharybdis

  Changes:	Modified:
  + -		trunk/include/balloc.h (File Deleted) 
  + -		trunk/include/event.h (File Deleted) 
  + -		trunk/libcharybdis/balloc.h (File Added) 
  + -		trunk/libcharybdis/event.h (File Added) 
  +924 -1020	trunk/modules/.depend (File Modified) 
  +327 -406	trunk/src/.depend (File Modified) 


nenolod     2005/12/07 15:06:15 UTC	(20051207-378)
  Log:
  balloc, events -> libcharybdis

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/Makefile.in (File Modified) 
  + -		trunk/libcharybdis/balloc.c (File Added) 
  + -		trunk/libcharybdis/event.c (File Added) 
  +0 -1008	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/balloc.c (File Deleted) 
  + -		trunk/src/event.c (File Deleted) 


nenolod     2005/12/07 15:00:41 UTC	(20051207-376)
  Log:
  More fun

  Changes:	Modified:
  + -		trunk/include/commio.h (File Deleted) 
  + -		trunk/include/linebuf.h (File Deleted) 
  + -		trunk/libcharybdis/commio.h (File Added) 
  + -		trunk/libcharybdis/linebuf.h (File Added) 
  +1644 -530	trunk/modules/.depend (File Modified) 
  +1 -1		trunk/modules/Makefile.in (File Modified) 
  +720 -284	trunk/src/.depend (File Modified) 


nenolod     2005/12/07 14:54:12 UTC	(20051207-374)
  Log:
  Makefile reworking -- moving libcharybdis headers into proper location.

  Changes:	Modified:
  +1 -1		trunk/adns/Makefile.in (File Modified) 
  +1 -1		trunk/src/Makefile.in (File Modified) 


nenolod     2005/12/07 14:47:30 UTC	(20051207-372)
  Log:
  Document proposed authdaemon protocol.

  Changes:	Modified:
  + -		trunk/authdaemon/protocol.txt (File Added) 


nenolod     2005/12/07 14:42:23 UTC	(20051207-370)
  Log:
  Makefile oops

  Changes:	Modified:
  +2 -2		trunk/libcharybdis/Makefile.in (File Modified) 


nenolod     2005/12/07 14:38:33 UTC	(20051207-368)
  Log:
  Remove dead makefile from generation

  Changes:	Modified:
  +1 -2		trunk/configure (File Modified) 
  +0 -1		trunk/configure.ac (File Modified) 


nenolod     2005/12/07 14:36:56 UTC	(20051207-366)
  Log:
  libcharybdisIO -> libcharybdis

  Changes:	Modified:
  +1 -1		trunk/src/Makefile.in (File Modified) 


nenolod     2005/12/07 14:35:50 UTC	(20051207-364)
  Log:
  More restructuring.

  Changes:	Modified:
  + -		trunk/libcharybdis/Makefile.in (File Added) 
  + -		trunk/libcharybdis/commio.c (File Added) 
  + -		trunk/libcharybdis/devpoll.c (File Added) 
  + -		trunk/libcharybdis/epoll.c (File Added) 
  + -		trunk/libcharybdis/io/ (File Deleted) 
  + -		trunk/libcharybdis/kqueue.c (File Added) 
  + -		trunk/libcharybdis/linebuf.c (File Added) 
  + -		trunk/libcharybdis/log/ (File Deleted) 
  + -		trunk/libcharybdis/poll.c (File Added) 
  + -		trunk/libcharybdis/ports.c (File Added) 
  + -		trunk/libcharybdis/select.c (File Added) 


nenolod     2005/12/07 14:33:31 UTC	(20051207-362)
  Log:
  Blah kill makefile

  Changes:	Modified:
  + -		trunk/libcharybdis/Makefile.in (File Deleted) 


nenolod     2005/12/07 14:33:10 UTC	(20051207-360)
  Log:
  Blah kill makefile

  Changes:	Modified:
  +2 -4		trunk/libcharybdis/io/Makefile.in (File Modified) 


nenolod     2005/12/06 19:52:25 UTC	(20051206-358)
  Log:
  add authdaemon dir for later hacking
  

  Changes:	Modified:
  + -		trunk/authdaemon/ (File Added) 


nenolod     2005/12/06 19:49:25 UTC	(20051206-356)
  Log:
  linebuf -> libcharybdisIO
  

  Changes:	Modified:
  +1 -1		trunk/libcharybdis/io/Makefile.in (File Modified) 
  + -		trunk/libcharybdis/io/linebuf.c (File Added) 
  + -		trunk/libcharybdis/log/ (File Added) 
  + -		trunk/libcharybdis/log/Makefile.in (File Added) 
  +0 -687	trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/linebuf.c (File Deleted) 


nenolod     2005/12/06 19:47:43 UTC	(20051206-354)
  Log:
  Solaris 10 I/O ports support

  Changes:	Modified:
  + -		trunk/libcharybdis/io/ports.c (File Added) 


nenolod     2005/12/06 19:15:13 UTC	(20051206-352)
  Log:
  libcharybdis stuff
  

  Changes:	Modified:
  +1 -1		trunk/Makefile.in (File Modified) 
  +3 -1		trunk/configure (File Modified) 
  +133 -10	trunk/configure.ac (File Modified) 
  + -		trunk/libcharybdis/ (File Added) 
  + -		trunk/libcharybdis/Makefile.in (File Added) 
  + -		trunk/libcharybdis/io/ (File Added) 
  +4 -2		trunk/libcharybdis/io/Makefile.in (File Modified) 
  +2 -3		trunk/src/Makefile.in (File Modified) 
  + -		trunk/src/io/ (File Deleted) 


nenolod     2005/12/06 18:57:28 UTC	(20051206-350)
  Log:
  split IO stuff into libcharybdisIO.
  

  Changes:	Modified:
  + -		trunk/src/commio.c (File Deleted) 
  + -		trunk/src/devpoll.c (File Deleted) 
  + -		trunk/src/epoll.c (File Deleted) 
  + -		trunk/src/io/ (File Added) 
  + -		trunk/src/io/Makefile.in (File Added) 
  + -		trunk/src/io/commio.c (File Added) 
  + -		trunk/src/io/devpoll.c (File Added) 
  + -		trunk/src/io/epoll.c (File Added) 
  + -		trunk/src/io/kqueue.c (File Added) 
  + -		trunk/src/io/poll.c (File Added) 
  + -		trunk/src/io/select.c (File Added) 
  + -		trunk/src/kqueue.c (File Deleted) 
  + -		trunk/src/poll.c (File Deleted) 
  + -		trunk/src/select.c (File Deleted) 


nenolod     2005/12/06 18:51:20 UTC	(20051206-348)
  Log:
  Version bump: 1.1.0
  

  Changes:	Modified:
  +86 -155	trunk/configure (File Modified) 
  +1 -1		trunk/configure.ac (File Modified) 


jilles      2005/12/04 01:56:31 UTC	(20051204-346)
  Log:
  Remove mentions of mkkeypair/cryptlinks.
  

  Changes:	Modified:
  +1 -3		trunk/doc/challenge.txt (File Modified) 


jilles      2005/12/02 17:57:29 UTC	(20051202-344)
  Log:
  Clarify serverinfo{} description.
  

  Changes:	Modified:
  +13 -5	trunk/doc/sgml/oper-guide/config.sgml (File Modified) 


jilles      2005/12/02 17:41:44 UTC	(20051202-342)
  Log:
  Some hyperion1->charybdis changes, and fixes in charybdis descriptions.
  

  Changes:	Modified:
  +14 -41	trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2005/12/02 17:38:53 UTC	(20051202-340)
  Log:
  Improvements also applicable to hyperion 1.x.
  

  Changes:	Modified:
  +4 -5		trunk/doc/sgml/oper-guide/commands.sgml (File Modified) 


jilles      2005/12/02 17:08:45 UTC	(20051202-338)
  Log:
  - Add +F description
  - General improvements and changes to charybdis
  

  Changes:	Modified:
  +27 -14	trunk/doc/sgml/oper-guide/cmodes.sgml (File Modified) 


jilles      2005/12/02 16:43:45 UTC	(20051202-336)
  Log:
  The server notice umodes only have an effect
  for opers. ("sendto_realops_flags", so having
  the umode is not enough, they must also be
  opered)
  

  Changes:	Modified:
  +13 -14	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


jilles      2005/12/02 16:39:40 UTC	(20051202-334)
  Log:
  Updates to umodes docs.
  

  Changes:	Modified:
  +25 -27	trunk/doc/sgml/oper-guide/umodes.sgml (File Modified) 


nenolod     2005/11/25 19:37:36 UTC	(20051125-332)
  Log:
  Add SGML documentation.

  Changes:	Modified:
  + -		trunk/doc/sgml/ (File Added) 
  + -		trunk/doc/sgml/oper-guide/ (File Added) 
  + -		trunk/doc/sgml/oper-guide/charybdis-oper-guide.sgml (File Added) 
  + -		trunk/doc/sgml/oper-guide/cmodes.sgml (File Added) 
  + -		trunk/doc/sgml/oper-guide/commands.sgml (File Added) 
  + -		trunk/doc/sgml/oper-guide/config.sgml (File Added) 
  + -		trunk/doc/sgml/oper-guide/intro.sgml (File Added) 
  + -		trunk/doc/sgml/oper-guide/stylesheet.dsl (File Added) 
  + -		trunk/doc/sgml/oper-guide/umodes.sgml (File Added) 


